#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 412
#define LARGE_STATE_COUNT 5
#define SYMBOL_COUNT 192
#define ALIAS_COUNT 1
#define TOKEN_COUNT 126
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 4

enum ts_symbol_identifiers {
    anon_sym_true = 1,
    anon_sym_false = 2,
    anon_sym_null = 3,
    anon_sym_none = 4,
    anon_sym_DASH = 5,
    anon_sym_PLUS = 6,
    sym_dec_literal = 7,
    anon_sym_e = 8,
    anon_sym_e_PLUS = 9,
    anon_sym_e_DASH = 10,
    anon_sym__ = 11,
    sym_oct_literal = 12,
    sym_bin_literal = 13,
    sym_hex_literal = 14,
    anon_sym_DOT = 15,
    anon_sym_LBRACK = 16,
    anon_sym_COMMA = 17,
    anon_sym_RBRACK = 18,
    anon_sym_LPAREN = 19,
    anon_sym_RPAREN = 20,
    anon_sym_LBRACE = 21,
    anon_sym_COLON = 22,
    anon_sym_RBRACE = 23,
    anon_sym_DQUOTE = 24,
    aux_sym_string_literal_token1 = 25,
    anon_sym_BSLASH_DQUOTE = 26,
    anon_sym_SQUOTE = 27,
    aux_sym_string_literal_token2 = 28,
    anon_sym_BSLASH_SQUOTE = 29,
    anon_sym_is = 30,
    anon_sym_boolean = 31,
    anon_sym_callable = 32,
    anon_sym_defined = 33,
    anon_sym_divisibleby = 34,
    anon_sym_eq = 35,
    anon_sym_escaped = 36,
    anon_sym_even = 37,
    anon_sym_filter = 38,
    anon_sym_float = 39,
    anon_sym_ge = 40,
    anon_sym_gt = 41,
    anon_sym_in = 42,
    anon_sym_integer = 43,
    anon_sym_iterable = 44,
    anon_sym_le = 45,
    anon_sym_lower = 46,
    anon_sym_lt = 47,
    anon_sym_mapping = 48,
    anon_sym_ne = 49,
    anon_sym_number = 50,
    anon_sym_odd = 51,
    anon_sym_sameas = 52,
    anon_sym_sequence = 53,
    anon_sym_string = 54,
    anon_sym_test = 55,
    anon_sym_undefined = 56,
    anon_sym_upper = 57,
    anon_sym_EQ = 58,
    anon_sym_STAR = 59,
    anon_sym_SLASH = 60,
    anon_sym_SLASH_SLASH = 61,
    anon_sym_PERCENT = 62,
    anon_sym_STAR_STAR = 63,
    anon_sym_EQ_EQ = 64,
    anon_sym_BANG_EQ = 65,
    anon_sym_GT = 66,
    anon_sym_GT_EQ = 67,
    anon_sym_LT = 68,
    anon_sym_LT_EQ = 69,
    anon_sym_and = 70,
    anon_sym_or = 71,
    anon_sym_PIPE = 72,
    anon_sym_TILDE = 73,
    anon_sym_not = 74,
    anon_sym_BANG = 75,
    anon_sym_endfor = 76,
    anon_sym_elif = 77,
    anon_sym_else = 78,
    anon_sym_endif = 79,
    anon_sym_endblock = 80,
    anon_sym_endwith = 81,
    anon_sym_endfilter = 82,
    anon_sym_endmacro = 83,
    anon_sym_endcall = 84,
    anon_sym_endset = 85,
    anon_sym_endtrans = 86,
    anon_sym_continue = 87,
    anon_sym_break = 88,
    anon_sym_debug = 89,
    anon_sym_endautoescape = 90,
    anon_sym_do = 91,
    anon_sym_autoescape = 92,
    anon_sym_trans = 93,
    anon_sym_pluralize = 94,
    anon_sym_if = 95,
    anon_sym_block = 96,
    anon_sym_macro = 97,
    anon_sym_extends = 98,
    anon_sym_call = 99,
    anon_sym_with = 100,
    anon_sym_import = 101,
    anon_sym_from = 102,
    anon_sym_as = 103,
    anon_sym_include = 104,
    anon_sym_ignore = 105,
    anon_sym_missing = 106,
    anon_sym_without = 107,
    anon_sym_context = 108,
    anon_sym_set = 109,
    anon_sym_for = 110,
    anon_sym_recursive = 111,
    aux_sym_words_token1 = 112,
    aux_sym_words_token2 = 113,
    sym_identifier = 114,
    anon_sym_POUND_POUND = 115,
    aux_sym_comment_token1 = 116,
    aux_sym_comment_token2 = 117,
    anon_sym_LBRACE_POUND = 118,
    aux_sym_comment_token3 = 119,
    anon_sym_POUND = 120,
    anon_sym_POUND_RBRACE = 121,
    anon_sym_seq = 122,
    sym__raw_char = 123,
    sym_raw_end = 124,
    sym__eof = 125,
    sym_source = 126,
    sym_literal = 127,
    sym_boolean_literal = 128,
    sym_null_literal = 129,
    sym_number_literal = 130,
    sym_big_dec_literal = 131,
    sym_float_literal = 132,
    sym_list_literal = 133,
    sym_tuple_literal = 134,
    sym_dict_literal = 135,
    sym_string_literal = 136,
    sym_expression = 137,
    sym_binary_expression = 138,
    sym_builtin_test = 139,
    sym_assignment_expression = 140,
    sym_in_expression = 141,
    sym_binary_operator = 142,
    sym_unary_expression = 143,
    sym_unary_operator = 144,
    sym_primary_expression = 145,
    sym_function_call = 146,
    sym_arg = 147,
    sym_inline_trans = 148,
    sym_statement = 149,
    sym_do_statement = 150,
    sym_autoescape_statement = 151,
    sym_trans_statement = 152,
    sym_pluralize_statement = 153,
    sym_ternary_expression = 154,
    sym_block_statement = 155,
    sym_filter_statement = 156,
    sym_macro_statement = 157,
    sym_extends_statement = 158,
    sym_call_statement = 159,
    sym_with_statement = 160,
    sym_import_statement = 161,
    sym_import_from = 162,
    sym_import_as = 163,
    sym_import_attribute = 164,
    sym_include_statement = 165,
    sym_include_attribute = 166,
    sym_attribute_ignore = 167,
    sym_attribute_context = 168,
    sym_set_statement = 169,
    sym_for_statement = 170,
    sym_if_expression = 171,
    sym_words = 172,
    sym_comment = 173,
    sym_line_statement = 174,
    sym_raw_block = 175,
    sym__END = 176,
    sym__NEWLINE = 177,
    aux_sym_source_repeat1 = 178,
    aux_sym_list_literal_repeat1 = 179,
    aux_sym_dict_literal_repeat1 = 180,
    aux_sym_string_literal_repeat1 = 181,
    aux_sym_string_literal_repeat2 = 182,
    aux_sym_assignment_expression_repeat1 = 183,
    aux_sym_in_expression_repeat1 = 184,
    aux_sym_function_call_repeat1 = 185,
    aux_sym_trans_statement_repeat1 = 186,
    aux_sym_with_statement_repeat1 = 187,
    aux_sym_include_statement_repeat1 = 188,
    aux_sym_words_repeat1 = 189,
    aux_sym_comment_repeat1 = 190,
    aux_sym_raw_block_repeat1 = 191,
    alias_sym_raw_body = 192,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_true] = "true",
    [anon_sym_false] = "false",
    [anon_sym_null] = "null",
    [anon_sym_none] = "none",
    [anon_sym_DASH] = "-",
    [anon_sym_PLUS] = "+",
    [sym_dec_literal] = "dec_literal",
    [anon_sym_e] = "e",
    [anon_sym_e_PLUS] = "e+",
    [anon_sym_e_DASH] = "e-",
    [anon_sym__] = "_",
    [sym_oct_literal] = "oct_literal",
    [sym_bin_literal] = "bin_literal",
    [sym_hex_literal] = "hex_literal",
    [anon_sym_DOT] = ".",
    [anon_sym_LBRACK] = "[",
    [anon_sym_COMMA] = ",",
    [anon_sym_RBRACK] = "]",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_LBRACE] = "{",
    [anon_sym_COLON] = ":",
    [anon_sym_RBRACE] = "}",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_literal_token1",
    [anon_sym_BSLASH_DQUOTE] = "\\\"",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_string_literal_token2] = "string_literal_token2",
    [anon_sym_BSLASH_SQUOTE] = "\\'",
    [anon_sym_is] = "binary_operator",
    [anon_sym_boolean] = "boolean",
    [anon_sym_callable] = "callable",
    [anon_sym_defined] = "defined",
    [anon_sym_divisibleby] = "divisibleby",
    [anon_sym_eq] = "eq",
    [anon_sym_escaped] = "escaped",
    [anon_sym_even] = "even",
    [anon_sym_filter] = "filter",
    [anon_sym_float] = "float",
    [anon_sym_ge] = "ge",
    [anon_sym_gt] = "gt",
    [anon_sym_in] = "in",
    [anon_sym_integer] = "integer",
    [anon_sym_iterable] = "iterable",
    [anon_sym_le] = "le",
    [anon_sym_lower] = "lower",
    [anon_sym_lt] = "lt",
    [anon_sym_mapping] = "mapping",
    [anon_sym_ne] = "ne",
    [anon_sym_number] = "number",
    [anon_sym_odd] = "odd",
    [anon_sym_sameas] = "sameas",
    [anon_sym_sequence] = "sequence",
    [anon_sym_string] = "string",
    [anon_sym_test] = "test",
    [anon_sym_undefined] = "undefined",
    [anon_sym_upper] = "upper",
    [anon_sym_EQ] = "binary_operator",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_SLASH_SLASH] = "//",
    [anon_sym_PERCENT] = "%",
    [anon_sym_STAR_STAR] = "**",
    [anon_sym_EQ_EQ] = "==",
    [anon_sym_BANG_EQ] = "!=",
    [anon_sym_GT] = ">",
    [anon_sym_GT_EQ] = ">=",
    [anon_sym_LT] = "<",
    [anon_sym_LT_EQ] = "<=",
    [anon_sym_and] = "and",
    [anon_sym_or] = "or",
    [anon_sym_PIPE] = "|",
    [anon_sym_TILDE] = "~",
    [anon_sym_not] = "not",
    [anon_sym_BANG] = "!",
    [anon_sym_endfor] = "endfor",
    [anon_sym_elif] = "elif",
    [anon_sym_else] = "else",
    [anon_sym_endif] = "endif",
    [anon_sym_endblock] = "endblock",
    [anon_sym_endwith] = "endwith",
    [anon_sym_endfilter] = "endfilter",
    [anon_sym_endmacro] = "endmacro",
    [anon_sym_endcall] = "endcall",
    [anon_sym_endset] = "endset",
    [anon_sym_endtrans] = "endtrans",
    [anon_sym_continue] = "continue",
    [anon_sym_break] = "break",
    [anon_sym_debug] = "debug",
    [anon_sym_endautoescape] = "endautoescape",
    [anon_sym_do] = "do",
    [anon_sym_autoescape] = "autoescape",
    [anon_sym_trans] = "trans",
    [anon_sym_pluralize] = "pluralize",
    [anon_sym_if] = "if",
    [anon_sym_block] = "block",
    [anon_sym_macro] = "macro",
    [anon_sym_extends] = "extends",
    [anon_sym_call] = "call",
    [anon_sym_with] = "with",
    [anon_sym_import] = "import",
    [anon_sym_from] = "from",
    [anon_sym_as] = "as",
    [anon_sym_include] = "include",
    [anon_sym_ignore] = "ignore",
    [anon_sym_missing] = "missing",
    [anon_sym_without] = "without",
    [anon_sym_context] = "context",
    [anon_sym_set] = "set",
    [anon_sym_for] = "for",
    [anon_sym_recursive] = "recursive",
    [aux_sym_words_token1] = "words_token1",
    [aux_sym_words_token2] = "words_token2",
    [sym_identifier] = "identifier",
    [anon_sym_POUND_POUND] = "##",
    [aux_sym_comment_token1] = "comment_token1",
    [aux_sym_comment_token2] = "comment_token2",
    [anon_sym_LBRACE_POUND] = "{#",
    [aux_sym_comment_token3] = "comment_token3",
    [anon_sym_POUND] = "#",
    [anon_sym_POUND_RBRACE] = "#}",
    [anon_sym_seq] = "seq",
    [sym__raw_char] = "_raw_char",
    [sym_raw_end] = "raw_end",
    [sym__eof] = "_eof",
    [sym_source] = "source",
    [sym_literal] = "literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_null_literal] = "null_literal",
    [sym_number_literal] = "number_literal",
    [sym_big_dec_literal] = "big_dec_literal",
    [sym_float_literal] = "float_literal",
    [sym_list_literal] = "list_literal",
    [sym_tuple_literal] = "tuple_literal",
    [sym_dict_literal] = "dict_literal",
    [sym_string_literal] = "string_literal",
    [sym_expression] = "expression",
    [sym_binary_expression] = "binary_expression",
    [sym_builtin_test] = "builtin_test",
    [sym_assignment_expression] = "assignment_expression",
    [sym_in_expression] = "in_expression",
    [sym_binary_operator] = "binary_operator",
    [sym_unary_expression] = "unary_expression",
    [sym_unary_operator] = "unary_operator",
    [sym_primary_expression] = "primary_expression",
    [sym_function_call] = "function_call",
    [sym_arg] = "arg",
    [sym_inline_trans] = "inline_trans",
    [sym_statement] = "statement",
    [sym_do_statement] = "do_statement",
    [sym_autoescape_statement] = "autoescape_statement",
    [sym_trans_statement] = "trans_statement",
    [sym_pluralize_statement] = "pluralize_statement",
    [sym_ternary_expression] = "ternary_expression",
    [sym_block_statement] = "block_statement",
    [sym_filter_statement] = "filter_statement",
    [sym_macro_statement] = "macro_statement",
    [sym_extends_statement] = "extends_statement",
    [sym_call_statement] = "call_statement",
    [sym_with_statement] = "with_statement",
    [sym_import_statement] = "import_statement",
    [sym_import_from] = "import_from",
    [sym_import_as] = "import_as",
    [sym_import_attribute] = "import_attribute",
    [sym_include_statement] = "include_statement",
    [sym_include_attribute] = "include_attribute",
    [sym_attribute_ignore] = "attribute_ignore",
    [sym_attribute_context] = "attribute_context",
    [sym_set_statement] = "set_statement",
    [sym_for_statement] = "for_statement",
    [sym_if_expression] = "if_expression",
    [sym_words] = "words",
    [sym_comment] = "comment",
    [sym_line_statement] = "line_statement",
    [sym_raw_block] = "raw_block",
    [sym__END] = "_END",
    [sym__NEWLINE] = "_NEWLINE",
    [aux_sym_source_repeat1] = "source_repeat1",
    [aux_sym_list_literal_repeat1] = "list_literal_repeat1",
    [aux_sym_dict_literal_repeat1] = "dict_literal_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_string_literal_repeat2] = "string_literal_repeat2",
    [aux_sym_assignment_expression_repeat1] = "assignment_expression_repeat1",
    [aux_sym_in_expression_repeat1] = "in_expression_repeat1",
    [aux_sym_function_call_repeat1] = "function_call_repeat1",
    [aux_sym_trans_statement_repeat1] = "trans_statement_repeat1",
    [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
    [aux_sym_include_statement_repeat1] = "include_statement_repeat1",
    [aux_sym_words_repeat1] = "words_repeat1",
    [aux_sym_comment_repeat1] = "comment_repeat1",
    [aux_sym_raw_block_repeat1] = "raw_block_repeat1",
    [alias_sym_raw_body] = "raw_body",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_true] = anon_sym_true,
    [anon_sym_false] = anon_sym_false,
    [anon_sym_null] = anon_sym_null,
    [anon_sym_none] = anon_sym_none,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [sym_dec_literal] = sym_dec_literal,
    [anon_sym_e] = anon_sym_e,
    [anon_sym_e_PLUS] = anon_sym_e_PLUS,
    [anon_sym_e_DASH] = anon_sym_e_DASH,
    [anon_sym__] = anon_sym__,
    [sym_oct_literal] = sym_oct_literal,
    [sym_bin_literal] = sym_bin_literal,
    [sym_hex_literal] = sym_hex_literal,
    [anon_sym_DOT] = anon_sym_DOT,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_BSLASH_DQUOTE] = anon_sym_BSLASH_DQUOTE,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_string_literal_token2] = aux_sym_string_literal_token2,
    [anon_sym_BSLASH_SQUOTE] = anon_sym_BSLASH_SQUOTE,
    [anon_sym_is] = sym_binary_operator,
    [anon_sym_boolean] = anon_sym_boolean,
    [anon_sym_callable] = anon_sym_callable,
    [anon_sym_defined] = anon_sym_defined,
    [anon_sym_divisibleby] = anon_sym_divisibleby,
    [anon_sym_eq] = anon_sym_eq,
    [anon_sym_escaped] = anon_sym_escaped,
    [anon_sym_even] = anon_sym_even,
    [anon_sym_filter] = anon_sym_filter,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_ge] = anon_sym_ge,
    [anon_sym_gt] = anon_sym_gt,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_integer] = anon_sym_integer,
    [anon_sym_iterable] = anon_sym_iterable,
    [anon_sym_le] = anon_sym_le,
    [anon_sym_lower] = anon_sym_lower,
    [anon_sym_lt] = anon_sym_lt,
    [anon_sym_mapping] = anon_sym_mapping,
    [anon_sym_ne] = anon_sym_ne,
    [anon_sym_number] = anon_sym_number,
    [anon_sym_odd] = anon_sym_odd,
    [anon_sym_sameas] = anon_sym_sameas,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_test] = anon_sym_test,
    [anon_sym_undefined] = anon_sym_undefined,
    [anon_sym_upper] = anon_sym_upper,
    [anon_sym_EQ] = sym_binary_operator,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
    [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
    [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_GT_EQ] = anon_sym_GT_EQ,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_LT_EQ] = anon_sym_LT_EQ,
    [anon_sym_and] = anon_sym_and,
    [anon_sym_or] = anon_sym_or,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [anon_sym_not] = anon_sym_not,
    [anon_sym_BANG] = anon_sym_BANG,
    [anon_sym_endfor] = anon_sym_endfor,
    [anon_sym_elif] = anon_sym_elif,
    [anon_sym_else] = anon_sym_else,
    [anon_sym_endif] = anon_sym_endif,
    [anon_sym_endblock] = anon_sym_endblock,
    [anon_sym_endwith] = anon_sym_endwith,
    [anon_sym_endfilter] = anon_sym_endfilter,
    [anon_sym_endmacro] = anon_sym_endmacro,
    [anon_sym_endcall] = anon_sym_endcall,
    [anon_sym_endset] = anon_sym_endset,
    [anon_sym_endtrans] = anon_sym_endtrans,
    [anon_sym_continue] = anon_sym_continue,
    [anon_sym_break] = anon_sym_break,
    [anon_sym_debug] = anon_sym_debug,
    [anon_sym_endautoescape] = anon_sym_endautoescape,
    [anon_sym_do] = anon_sym_do,
    [anon_sym_autoescape] = anon_sym_autoescape,
    [anon_sym_trans] = anon_sym_trans,
    [anon_sym_pluralize] = anon_sym_pluralize,
    [anon_sym_if] = anon_sym_if,
    [anon_sym_block] = anon_sym_block,
    [anon_sym_macro] = anon_sym_macro,
    [anon_sym_extends] = anon_sym_extends,
    [anon_sym_call] = anon_sym_call,
    [anon_sym_with] = anon_sym_with,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_from] = anon_sym_from,
    [anon_sym_as] = anon_sym_as,
    [anon_sym_include] = anon_sym_include,
    [anon_sym_ignore] = anon_sym_ignore,
    [anon_sym_missing] = anon_sym_missing,
    [anon_sym_without] = anon_sym_without,
    [anon_sym_context] = anon_sym_context,
    [anon_sym_set] = anon_sym_set,
    [anon_sym_for] = anon_sym_for,
    [anon_sym_recursive] = anon_sym_recursive,
    [aux_sym_words_token1] = aux_sym_words_token1,
    [aux_sym_words_token2] = aux_sym_words_token2,
    [sym_identifier] = sym_identifier,
    [anon_sym_POUND_POUND] = anon_sym_POUND_POUND,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [anon_sym_LBRACE_POUND] = anon_sym_LBRACE_POUND,
    [aux_sym_comment_token3] = aux_sym_comment_token3,
    [anon_sym_POUND] = anon_sym_POUND,
    [anon_sym_POUND_RBRACE] = anon_sym_POUND_RBRACE,
    [anon_sym_seq] = anon_sym_seq,
    [sym__raw_char] = sym__raw_char,
    [sym_raw_end] = sym_raw_end,
    [sym__eof] = sym__eof,
    [sym_source] = sym_source,
    [sym_literal] = sym_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_null_literal] = sym_null_literal,
    [sym_number_literal] = sym_number_literal,
    [sym_big_dec_literal] = sym_big_dec_literal,
    [sym_float_literal] = sym_float_literal,
    [sym_list_literal] = sym_list_literal,
    [sym_tuple_literal] = sym_tuple_literal,
    [sym_dict_literal] = sym_dict_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_expression] = sym_expression,
    [sym_binary_expression] = sym_binary_expression,
    [sym_builtin_test] = sym_builtin_test,
    [sym_assignment_expression] = sym_assignment_expression,
    [sym_in_expression] = sym_in_expression,
    [sym_binary_operator] = sym_binary_operator,
    [sym_unary_expression] = sym_unary_expression,
    [sym_unary_operator] = sym_unary_operator,
    [sym_primary_expression] = sym_primary_expression,
    [sym_function_call] = sym_function_call,
    [sym_arg] = sym_arg,
    [sym_inline_trans] = sym_inline_trans,
    [sym_statement] = sym_statement,
    [sym_do_statement] = sym_do_statement,
    [sym_autoescape_statement] = sym_autoescape_statement,
    [sym_trans_statement] = sym_trans_statement,
    [sym_pluralize_statement] = sym_pluralize_statement,
    [sym_ternary_expression] = sym_ternary_expression,
    [sym_block_statement] = sym_block_statement,
    [sym_filter_statement] = sym_filter_statement,
    [sym_macro_statement] = sym_macro_statement,
    [sym_extends_statement] = sym_extends_statement,
    [sym_call_statement] = sym_call_statement,
    [sym_with_statement] = sym_with_statement,
    [sym_import_statement] = sym_import_statement,
    [sym_import_from] = sym_import_from,
    [sym_import_as] = sym_import_as,
    [sym_import_attribute] = sym_import_attribute,
    [sym_include_statement] = sym_include_statement,
    [sym_include_attribute] = sym_include_attribute,
    [sym_attribute_ignore] = sym_attribute_ignore,
    [sym_attribute_context] = sym_attribute_context,
    [sym_set_statement] = sym_set_statement,
    [sym_for_statement] = sym_for_statement,
    [sym_if_expression] = sym_if_expression,
    [sym_words] = sym_words,
    [sym_comment] = sym_comment,
    [sym_line_statement] = sym_line_statement,
    [sym_raw_block] = sym_raw_block,
    [sym__END] = sym__END,
    [sym__NEWLINE] = sym__NEWLINE,
    [aux_sym_source_repeat1] = aux_sym_source_repeat1,
    [aux_sym_list_literal_repeat1] = aux_sym_list_literal_repeat1,
    [aux_sym_dict_literal_repeat1] = aux_sym_dict_literal_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_string_literal_repeat2] = aux_sym_string_literal_repeat2,
    [aux_sym_assignment_expression_repeat1] = aux_sym_assignment_expression_repeat1,
    [aux_sym_in_expression_repeat1] = aux_sym_in_expression_repeat1,
    [aux_sym_function_call_repeat1] = aux_sym_function_call_repeat1,
    [aux_sym_trans_statement_repeat1] = aux_sym_trans_statement_repeat1,
    [aux_sym_with_statement_repeat1] = aux_sym_with_statement_repeat1,
    [aux_sym_include_statement_repeat1] = aux_sym_include_statement_repeat1,
    [aux_sym_words_repeat1] = aux_sym_words_repeat1,
    [aux_sym_comment_repeat1] = aux_sym_comment_repeat1,
    [aux_sym_raw_block_repeat1] = aux_sym_raw_block_repeat1,
    [alias_sym_raw_body] = alias_sym_raw_body,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_true] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_false] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_null] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_none] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [sym_dec_literal] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_e] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_e_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_e_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym__] = {
        .visible = true,
        .named = false,
    },
    [sym_oct_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_bin_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_hex_literal] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_BSLASH_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_BSLASH_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_is] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_boolean] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_callable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_defined] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_divisibleby] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eq] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_escaped] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_even] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_filter] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ge] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_gt] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_integer] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_iterable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_le] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_lower] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_lt] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mapping] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ne] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_number] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_odd] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sameas] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_test] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_undefined] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_upper] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_EQ_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BANG_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_and] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_or] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_not] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BANG] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endfor] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_elif] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_else] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endif] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endblock] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endwith] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endfilter] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endmacro] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endcall] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endtrans] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_continue] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_break] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_debug] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_endautoescape] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_do] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoescape] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_trans] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_pluralize] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_if] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_block] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_macro] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extends] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_call] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_with] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_from] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_as] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_include] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ignore] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_missing] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_without] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_set] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_for] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_recursive] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_words_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_words_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_POUND_POUND] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_LBRACE_POUND] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token3] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_POUND] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUND_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_seq] = {
        .visible = true,
        .named = false,
    },
    [sym__raw_char] = {
        .visible = false,
        .named = true,
    },
    [sym_raw_end] = {
        .visible = true,
        .named = true,
    },
    [sym__eof] = {
        .visible = false,
        .named = true,
    },
    [sym_source] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_null_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_number_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_big_dec_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_float_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_list_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_tuple_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_dict_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_binary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_builtin_test] = {
        .visible = true,
        .named = true,
    },
    [sym_assignment_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_in_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_binary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_function_call] = {
        .visible = true,
        .named = true,
    },
    [sym_arg] = {
        .visible = true,
        .named = true,
    },
    [sym_inline_trans] = {
        .visible = true,
        .named = true,
    },
    [sym_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_do_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_autoescape_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_trans_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_pluralize_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_ternary_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_block_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_filter_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_macro_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_extends_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_call_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_with_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_import_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_import_from] = {
        .visible = true,
        .named = true,
    },
    [sym_import_as] = {
        .visible = true,
        .named = true,
    },
    [sym_import_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_include_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_include_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_attribute_ignore] = {
        .visible = true,
        .named = true,
    },
    [sym_attribute_context] = {
        .visible = true,
        .named = true,
    },
    [sym_set_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_for_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_if_expression] = {
        .visible = true,
        .named = true,
    },
    [sym_words] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [sym_line_statement] = {
        .visible = true,
        .named = true,
    },
    [sym_raw_block] = {
        .visible = true,
        .named = true,
    },
    [sym__END] = {
        .visible = false,
        .named = true,
    },
    [sym__NEWLINE] = {
        .visible = false,
        .named = true,
    },
    [aux_sym_source_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_list_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_dict_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat2] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_assignment_expression_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_expression_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_function_call_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_trans_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_with_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_include_statement_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_words_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_comment_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raw_block_repeat1] = {
        .visible = false,
        .named = false,
    },
    [alias_sym_raw_body] = {
        .visible = true,
        .named = true,
    },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
    [1] = {
        [1] = sym_binary_operator,
    },
    [2] = {
        [3] = alias_sym_raw_body,
    },
    [3] = {
        [2] = sym_binary_operator,
    },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    aux_sym_raw_block_repeat1,
    2,
    aux_sym_raw_block_repeat1,
    alias_sym_raw_body,
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 2,
    [4] = 2,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 9,
    [11] = 7,
    [12] = 8,
    [13] = 8,
    [14] = 7,
    [15] = 9,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 17,
    [22] = 22,
    [23] = 17,
    [24] = 20,
    [25] = 19,
    [26] = 18,
    [27] = 16,
    [28] = 18,
    [29] = 19,
    [30] = 16,
    [31] = 20,
    [32] = 32,
    [33] = 32,
    [34] = 34,
    [35] = 34,
    [36] = 36,
    [37] = 37,
    [38] = 38,
    [39] = 39,
    [40] = 32,
    [41] = 34,
    [42] = 42,
    [43] = 42,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 38,
    [51] = 49,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 38,
    [56] = 56,
    [57] = 57,
    [58] = 39,
    [59] = 59,
    [60] = 60,
    [61] = 42,
    [62] = 62,
    [63] = 44,
    [64] = 39,
    [65] = 65,
    [66] = 66,
    [67] = 66,
    [68] = 68,
    [69] = 66,
    [70] = 68,
    [71] = 68,
    [72] = 72,
    [73] = 73,
    [74] = 74,
    [75] = 75,
    [76] = 76,
    [77] = 76,
    [78] = 78,
    [79] = 79,
    [80] = 80,
    [81] = 81,
    [82] = 82,
    [83] = 83,
    [84] = 84,
    [85] = 83,
    [86] = 72,
    [87] = 87,
    [88] = 87,
    [89] = 89,
    [90] = 87,
    [91] = 89,
    [92] = 73,
    [93] = 87,
    [94] = 78,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 98,
    [101] = 101,
    [102] = 102,
    [103] = 84,
    [104] = 82,
    [105] = 102,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 74,
    [113] = 107,
    [114] = 75,
    [115] = 83,
    [116] = 116,
    [117] = 117,
    [118] = 118,
    [119] = 97,
    [120] = 120,
    [121] = 121,
    [122] = 122,
    [123] = 123,
    [124] = 124,
    [125] = 125,
    [126] = 79,
    [127] = 116,
    [128] = 95,
    [129] = 96,
    [130] = 130,
    [131] = 131,
    [132] = 132,
    [133] = 133,
    [134] = 130,
    [135] = 99,
    [136] = 101,
    [137] = 133,
    [138] = 132,
    [139] = 131,
    [140] = 106,
    [141] = 81,
    [142] = 125,
    [143] = 124,
    [144] = 108,
    [145] = 111,
    [146] = 80,
    [147] = 120,
    [148] = 109,
    [149] = 123,
    [150] = 110,
    [151] = 118,
    [152] = 117,
    [153] = 122,
    [154] = 121,
    [155] = 76,
    [156] = 156,
    [157] = 87,
    [158] = 87,
    [159] = 89,
    [160] = 102,
    [161] = 73,
    [162] = 74,
    [163] = 131,
    [164] = 78,
    [165] = 99,
    [166] = 79,
    [167] = 130,
    [168] = 125,
    [169] = 101,
    [170] = 132,
    [171] = 124,
    [172] = 106,
    [173] = 123,
    [174] = 121,
    [175] = 81,
    [176] = 108,
    [177] = 75,
    [178] = 111,
    [179] = 117,
    [180] = 116,
    [181] = 122,
    [182] = 95,
    [183] = 118,
    [184] = 110,
    [185] = 120,
    [186] = 133,
    [187] = 80,
    [188] = 72,
    [189] = 109,
    [190] = 98,
    [191] = 84,
    [192] = 97,
    [193] = 82,
    [194] = 96,
    [195] = 107,
    [196] = 196,
    [197] = 197,
    [198] = 198,
    [199] = 199,
    [200] = 200,
    [201] = 201,
    [202] = 202,
    [203] = 203,
    [204] = 204,
    [205] = 205,
    [206] = 206,
    [207] = 207,
    [208] = 208,
    [209] = 209,
    [210] = 210,
    [211] = 211,
    [212] = 212,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 224,
    [225] = 225,
    [226] = 226,
    [227] = 227,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 133,
    [232] = 232,
    [233] = 233,
    [234] = 225,
    [235] = 235,
    [236] = 228,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 243,
    [244] = 244,
    [245] = 232,
    [246] = 242,
    [247] = 242,
    [248] = 248,
    [249] = 240,
    [250] = 225,
    [251] = 228,
    [252] = 252,
    [253] = 238,
    [254] = 240,
    [255] = 255,
    [256] = 256,
    [257] = 121,
    [258] = 258,
    [259] = 259,
    [260] = 260,
    [261] = 261,
    [262] = 262,
    [263] = 263,
    [264] = 264,
    [265] = 265,
    [266] = 266,
    [267] = 258,
    [268] = 259,
    [269] = 269,
    [270] = 270,
    [271] = 271,
    [272] = 272,
    [273] = 259,
    [274] = 274,
    [275] = 258,
    [276] = 276,
    [277] = 277,
    [278] = 278,
    [279] = 279,
    [280] = 280,
    [281] = 281,
    [282] = 282,
    [283] = 283,
    [284] = 262,
    [285] = 262,
    [286] = 261,
    [287] = 287,
    [288] = 288,
    [289] = 289,
    [290] = 290,
    [291] = 291,
    [292] = 292,
    [293] = 261,
    [294] = 294,
    [295] = 295,
    [296] = 296,
    [297] = 297,
    [298] = 298,
    [299] = 299,
    [300] = 300,
    [301] = 210,
    [302] = 302,
    [303] = 303,
    [304] = 304,
    [305] = 302,
    [306] = 306,
    [307] = 307,
    [308] = 308,
    [309] = 309,
    [310] = 308,
    [311] = 306,
    [312] = 312,
    [313] = 313,
    [314] = 314,
    [315] = 309,
    [316] = 316,
    [317] = 312,
    [318] = 318,
    [319] = 319,
    [320] = 320,
    [321] = 321,
    [322] = 322,
    [323] = 323,
    [324] = 308,
    [325] = 306,
    [326] = 326,
    [327] = 313,
    [328] = 328,
    [329] = 314,
    [330] = 330,
    [331] = 316,
    [332] = 309,
    [333] = 333,
    [334] = 334,
    [335] = 335,
    [336] = 306,
    [337] = 337,
    [338] = 338,
    [339] = 312,
    [340] = 313,
    [341] = 302,
    [342] = 314,
    [343] = 343,
    [344] = 316,
    [345] = 345,
    [346] = 346,
    [347] = 345,
    [348] = 348,
    [349] = 349,
    [350] = 350,
    [351] = 218,
    [352] = 352,
    [353] = 353,
    [354] = 354,
    [355] = 355,
    [356] = 356,
    [357] = 357,
    [358] = 358,
    [359] = 359,
    [360] = 360,
    [361] = 361,
    [362] = 362,
    [363] = 363,
    [364] = 350,
    [365] = 365,
    [366] = 349,
    [367] = 367,
    [368] = 368,
    [369] = 369,
    [370] = 370,
    [371] = 349,
    [372] = 372,
    [373] = 373,
    [374] = 374,
    [375] = 350,
    [376] = 376,
    [377] = 377,
    [378] = 378,
    [379] = 379,
    [380] = 380,
    [381] = 381,
    [382] = 382,
    [383] = 383,
    [384] = 381,
    [385] = 382,
    [386] = 380,
    [387] = 387,
    [388] = 381,
    [389] = 389,
    [390] = 387,
    [391] = 391,
    [392] = 382,
    [393] = 393,
    [394] = 380,
    [395] = 395,
    [396] = 396,
    [397] = 397,
    [398] = 398,
    [399] = 399,
    [400] = 400,
    [401] = 401,
    [402] = 387,
    [403] = 401,
    [404] = 393,
    [405] = 405,
    [406] = 393,
    [407] = 407,
    [408] = 408,
    [409] = 409,
    [410] = 410,
    [411] = 411,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(268);
            ADVANCE_MAP(
                '\n', 557,
                '\r', 1,
                '!', 391,
                '"', 300,
                '#', 572,
                '%', 374,
                '\'', 307,
                '(', 295,
                ')', 296,
                '*', 371,
                '+', 278,
                ',', 293,
                '-', 277,
                '.', 291,
                '/', 372,
                '0', 279,
                ':', 298,
                '<', 380,
                '=', 370,
                '>', 378,
                '[', 292,
                '\\', 12,
                ']', 294,
                '_', 286,
                'a', 165,
                'b', 143,
                'c', 20,
                'd', 66,
                'e', 281,
                'f', 24,
                'g', 67,
                'i', 110,
                'l', 68,
                'm', 18,
                'n', 69,
                'o', 62,
                'p', 146,
                'r', 85,
                's', 19,
                't', 86,
                'u', 170,
                'w', 127,
                '{', 297,
                '|', 386,
                '}', 299,
                '~', 387,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(280);
            END_STATE();
        case 1:
            ADVANCE_MAP(
                '\n', 557,
                '\r', 1,
                '!', 391,
                '"', 300,
                '#', 572,
                '%', 374,
                '\'', 307,
                '(', 295,
                ')', 296,
                '*', 371,
                '+', 278,
                ',', 293,
                '-', 277,
                '.', 291,
                '/', 372,
                '0', 279,
                ':', 298,
                '<', 380,
                '=', 370,
                '>', 378,
                '[', 292,
                '\\', 12,
                ']', 294,
                '_', 286,
                'a', 165,
                'b', 143,
                'c', 20,
                'd', 66,
                'e', 281,
                'f', 24,
                'g', 67,
                'i', 110,
                'l', 68,
                'm', 18,
                'n', 69,
                'o', 62,
                'p', 146,
                'r', 85,
                's', 19,
                't', 86,
                'u', 170,
                'w', 127,
                '{', 297,
                '|', 386,
                '}', 299,
                '~', 387,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(1);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(280);
            END_STATE();
        case 2:
            ADVANCE_MAP(
                '\n', 302,
                '\r', 302,
                '"', 300,
                '#', 304,
                '\\', 303,
                '{', 305,
                '\t', 302,
                0x0b, 302,
                '\f', 302,
                ' ', 302,
            );
            if(lookahead != 0)
                ADVANCE(301);
            END_STATE();
        case 3:
            ADVANCE_MAP(
                '\n', 309,
                '\r', 309,
                '#', 310,
                '\'', 307,
                '\\', 312,
                '{', 311,
                '\t', 309,
                0x0b, 309,
                '\f', 309,
                ' ', 309,
            );
            if(lookahead != 0)
                ADVANCE(308);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                ADVANCE(558);
            if(lookahead == '\r')
                ADVANCE(568);
            if(lookahead == '#')
                ADVANCE(572);
            if(lookahead == '{')
                ADVANCE(569);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                ADVANCE(568);
            if(lookahead != 0)
                ADVANCE(570);
            END_STATE();
        case 5:
            ADVANCE_MAP(
                '\n', 559,
                '\r', 5,
                '!', 390,
                '"', 300,
                '#', 13,
                '\'', 307,
                '(', 295,
                '+', 278,
                '-', 277,
                '0', 279,
                '[', 292,
                '_', 287,
                'b', 518,
                'c', 432,
                'd', 457,
                'e', 526,
                'f', 435,
                'g', 458,
                'i', 507,
                'l', 459,
                'm', 433,
                'n', 460,
                'o', 455,
                's', 434,
                't', 461,
                'u', 512,
                '{', 297,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(5);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(280);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 6:
            ADVANCE_MAP(
                '\n', 560,
                '\r', 6,
                '!', 16,
                '#', 13,
                '%', 374,
                '(', 295,
                ')', 296,
                '*', 371,
                '+', 278,
                ',', 293,
                '-', 277,
                '.', 291,
                '/', 372,
                ':', 298,
                '<', 380,
                '=', 370,
                '>', 378,
                '[', 292,
                ']', 294,
                '_', 286,
                'a', 166,
                'b', 144,
                'c', 21,
                'd', 93,
                'e', 145,
                'f', 128,
                'i', 112,
                'm', 38,
                'o', 203,
                'p', 146,
                'r', 85,
                's', 87,
                't', 221,
                'w', 136,
                '{', 14,
                '|', 386,
                '}', 299,
                '~', 387,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(6);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(280);
            END_STATE();
        case 7:
            ADVANCE_MAP(
                '\n', 561,
                '\r', 7,
                '!', 390,
                '"', 300,
                '#', 13,
                '\'', 307,
                '(', 295,
                ')', 296,
                '+', 278,
                ',', 293,
                '-', 277,
                '0', 279,
                '[', 292,
                ']', 294,
                '_', 287,
                'f', 436,
                'n', 519,
                't', 528,
                '{', 297,
                '}', 299,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(7);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(280);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 8:
            ADVANCE_MAP(
                '\n', 562,
                '\r', 8,
                '!', 16,
                '#', 13,
                '%', 374,
                ')', 296,
                '*', 371,
                '+', 278,
                ',', 293,
                '-', 277,
                '.', 291,
                '/', 372,
                ':', 298,
                '<', 380,
                '=', 370,
                '>', 378,
                '[', 292,
                ']', 294,
                'a', 164,
                'e', 282,
                'i', 111,
                'o', 203,
                'r', 85,
                'w', 127,
                '{', 14,
                '|', 386,
                '}', 299,
                '~', 387,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(8);
            END_STATE();
        case 9:
            ADVANCE_MAP(
                '\n', 563,
                '\r', 9,
                '!', 16,
                '#', 13,
                '%', 374,
                '*', 371,
                '+', 278,
                '-', 277,
                '.', 291,
                '/', 372,
                ':', 298,
                '<', 380,
                '=', 17,
                '>', 378,
                '[', 292,
                'a', 515,
                'e', 283,
                'i', 538,
                'o', 534,
                '{', 14,
                '|', 386,
                '~', 387,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(9);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 10:
            ADVANCE_MAP(
                '\n', 564,
                '\r', 10,
                '!', 16,
                '#', 13,
                '%', 374,
                '(', 295,
                '*', 371,
                '+', 278,
                '-', 277,
                '.', 291,
                '/', 372,
                ':', 298,
                '<', 380,
                '=', 17,
                '>', 378,
                '[', 292,
                'a', 515,
                'i', 538,
                'o', 534,
                '{', 14,
                '|', 386,
                '~', 387,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(10);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 11:
            ADVANCE_MAP(
                '\n', 565,
                '\r', 11,
                '"', 300,
                '#', 13,
                '\'', 307,
                '(', 295,
                '.', 291,
                ':', 298,
                '[', 292,
                '{', 14,
            );
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(11);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 12:
            if(lookahead == '"')
                ADVANCE(306);
            if(lookahead == '\'')
                ADVANCE(313);
            END_STATE();
        case 13:
            if(lookahead == '#')
                ADVANCE(551);
            END_STATE();
        case 14:
            if(lookahead == '#')
                ADVANCE(566);
            END_STATE();
        case 15:
            if(lookahead == '#')
                ADVANCE(566);
            if(lookahead != 0 &&
               lookahead != '%')
                ADVANCE(431);
            END_STATE();
        case 16:
            if(lookahead == '=')
                ADVANCE(377);
            END_STATE();
        case 17:
            if(lookahead == '=')
                ADVANCE(376);
            END_STATE();
        case 18:
            if(lookahead == 'a')
                ADVANCE(49);
            if(lookahead == 'i')
                ADVANCE(227);
            END_STATE();
        case 19:
            if(lookahead == 'a')
                ADVANCE(163);
            if(lookahead == 'e')
                ADVANCE(201);
            if(lookahead == 't')
                ADVANCE(220);
            END_STATE();
        case 20:
            if(lookahead == 'a')
                ADVANCE(152);
            if(lookahead == 'o')
                ADVANCE(171);
            END_STATE();
        case 21:
            if(lookahead == 'a')
                ADVANCE(152);
            if(lookahead == 'o')
                ADVANCE(181);
            END_STATE();
        case 22:
            if(lookahead == 'a')
                ADVANCE(42);
            END_STATE();
        case 23:
            if(lookahead == 'a')
                ADVANCE(141);
            END_STATE();
        case 24:
            if(lookahead == 'a')
                ADVANCE(150);
            if(lookahead == 'i')
                ADVANCE(160);
            if(lookahead == 'l')
                ADVANCE(188);
            if(lookahead == 'o')
                ADVANCE(204);
            if(lookahead == 'r')
                ADVANCE(186);
            END_STATE();
        case 25:
            ADVANCE_MAP(
                'a', 257,
                'b', 159,
                'c', 33,
                'f', 139,
                'i', 114,
                'm', 28,
                's', 97,
                't', 218,
                'w', 132,
            );
            END_STATE();
        case 26:
            if(lookahead == 'a')
                ADVANCE(178);
            END_STATE();
        case 27:
            if(lookahead == 'a')
                ADVANCE(178);
            if(lookahead == 'u')
                ADVANCE(73);
            END_STATE();
        case 28:
            if(lookahead == 'a')
                ADVANCE(53);
            END_STATE();
        case 29:
            if(lookahead == 'a')
                ADVANCE(238);
            END_STATE();
        case 30:
            if(lookahead == 'a')
                ADVANCE(151);
            END_STATE();
        case 31:
            if(lookahead == 'a')
                ADVANCE(223);
            END_STATE();
        case 32:
            if(lookahead == 'a')
                ADVANCE(168);
            END_STATE();
        case 33:
            if(lookahead == 'a')
                ADVANCE(155);
            END_STATE();
        case 34:
            if(lookahead == 'a')
                ADVANCE(196);
            END_STATE();
        case 35:
            if(lookahead == 'a')
                ADVANCE(180);
            END_STATE();
        case 36:
            if(lookahead == 'a')
                ADVANCE(197);
            END_STATE();
        case 37:
            if(lookahead == 'a')
                ADVANCE(198);
            END_STATE();
        case 38:
            if(lookahead == 'a')
                ADVANCE(48);
            END_STATE();
        case 39:
            if(lookahead == 'b')
                ADVANCE(262);
            END_STATE();
        case 40:
            if(lookahead == 'b')
                ADVANCE(251);
            END_STATE();
        case 41:
            if(lookahead == 'b')
                ADVANCE(251);
            if(lookahead == 'f')
                ADVANCE(129);
            END_STATE();
        case 42:
            if(lookahead == 'b')
                ADVANCE(157);
            END_STATE();
        case 43:
            if(lookahead == 'b')
                ADVANCE(158);
            END_STATE();
        case 44:
            if(lookahead == 'b')
                ADVANCE(106);
            END_STATE();
        case 45:
            if(lookahead == 'c')
                ADVANCE(140);
            END_STATE();
        case 46:
            if(lookahead == 'c')
                ADVANCE(34);
            END_STATE();
        case 47:
            if(lookahead == 'c')
                ADVANCE(142);
            END_STATE();
        case 48:
            if(lookahead == 'c')
                ADVANCE(214);
            END_STATE();
        case 49:
            if(lookahead == 'c')
                ADVANCE(214);
            if(lookahead == 'p')
                ADVANCE(200);
            END_STATE();
        case 50:
            if(lookahead == 'c')
                ADVANCE(79);
            END_STATE();
        case 51:
            if(lookahead == 'c')
                ADVANCE(153);
            END_STATE();
        case 52:
            if(lookahead == 'c')
                ADVANCE(252);
            END_STATE();
        case 53:
            if(lookahead == 'c')
                ADVANCE(217);
            END_STATE();
        case 54:
            if(lookahead == 'c')
                ADVANCE(36);
            END_STATE();
        case 55:
            if(lookahead == 'c')
                ADVANCE(37);
            END_STATE();
        case 56:
            if(lookahead == 'd')
                ADVANCE(382);
            END_STATE();
        case 57:
            if(lookahead == 'd')
                ADVANCE(25);
            END_STATE();
        case 58:
            if(lookahead == 'd')
                ADVANCE(356);
            END_STATE();
        case 59:
            if(lookahead == 'd')
                ADVANCE(319);
            END_STATE();
        case 60:
            if(lookahead == 'd')
                ADVANCE(325);
            END_STATE();
        case 61:
            if(lookahead == 'd')
                ADVANCE(366);
            END_STATE();
        case 62:
            if(lookahead == 'd')
                ADVANCE(58);
            if(lookahead == 'r')
                ADVANCE(384);
            END_STATE();
        case 63:
            if(lookahead == 'd')
                ADVANCE(224);
            END_STATE();
        case 64:
            if(lookahead == 'd')
                ADVANCE(91);
            END_STATE();
        case 65:
            if(lookahead == 'd')
                ADVANCE(84);
            END_STATE();
        case 66:
            if(lookahead == 'e')
                ADVANCE(41);
            if(lookahead == 'i')
                ADVANCE(258);
            if(lookahead == 'o')
                ADVANCE(407);
            END_STATE();
        case 67:
            if(lookahead == 'e')
                ADVANCE(333);
            if(lookahead == 't')
                ADVANCE(335);
            END_STATE();
        case 68:
            if(lookahead == 'e')
                ADVANCE(344);
            if(lookahead == 'o')
                ADVANCE(260);
            if(lookahead == 't')
                ADVANCE(348);
            END_STATE();
        case 69:
            if(lookahead == 'e')
                ADVANCE(352);
            if(lookahead == 'o')
                ADVANCE(179);
            if(lookahead == 'u')
                ADVANCE(154);
            END_STATE();
        case 70:
            if(lookahead == 'e')
                ADVANCE(23);
            END_STATE();
        case 71:
            if(lookahead == 'e')
                ADVANCE(394);
            END_STATE();
        case 72:
            if(lookahead == 'e')
                ADVANCE(275);
            END_STATE();
        case 73:
            if(lookahead == 'e')
                ADVANCE(269);
            END_STATE();
        case 74:
            if(lookahead == 'e')
                ADVANCE(261);
            if(lookahead == 'i')
                ADVANCE(174);
            END_STATE();
        case 75:
            if(lookahead == 'e')
                ADVANCE(271);
            END_STATE();
        case 76:
            if(lookahead == 'e')
                ADVANCE(422);
            END_STATE();
        case 77:
            if(lookahead == 'e')
                ADVANCE(403);
            END_STATE();
        case 78:
            if(lookahead == 'e')
                ADVANCE(342);
            END_STATE();
        case 79:
            if(lookahead == 'e')
                ADVANCE(360);
            END_STATE();
        case 80:
            if(lookahead == 'e')
                ADVANCE(410);
            END_STATE();
        case 81:
            if(lookahead == 'e')
                ADVANCE(428);
            END_STATE();
        case 82:
            if(lookahead == 'e')
                ADVANCE(408);
            END_STATE();
        case 83:
            if(lookahead == 'e')
                ADVANCE(406);
            END_STATE();
        case 84:
            if(lookahead == 'e')
                ADVANCE(421);
            END_STATE();
        case 85:
            if(lookahead == 'e')
                ADVANCE(52);
            END_STATE();
        case 86:
            if(lookahead == 'e')
                ADVANCE(229);
            if(lookahead == 'r')
                ADVANCE(27);
            END_STATE();
        case 87:
            if(lookahead == 'e')
                ADVANCE(202);
            END_STATE();
        case 88:
            if(lookahead == 'e')
                ADVANCE(120);
            END_STATE();
        case 89:
            if(lookahead == 'e')
                ADVANCE(167);
            END_STATE();
        case 90:
            if(lookahead == 'e')
                ADVANCE(212);
            END_STATE();
        case 91:
            if(lookahead == 'e')
                ADVANCE(115);
            END_STATE();
        case 92:
            if(lookahead == 'e')
                ADVANCE(39);
            END_STATE();
        case 93:
            if(lookahead == 'e')
                ADVANCE(40);
            if(lookahead == 'o')
                ADVANCE(407);
            END_STATE();
        case 94:
            if(lookahead == 'e')
                ADVANCE(59);
            END_STATE();
        case 95:
            if(lookahead == 'e')
                ADVANCE(173);
            END_STATE();
        case 96:
            if(lookahead == 'e')
                ADVANCE(60);
            END_STATE();
        case 97:
            if(lookahead == 'e')
                ADVANCE(239);
            END_STATE();
        case 98:
            if(lookahead == 'e')
                ADVANCE(205);
            END_STATE();
        case 99:
            if(lookahead == 'e')
                ADVANCE(233);
            END_STATE();
        case 100:
            if(lookahead == 'e')
                ADVANCE(61);
            END_STATE();
        case 101:
            if(lookahead == 'e')
                ADVANCE(31);
            END_STATE();
        case 102:
            if(lookahead == 'e')
                ADVANCE(206);
            END_STATE();
        case 103:
            if(lookahead == 'e')
                ADVANCE(32);
            END_STATE();
        case 104:
            if(lookahead == 'e')
                ADVANCE(177);
            END_STATE();
        case 105:
            if(lookahead == 'e')
                ADVANCE(208);
            END_STATE();
        case 106:
            if(lookahead == 'e')
                ADVANCE(209);
            END_STATE();
        case 107:
            if(lookahead == 'e')
                ADVANCE(210);
            END_STATE();
        case 108:
            if(lookahead == 'e')
                ADVANCE(211);
            END_STATE();
        case 109:
            if(lookahead == 'e')
                ADVANCE(234);
            END_STATE();
        case 110:
            if(lookahead == 'f')
                ADVANCE(411);
            if(lookahead == 'g')
                ADVANCE(176);
            if(lookahead == 'm')
                ADVANCE(195);
            if(lookahead == 'n')
                ADVANCE(339);
            if(lookahead == 's')
                ADVANCE(314);
            if(lookahead == 't')
                ADVANCE(90);
            END_STATE();
        case 111:
            if(lookahead == 'f')
                ADVANCE(411);
            if(lookahead == 'g')
                ADVANCE(176);
            if(lookahead == 'n')
                ADVANCE(337);
            if(lookahead == 's')
                ADVANCE(314);
            END_STATE();
        case 112:
            if(lookahead == 'f')
                ADVANCE(411);
            if(lookahead == 'm')
                ADVANCE(195);
            if(lookahead == 'n')
                ADVANCE(51);
            if(lookahead == 's')
                ADVANCE(314);
            END_STATE();
        case 113:
            if(lookahead == 'f')
                ADVANCE(393);
            END_STATE();
        case 114:
            if(lookahead == 'f')
                ADVANCE(395);
            END_STATE();
        case 115:
            if(lookahead == 'f')
                ADVANCE(137);
            END_STATE();
        case 116:
            if(lookahead == 'g')
                ADVANCE(405);
            END_STATE();
        case 117:
            if(lookahead == 'g')
                ADVANCE(362);
            END_STATE();
        case 118:
            if(lookahead == 'g')
                ADVANCE(350);
            END_STATE();
        case 119:
            if(lookahead == 'g')
                ADVANCE(423);
            END_STATE();
        case 120:
            if(lookahead == 'g')
                ADVANCE(107);
            END_STATE();
        case 121:
            if(lookahead == 'h')
                ADVANCE(417);
            END_STATE();
        case 122:
            if(lookahead == 'h')
                ADVANCE(397);
            END_STATE();
        case 123:
            if(lookahead == 'h')
                ADVANCE(416);
            END_STATE();
        case 124:
            if(lookahead == 'i')
                ADVANCE(113);
            if(lookahead == 's')
                ADVANCE(71);
            END_STATE();
        case 125:
            if(lookahead == 'i')
                ADVANCE(263);
            END_STATE();
        case 126:
            if(lookahead == 'i')
                ADVANCE(259);
            END_STATE();
        case 127:
            if(lookahead == 'i')
                ADVANCE(235);
            END_STATE();
        case 128:
            if(lookahead == 'i')
                ADVANCE(160);
            if(lookahead == 'o')
                ADVANCE(204);
            if(lookahead == 'r')
                ADVANCE(186);
            END_STATE();
        case 129:
            if(lookahead == 'i')
                ADVANCE(182);
            END_STATE();
        case 130:
            if(lookahead == 'i')
                ADVANCE(226);
            END_STATE();
        case 131:
            if(lookahead == 'i')
                ADVANCE(169);
            END_STATE();
        case 132:
            if(lookahead == 'i')
                ADVANCE(243);
            END_STATE();
        case 133:
            if(lookahead == 'i')
                ADVANCE(174);
            END_STATE();
        case 134:
            if(lookahead == 'i')
                ADVANCE(172);
            END_STATE();
        case 135:
            if(lookahead == 'i')
                ADVANCE(175);
            END_STATE();
        case 136:
            if(lookahead == 'i')
                ADVANCE(244);
            END_STATE();
        case 137:
            if(lookahead == 'i')
                ADVANCE(183);
            END_STATE();
        case 138:
            if(lookahead == 'i')
                ADVANCE(43);
            END_STATE();
        case 139:
            if(lookahead == 'i')
                ADVANCE(161);
            if(lookahead == 'o')
                ADVANCE(207);
            END_STATE();
        case 140:
            if(lookahead == 'k')
                ADVANCE(412);
            END_STATE();
        case 141:
            if(lookahead == 'k')
                ADVANCE(404);
            END_STATE();
        case 142:
            if(lookahead == 'k')
                ADVANCE(396);
            END_STATE();
        case 143:
            if(lookahead == 'l')
                ADVANCE(187);
            if(lookahead == 'o')
                ADVANCE(189);
            if(lookahead == 'r')
                ADVANCE(70);
            END_STATE();
        case 144:
            if(lookahead == 'l')
                ADVANCE(187);
            if(lookahead == 'r')
                ADVANCE(70);
            END_STATE();
        case 145:
            if(lookahead == 'l')
                ADVANCE(124);
            if(lookahead == 'n')
                ADVANCE(57);
            if(lookahead == 'x')
                ADVANCE(246);
            END_STATE();
        case 146:
            if(lookahead == 'l')
                ADVANCE(255);
            END_STATE();
        case 147:
            if(lookahead == 'l')
                ADVANCE(415);
            END_STATE();
        case 148:
            if(lookahead == 'l')
                ADVANCE(273);
            END_STATE();
        case 149:
            if(lookahead == 'l')
                ADVANCE(400);
            END_STATE();
        case 150:
            if(lookahead == 'l')
                ADVANCE(231);
            END_STATE();
        case 151:
            if(lookahead == 'l')
                ADVANCE(125);
            END_STATE();
        case 152:
            if(lookahead == 'l')
                ADVANCE(147);
            END_STATE();
        case 153:
            if(lookahead == 'l')
                ADVANCE(256);
            END_STATE();
        case 154:
            if(lookahead == 'l')
                ADVANCE(148);
            if(lookahead == 'm')
                ADVANCE(44);
            END_STATE();
        case 155:
            if(lookahead == 'l')
                ADVANCE(149);
            END_STATE();
        case 156:
            if(lookahead == 'l')
                ADVANCE(103);
            END_STATE();
        case 157:
            if(lookahead == 'l')
                ADVANCE(78);
            END_STATE();
        case 158:
            if(lookahead == 'l')
                ADVANCE(92);
            END_STATE();
        case 159:
            if(lookahead == 'l')
                ADVANCE(190);
            END_STATE();
        case 160:
            if(lookahead == 'l')
                ADVANCE(247);
            END_STATE();
        case 161:
            if(lookahead == 'l')
                ADVANCE(249);
            END_STATE();
        case 162:
            if(lookahead == 'm')
                ADVANCE(419);
            END_STATE();
        case 163:
            if(lookahead == 'm')
                ADVANCE(101);
            END_STATE();
        case 164:
            if(lookahead == 'n')
                ADVANCE(56);
            if(lookahead == 's')
                ADVANCE(420);
            END_STATE();
        case 165:
            if(lookahead == 'n')
                ADVANCE(56);
            if(lookahead == 's')
                ADVANCE(420);
            if(lookahead == 'u')
                ADVANCE(245);
            END_STATE();
        case 166:
            if(lookahead == 'n')
                ADVANCE(56);
            if(lookahead == 'u')
                ADVANCE(245);
            END_STATE();
        case 167:
            if(lookahead == 'n')
                ADVANCE(327);
            END_STATE();
        case 168:
            if(lookahead == 'n')
                ADVANCE(316);
            END_STATE();
        case 169:
            if(lookahead == 'n')
                ADVANCE(117);
            END_STATE();
        case 170:
            if(lookahead == 'n')
                ADVANCE(64);
            if(lookahead == 'p')
                ADVANCE(199);
            END_STATE();
        case 171:
            if(lookahead == 'n')
                ADVANCE(236);
            END_STATE();
        case 172:
            if(lookahead == 'n')
                ADVANCE(118);
            END_STATE();
        case 173:
            if(lookahead == 'n')
                ADVANCE(63);
            END_STATE();
        case 174:
            if(lookahead == 'n')
                ADVANCE(254);
            END_STATE();
        case 175:
            if(lookahead == 'n')
                ADVANCE(119);
            END_STATE();
        case 176:
            if(lookahead == 'n')
                ADVANCE(191);
            END_STATE();
        case 177:
            if(lookahead == 'n')
                ADVANCE(50);
            END_STATE();
        case 178:
            if(lookahead == 'n')
                ADVANCE(222);
            END_STATE();
        case 179:
            if(lookahead == 'n')
                ADVANCE(72);
            if(lookahead == 't')
                ADVANCE(388);
            END_STATE();
        case 180:
            if(lookahead == 'n')
                ADVANCE(225);
            END_STATE();
        case 181:
            if(lookahead == 'n')
                ADVANCE(248);
            END_STATE();
        case 182:
            if(lookahead == 'n')
                ADVANCE(94);
            END_STATE();
        case 183:
            if(lookahead == 'n')
                ADVANCE(100);
            END_STATE();
        case 184:
            if(lookahead == 'o')
                ADVANCE(413);
            END_STATE();
        case 185:
            if(lookahead == 'o')
                ADVANCE(399);
            END_STATE();
        case 186:
            if(lookahead == 'o')
                ADVANCE(162);
            END_STATE();
        case 187:
            if(lookahead == 'o')
                ADVANCE(45);
            END_STATE();
        case 188:
            if(lookahead == 'o')
                ADVANCE(29);
            END_STATE();
        case 189:
            if(lookahead == 'o')
                ADVANCE(156);
            END_STATE();
        case 190:
            if(lookahead == 'o')
                ADVANCE(47);
            END_STATE();
        case 191:
            if(lookahead == 'o')
                ADVANCE(219);
            END_STATE();
        case 192:
            if(lookahead == 'o')
                ADVANCE(216);
            END_STATE();
        case 193:
            if(lookahead == 'o')
                ADVANCE(99);
            END_STATE();
        case 194:
            if(lookahead == 'o')
                ADVANCE(109);
            END_STATE();
        case 195:
            if(lookahead == 'p')
                ADVANCE(192);
            END_STATE();
        case 196:
            if(lookahead == 'p')
                ADVANCE(96);
            END_STATE();
        case 197:
            if(lookahead == 'p')
                ADVANCE(82);
            END_STATE();
        case 198:
            if(lookahead == 'p')
                ADVANCE(83);
            END_STATE();
        case 199:
            if(lookahead == 'p')
                ADVANCE(102);
            END_STATE();
        case 200:
            if(lookahead == 'p')
                ADVANCE(134);
            END_STATE();
        case 201:
            if(lookahead == 'q')
                ADVANCE(575);
            if(lookahead == 't')
                ADVANCE(426);
            END_STATE();
        case 202:
            if(lookahead == 'q')
                ADVANCE(574);
            if(lookahead == 't')
                ADVANCE(426);
            END_STATE();
        case 203:
            if(lookahead == 'r')
                ADVANCE(384);
            END_STATE();
        case 204:
            if(lookahead == 'r')
                ADVANCE(427);
            END_STATE();
        case 205:
            if(lookahead == 'r')
                ADVANCE(346);
            END_STATE();
        case 206:
            if(lookahead == 'r')
                ADVANCE(368);
            END_STATE();
        case 207:
            if(lookahead == 'r')
                ADVANCE(392);
            END_STATE();
        case 208:
            if(lookahead == 'r')
                ADVANCE(329);
            END_STATE();
        case 209:
            if(lookahead == 'r')
                ADVANCE(354);
            END_STATE();
        case 210:
            if(lookahead == 'r')
                ADVANCE(340);
            END_STATE();
        case 211:
            if(lookahead == 'r')
                ADVANCE(398);
            END_STATE();
        case 212:
            if(lookahead == 'r')
                ADVANCE(22);
            END_STATE();
        case 213:
            if(lookahead == 'r')
                ADVANCE(30);
            END_STATE();
        case 214:
            if(lookahead == 'r')
                ADVANCE(184);
            END_STATE();
        case 215:
            if(lookahead == 'r')
                ADVANCE(230);
            END_STATE();
        case 216:
            if(lookahead == 'r')
                ADVANCE(240);
            END_STATE();
        case 217:
            if(lookahead == 'r')
                ADVANCE(185);
            END_STATE();
        case 218:
            if(lookahead == 'r')
                ADVANCE(35);
            END_STATE();
        case 219:
            if(lookahead == 'r')
                ADVANCE(76);
            END_STATE();
        case 220:
            if(lookahead == 'r')
                ADVANCE(131);
            END_STATE();
        case 221:
            if(lookahead == 'r')
                ADVANCE(26);
            END_STATE();
        case 222:
            if(lookahead == 's')
                ADVANCE(409);
            END_STATE();
        case 223:
            if(lookahead == 's')
                ADVANCE(358);
            END_STATE();
        case 224:
            if(lookahead == 's')
                ADVANCE(414);
            END_STATE();
        case 225:
            if(lookahead == 's')
                ADVANCE(402);
            END_STATE();
        case 226:
            if(lookahead == 's')
                ADVANCE(138);
            END_STATE();
        case 227:
            if(lookahead == 's')
                ADVANCE(232);
            END_STATE();
        case 228:
            if(lookahead == 's')
                ADVANCE(71);
            END_STATE();
        case 229:
            if(lookahead == 's')
                ADVANCE(237);
            END_STATE();
        case 230:
            if(lookahead == 's')
                ADVANCE(126);
            END_STATE();
        case 231:
            if(lookahead == 's')
                ADVANCE(75);
            END_STATE();
        case 232:
            if(lookahead == 's')
                ADVANCE(135);
            END_STATE();
        case 233:
            if(lookahead == 's')
                ADVANCE(54);
            END_STATE();
        case 234:
            if(lookahead == 's')
                ADVANCE(55);
            END_STATE();
        case 235:
            if(lookahead == 't')
                ADVANCE(121);
            END_STATE();
        case 236:
            if(lookahead == 't')
                ADVANCE(74);
            END_STATE();
        case 237:
            if(lookahead == 't')
                ADVANCE(364);
            END_STATE();
        case 238:
            if(lookahead == 't')
                ADVANCE(331);
            END_STATE();
        case 239:
            if(lookahead == 't')
                ADVANCE(401);
            END_STATE();
        case 240:
            if(lookahead == 't')
                ADVANCE(418);
            END_STATE();
        case 241:
            if(lookahead == 't')
                ADVANCE(425);
            END_STATE();
        case 242:
            if(lookahead == 't')
                ADVANCE(424);
            END_STATE();
        case 243:
            if(lookahead == 't')
                ADVANCE(122);
            END_STATE();
        case 244:
            if(lookahead == 't')
                ADVANCE(123);
            END_STATE();
        case 245:
            if(lookahead == 't')
                ADVANCE(193);
            END_STATE();
        case 246:
            if(lookahead == 't')
                ADVANCE(95);
            END_STATE();
        case 247:
            if(lookahead == 't')
                ADVANCE(105);
            END_STATE();
        case 248:
            if(lookahead == 't')
                ADVANCE(133);
            END_STATE();
        case 249:
            if(lookahead == 't')
                ADVANCE(108);
            END_STATE();
        case 250:
            if(lookahead == 't')
                ADVANCE(194);
            END_STATE();
        case 251:
            if(lookahead == 'u')
                ADVANCE(116);
            END_STATE();
        case 252:
            if(lookahead == 'u')
                ADVANCE(215);
            END_STATE();
        case 253:
            if(lookahead == 'u')
                ADVANCE(242);
            END_STATE();
        case 254:
            if(lookahead == 'u')
                ADVANCE(77);
            END_STATE();
        case 255:
            if(lookahead == 'u')
                ADVANCE(213);
            END_STATE();
        case 256:
            if(lookahead == 'u')
                ADVANCE(65);
            END_STATE();
        case 257:
            if(lookahead == 'u')
                ADVANCE(250);
            END_STATE();
        case 258:
            if(lookahead == 'v')
                ADVANCE(130);
            END_STATE();
        case 259:
            if(lookahead == 'v')
                ADVANCE(81);
            END_STATE();
        case 260:
            if(lookahead == 'w')
                ADVANCE(98);
            END_STATE();
        case 261:
            if(lookahead == 'x')
                ADVANCE(241);
            END_STATE();
        case 262:
            if(lookahead == 'y')
                ADVANCE(321);
            END_STATE();
        case 263:
            if(lookahead == 'z')
                ADVANCE(80);
            END_STATE();
        case 264:
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == '_')
                ADVANCE(289);
            END_STATE();
        case 265:
            if(('0' <= lookahead && lookahead <= '7') ||
               lookahead == '_')
                ADVANCE(288);
            END_STATE();
        case 266:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(290);
            END_STATE();
        case 267:
            if(eof)
                ADVANCE(268);
            if(lookahead == '\n')
                ADVANCE(430);
            if(lookahead == '\r')
                ADVANCE(430);
            if(lookahead == '#')
                ADVANCE(571);
            if(lookahead == '{')
                ADVANCE(15);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                ADVANCE(430);
            if(lookahead != 0)
                ADVANCE(429);
            END_STATE();
        case 268:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 269:
            ACCEPT_TOKEN(anon_sym_true);
            END_STATE();
        case 270:
            ACCEPT_TOKEN(anon_sym_true);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 271:
            ACCEPT_TOKEN(anon_sym_false);
            END_STATE();
        case 272:
            ACCEPT_TOKEN(anon_sym_false);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 273:
            ACCEPT_TOKEN(anon_sym_null);
            END_STATE();
        case 274:
            ACCEPT_TOKEN(anon_sym_null);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 275:
            ACCEPT_TOKEN(anon_sym_none);
            END_STATE();
        case 276:
            ACCEPT_TOKEN(anon_sym_none);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 277:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 278:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 279:
            ACCEPT_TOKEN(sym_dec_literal);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(264);
            if(lookahead == 'O' ||
               lookahead == 'o')
                ADVANCE(265);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(266);
            if(('0' <= lookahead && lookahead <= '9') ||
               lookahead == '_')
                ADVANCE(280);
            END_STATE();
        case 280:
            ACCEPT_TOKEN(sym_dec_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               lookahead == '_')
                ADVANCE(280);
            END_STATE();
        case 281:
            ACCEPT_TOKEN(anon_sym_e);
            ADVANCE_MAP(
                '+', 284,
                '-', 285,
                'l', 124,
                'n', 57,
                'q', 323,
                's', 46,
                'v', 89,
                'x', 246,
            );
            END_STATE();
        case 282:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(284);
            if(lookahead == '-')
                ADVANCE(285);
            if(lookahead == 'l')
                ADVANCE(228);
            END_STATE();
        case 283:
            ACCEPT_TOKEN(anon_sym_e);
            if(lookahead == '+')
                ADVANCE(284);
            if(lookahead == '-')
                ADVANCE(285);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 284:
            ACCEPT_TOKEN(anon_sym_e_PLUS);
            END_STATE();
        case 285:
            ACCEPT_TOKEN(anon_sym_e_DASH);
            END_STATE();
        case 286:
            ACCEPT_TOKEN(anon_sym__);
            END_STATE();
        case 287:
            ACCEPT_TOKEN(anon_sym__);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 288:
            ACCEPT_TOKEN(sym_oct_literal);
            if(('0' <= lookahead && lookahead <= '7') ||
               lookahead == '_')
                ADVANCE(288);
            END_STATE();
        case 289:
            ACCEPT_TOKEN(sym_bin_literal);
            if(lookahead == '0' ||
               lookahead == '1' ||
               lookahead == '_')
                ADVANCE(289);
            END_STATE();
        case 290:
            ACCEPT_TOKEN(sym_hex_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(290);
            END_STATE();
        case 291:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 292:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 293:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 294:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 295:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 296:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 297:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            if(lookahead == '#')
                ADVANCE(566);
            END_STATE();
        case 298:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 299:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 300:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 301:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            END_STATE();
        case 302:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            ADVANCE_MAP(
                '\n', 302,
                '\r', 302,
                '#', 304,
                '\\', 303,
                '{', 305,
                '\t', 302,
                0x0b, 302,
                '\f', 302,
                ' ', 302,
            );
            if(lookahead != 0 &&
               lookahead != '"' &&
               lookahead != '#')
                ADVANCE(301);
            END_STATE();
        case 303:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '"')
                ADVANCE(306);
            END_STATE();
        case 304:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '#')
                ADVANCE(551);
            END_STATE();
        case 305:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '#')
                ADVANCE(566);
            END_STATE();
        case 306:
            ACCEPT_TOKEN(anon_sym_BSLASH_DQUOTE);
            END_STATE();
        case 307:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 308:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            END_STATE();
        case 309:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            ADVANCE_MAP(
                '\n', 309,
                '\r', 309,
                '#', 310,
                '\\', 312,
                '{', 311,
                '\t', 309,
                0x0b, 309,
                '\f', 309,
                ' ', 309,
            );
            if(lookahead != 0 &&
               lookahead != '\'')
                ADVANCE(308);
            END_STATE();
        case 310:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            if(lookahead == '#')
                ADVANCE(551);
            END_STATE();
        case 311:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            if(lookahead == '#')
                ADVANCE(566);
            END_STATE();
        case 312:
            ACCEPT_TOKEN(aux_sym_string_literal_token2);
            if(lookahead == '\'')
                ADVANCE(313);
            END_STATE();
        case 313:
            ACCEPT_TOKEN(anon_sym_BSLASH_SQUOTE);
            END_STATE();
        case 314:
            ACCEPT_TOKEN(anon_sym_is);
            END_STATE();
        case 315:
            ACCEPT_TOKEN(anon_sym_is);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 316:
            ACCEPT_TOKEN(anon_sym_boolean);
            END_STATE();
        case 317:
            ACCEPT_TOKEN(anon_sym_boolean);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 318:
            ACCEPT_TOKEN(anon_sym_callable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 319:
            ACCEPT_TOKEN(anon_sym_defined);
            END_STATE();
        case 320:
            ACCEPT_TOKEN(anon_sym_defined);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 321:
            ACCEPT_TOKEN(anon_sym_divisibleby);
            END_STATE();
        case 322:
            ACCEPT_TOKEN(anon_sym_divisibleby);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 323:
            ACCEPT_TOKEN(anon_sym_eq);
            END_STATE();
        case 324:
            ACCEPT_TOKEN(anon_sym_eq);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 325:
            ACCEPT_TOKEN(anon_sym_escaped);
            END_STATE();
        case 326:
            ACCEPT_TOKEN(anon_sym_escaped);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 327:
            ACCEPT_TOKEN(anon_sym_even);
            END_STATE();
        case 328:
            ACCEPT_TOKEN(anon_sym_even);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 329:
            ACCEPT_TOKEN(anon_sym_filter);
            END_STATE();
        case 330:
            ACCEPT_TOKEN(anon_sym_filter);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 331:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 332:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 333:
            ACCEPT_TOKEN(anon_sym_ge);
            END_STATE();
        case 334:
            ACCEPT_TOKEN(anon_sym_ge);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 335:
            ACCEPT_TOKEN(anon_sym_gt);
            END_STATE();
        case 336:
            ACCEPT_TOKEN(anon_sym_gt);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 337:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 338:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 't')
                ADVANCE(463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 339:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 't')
                ADVANCE(88);
            END_STATE();
        case 340:
            ACCEPT_TOKEN(anon_sym_integer);
            END_STATE();
        case 341:
            ACCEPT_TOKEN(anon_sym_integer);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 342:
            ACCEPT_TOKEN(anon_sym_iterable);
            END_STATE();
        case 343:
            ACCEPT_TOKEN(anon_sym_iterable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 344:
            ACCEPT_TOKEN(anon_sym_le);
            END_STATE();
        case 345:
            ACCEPT_TOKEN(anon_sym_le);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 346:
            ACCEPT_TOKEN(anon_sym_lower);
            END_STATE();
        case 347:
            ACCEPT_TOKEN(anon_sym_lower);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 348:
            ACCEPT_TOKEN(anon_sym_lt);
            END_STATE();
        case 349:
            ACCEPT_TOKEN(anon_sym_lt);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 350:
            ACCEPT_TOKEN(anon_sym_mapping);
            END_STATE();
        case 351:
            ACCEPT_TOKEN(anon_sym_mapping);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 352:
            ACCEPT_TOKEN(anon_sym_ne);
            END_STATE();
        case 353:
            ACCEPT_TOKEN(anon_sym_ne);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 354:
            ACCEPT_TOKEN(anon_sym_number);
            END_STATE();
        case 355:
            ACCEPT_TOKEN(anon_sym_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 356:
            ACCEPT_TOKEN(anon_sym_odd);
            END_STATE();
        case 357:
            ACCEPT_TOKEN(anon_sym_odd);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 358:
            ACCEPT_TOKEN(anon_sym_sameas);
            END_STATE();
        case 359:
            ACCEPT_TOKEN(anon_sym_sameas);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 360:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 361:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 362:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 363:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 364:
            ACCEPT_TOKEN(anon_sym_test);
            END_STATE();
        case 365:
            ACCEPT_TOKEN(anon_sym_test);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 366:
            ACCEPT_TOKEN(anon_sym_undefined);
            END_STATE();
        case 367:
            ACCEPT_TOKEN(anon_sym_undefined);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 368:
            ACCEPT_TOKEN(anon_sym_upper);
            END_STATE();
        case 369:
            ACCEPT_TOKEN(anon_sym_upper);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 370:
            ACCEPT_TOKEN(anon_sym_EQ);
            if(lookahead == '=')
                ADVANCE(376);
            END_STATE();
        case 371:
            ACCEPT_TOKEN(anon_sym_STAR);
            if(lookahead == '*')
                ADVANCE(375);
            END_STATE();
        case 372:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '/')
                ADVANCE(373);
            END_STATE();
        case 373:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 374:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 375:
            ACCEPT_TOKEN(anon_sym_STAR_STAR);
            END_STATE();
        case 376:
            ACCEPT_TOKEN(anon_sym_EQ_EQ);
            END_STATE();
        case 377:
            ACCEPT_TOKEN(anon_sym_BANG_EQ);
            END_STATE();
        case 378:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '=')
                ADVANCE(379);
            END_STATE();
        case 379:
            ACCEPT_TOKEN(anon_sym_GT_EQ);
            END_STATE();
        case 380:
            ACCEPT_TOKEN(anon_sym_LT);
            if(lookahead == '=')
                ADVANCE(381);
            END_STATE();
        case 381:
            ACCEPT_TOKEN(anon_sym_LT_EQ);
            END_STATE();
        case 382:
            ACCEPT_TOKEN(anon_sym_and);
            END_STATE();
        case 383:
            ACCEPT_TOKEN(anon_sym_and);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 384:
            ACCEPT_TOKEN(anon_sym_or);
            END_STATE();
        case 385:
            ACCEPT_TOKEN(anon_sym_or);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 386:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 387:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 388:
            ACCEPT_TOKEN(anon_sym_not);
            END_STATE();
        case 389:
            ACCEPT_TOKEN(anon_sym_not);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 390:
            ACCEPT_TOKEN(anon_sym_BANG);
            END_STATE();
        case 391:
            ACCEPT_TOKEN(anon_sym_BANG);
            if(lookahead == '=')
                ADVANCE(377);
            END_STATE();
        case 392:
            ACCEPT_TOKEN(anon_sym_endfor);
            END_STATE();
        case 393:
            ACCEPT_TOKEN(anon_sym_elif);
            END_STATE();
        case 394:
            ACCEPT_TOKEN(anon_sym_else);
            END_STATE();
        case 395:
            ACCEPT_TOKEN(anon_sym_endif);
            END_STATE();
        case 396:
            ACCEPT_TOKEN(anon_sym_endblock);
            END_STATE();
        case 397:
            ACCEPT_TOKEN(anon_sym_endwith);
            END_STATE();
        case 398:
            ACCEPT_TOKEN(anon_sym_endfilter);
            END_STATE();
        case 399:
            ACCEPT_TOKEN(anon_sym_endmacro);
            END_STATE();
        case 400:
            ACCEPT_TOKEN(anon_sym_endcall);
            END_STATE();
        case 401:
            ACCEPT_TOKEN(anon_sym_endset);
            END_STATE();
        case 402:
            ACCEPT_TOKEN(anon_sym_endtrans);
            END_STATE();
        case 403:
            ACCEPT_TOKEN(anon_sym_continue);
            END_STATE();
        case 404:
            ACCEPT_TOKEN(anon_sym_break);
            END_STATE();
        case 405:
            ACCEPT_TOKEN(anon_sym_debug);
            END_STATE();
        case 406:
            ACCEPT_TOKEN(anon_sym_endautoescape);
            END_STATE();
        case 407:
            ACCEPT_TOKEN(anon_sym_do);
            END_STATE();
        case 408:
            ACCEPT_TOKEN(anon_sym_autoescape);
            END_STATE();
        case 409:
            ACCEPT_TOKEN(anon_sym_trans);
            END_STATE();
        case 410:
            ACCEPT_TOKEN(anon_sym_pluralize);
            END_STATE();
        case 411:
            ACCEPT_TOKEN(anon_sym_if);
            END_STATE();
        case 412:
            ACCEPT_TOKEN(anon_sym_block);
            END_STATE();
        case 413:
            ACCEPT_TOKEN(anon_sym_macro);
            END_STATE();
        case 414:
            ACCEPT_TOKEN(anon_sym_extends);
            END_STATE();
        case 415:
            ACCEPT_TOKEN(anon_sym_call);
            END_STATE();
        case 416:
            ACCEPT_TOKEN(anon_sym_with);
            END_STATE();
        case 417:
            ACCEPT_TOKEN(anon_sym_with);
            if(lookahead == 'o')
                ADVANCE(253);
            END_STATE();
        case 418:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 419:
            ACCEPT_TOKEN(anon_sym_from);
            END_STATE();
        case 420:
            ACCEPT_TOKEN(anon_sym_as);
            END_STATE();
        case 421:
            ACCEPT_TOKEN(anon_sym_include);
            END_STATE();
        case 422:
            ACCEPT_TOKEN(anon_sym_ignore);
            END_STATE();
        case 423:
            ACCEPT_TOKEN(anon_sym_missing);
            END_STATE();
        case 424:
            ACCEPT_TOKEN(anon_sym_without);
            END_STATE();
        case 425:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 426:
            ACCEPT_TOKEN(anon_sym_set);
            END_STATE();
        case 427:
            ACCEPT_TOKEN(anon_sym_for);
            END_STATE();
        case 428:
            ACCEPT_TOKEN(anon_sym_recursive);
            END_STATE();
        case 429:
            ACCEPT_TOKEN(aux_sym_words_token1);
            END_STATE();
        case 430:
            ACCEPT_TOKEN(aux_sym_words_token1);
            if(lookahead == '\n')
                ADVANCE(430);
            if(lookahead == '\r')
                ADVANCE(430);
            if(lookahead == '#')
                ADVANCE(571);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                ADVANCE(430);
            if(lookahead != 0 &&
               lookahead != '{')
                ADVANCE(429);
            END_STATE();
        case 431:
            ACCEPT_TOKEN(aux_sym_words_token2);
            END_STATE();
        case 432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(522);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(506);
            if(lookahead == 'e')
                ADVANCE(527);
            if(lookahead == 't')
                ADVANCE(535);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(497);
            if(lookahead == 'i')
                ADVANCE(495);
            if(lookahead == 'l')
                ADVANCE(520);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(444);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(543);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(523);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(537);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(509);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(549);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(504);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(357);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(320);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(383);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(484);
            if(lookahead == 'i')
                ADVANCE(547);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(334);
            if(lookahead == 't')
                ADVANCE(336);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(345);
            if(lookahead == 'o')
                ADVANCE(548);
            if(lookahead == 't')
                ADVANCE(349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(353);
            if(lookahead == 'o')
                ADVANCE(514);
            if(lookahead == 'u')
                ADVANCE(500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(539);
            if(lookahead == 'r')
                ADVANCE(545);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(276);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(361);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(536);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(529);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(443);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(451);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(530);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(531);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(440);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(453);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(532);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(441);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(533);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(363);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(351);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(540);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(511);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(446);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(544);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(274);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(541);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(496);
            if(lookahead == 'm')
                ADVANCE(447);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(338);
            if(lookahead == 't')
                ADVANCE(470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(456);
            if(lookahead == 'p')
                ADVANCE(525);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(464);
            if(lookahead == 't')
                ADVANCE(389);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(521);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(514);
            if(lookahead == 'u')
                ADVANCE(501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(438);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(524);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 525:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 526:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(324);
            if(lookahead == 's')
                ADVANCE(448);
            if(lookahead == 'v')
                ADVANCE(462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 527:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(546);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 528:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(545);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 529:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(347);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 530:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 531:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 532:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(355);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 533:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(341);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 534:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(385);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 535:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 536:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(442);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 537:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(359);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 538:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(315);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 539:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(542);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 540:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 541:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(466);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 542:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 543:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 544:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 545:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(465);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 546:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 547:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 548:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 549:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 550:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(550);
            END_STATE();
        case 551:
            ACCEPT_TOKEN(anon_sym_POUND_POUND);
            END_STATE();
        case 552:
            ACCEPT_TOKEN(anon_sym_POUND_POUND);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '\r')
                ADVANCE(556);
            END_STATE();
        case 553:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(553);
            if(lookahead == '\r')
                ADVANCE(553);
            if(lookahead == '#')
                ADVANCE(554);
            if(lookahead == '{')
                ADVANCE(555);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                ADVANCE(553);
            if(lookahead != 0)
                ADVANCE(556);
            END_STATE();
        case 554:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '#')
                ADVANCE(552);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '\r')
                ADVANCE(556);
            END_STATE();
        case 555:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '#')
                ADVANCE(567);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '\r')
                ADVANCE(556);
            END_STATE();
        case 556:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '\r')
                ADVANCE(556);
            END_STATE();
        case 557:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(557);
            if(lookahead == '\r')
                ADVANCE(1);
            END_STATE();
        case 558:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(558);
            if(lookahead == '\r')
                ADVANCE(568);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                ADVANCE(568);
            END_STATE();
        case 559:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(559);
            if(lookahead == '\r')
                ADVANCE(5);
            END_STATE();
        case 560:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(560);
            if(lookahead == '\r')
                ADVANCE(6);
            END_STATE();
        case 561:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(561);
            if(lookahead == '\r')
                ADVANCE(7);
            END_STATE();
        case 562:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(562);
            if(lookahead == '\r')
                ADVANCE(8);
            END_STATE();
        case 563:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(563);
            if(lookahead == '\r')
                ADVANCE(9);
            END_STATE();
        case 564:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(564);
            if(lookahead == '\r')
                ADVANCE(10);
            END_STATE();
        case 565:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '\n')
                ADVANCE(565);
            if(lookahead == '\r')
                ADVANCE(11);
            END_STATE();
        case 566:
            ACCEPT_TOKEN(anon_sym_LBRACE_POUND);
            END_STATE();
        case 567:
            ACCEPT_TOKEN(anon_sym_LBRACE_POUND);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '\r')
                ADVANCE(556);
            END_STATE();
        case 568:
            ACCEPT_TOKEN(aux_sym_comment_token3);
            if(lookahead == '\n')
                ADVANCE(558);
            if(lookahead == '\r')
                ADVANCE(568);
            if(lookahead == '{')
                ADVANCE(569);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                ADVANCE(568);
            if(lookahead != 0 &&
               lookahead != '#')
                ADVANCE(570);
            END_STATE();
        case 569:
            ACCEPT_TOKEN(aux_sym_comment_token3);
            if(lookahead == '#')
                ADVANCE(566);
            if(lookahead != 0)
                ADVANCE(570);
            END_STATE();
        case 570:
            ACCEPT_TOKEN(aux_sym_comment_token3);
            if(lookahead != 0 &&
               lookahead != '#')
                ADVANCE(570);
            END_STATE();
        case 571:
            ACCEPT_TOKEN(anon_sym_POUND);
            if(lookahead == '#')
                ADVANCE(551);
            END_STATE();
        case 572:
            ACCEPT_TOKEN(anon_sym_POUND);
            if(lookahead == '#')
                ADVANCE(551);
            if(lookahead == '}')
                ADVANCE(573);
            END_STATE();
        case 573:
            ACCEPT_TOKEN(anon_sym_POUND_RBRACE);
            END_STATE();
        case 574:
            ACCEPT_TOKEN(anon_sym_seq);
            END_STATE();
        case 575:
            ACCEPT_TOKEN(anon_sym_seq);
            if(lookahead == 'u')
                ADVANCE(104);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0, .external_lex_state = 1 },
    [1] = { .lex_state = 267 },
    [2] = { .lex_state = 5 },
    [3] = { .lex_state = 5 },
    [4] = { .lex_state = 5 },
    [5] = { .lex_state = 6 },
    [6] = { .lex_state = 7 },
    [7] = { .lex_state = 7 },
    [8] = { .lex_state = 7 },
    [9] = { .lex_state = 7 },
    [10] = { .lex_state = 7 },
    [11] = { .lex_state = 7 },
    [12] = { .lex_state = 7 },
    [13] = { .lex_state = 7 },
    [14] = { .lex_state = 7 },
    [15] = { .lex_state = 7 },
    [16] = { .lex_state = 7 },
    [17] = { .lex_state = 7 },
    [18] = { .lex_state = 7 },
    [19] = { .lex_state = 7 },
    [20] = { .lex_state = 7 },
    [21] = { .lex_state = 7 },
    [22] = { .lex_state = 7 },
    [23] = { .lex_state = 7 },
    [24] = { .lex_state = 7 },
    [25] = { .lex_state = 7 },
    [26] = { .lex_state = 7 },
    [27] = { .lex_state = 7 },
    [28] = { .lex_state = 7 },
    [29] = { .lex_state = 7 },
    [30] = { .lex_state = 7 },
    [31] = { .lex_state = 7 },
    [32] = { .lex_state = 7 },
    [33] = { .lex_state = 7 },
    [34] = { .lex_state = 7 },
    [35] = { .lex_state = 7 },
    [36] = { .lex_state = 7 },
    [37] = { .lex_state = 7 },
    [38] = { .lex_state = 7 },
    [39] = { .lex_state = 7 },
    [40] = { .lex_state = 7 },
    [41] = { .lex_state = 7 },
    [42] = { .lex_state = 7 },
    [43] = { .lex_state = 7 },
    [44] = { .lex_state = 7 },
    [45] = { .lex_state = 7 },
    [46] = { .lex_state = 7 },
    [47] = { .lex_state = 7 },
    [48] = { .lex_state = 7 },
    [49] = { .lex_state = 7 },
    [50] = { .lex_state = 7 },
    [51] = { .lex_state = 7 },
    [52] = { .lex_state = 7 },
    [53] = { .lex_state = 7 },
    [54] = { .lex_state = 7 },
    [55] = { .lex_state = 7 },
    [56] = { .lex_state = 7 },
    [57] = { .lex_state = 7 },
    [58] = { .lex_state = 7 },
    [59] = { .lex_state = 7 },
    [60] = { .lex_state = 7 },
    [61] = { .lex_state = 7 },
    [62] = { .lex_state = 7 },
    [63] = { .lex_state = 7 },
    [64] = { .lex_state = 7 },
    [65] = { .lex_state = 7 },
    [66] = { .lex_state = 7 },
    [67] = { .lex_state = 7 },
    [68] = { .lex_state = 7 },
    [69] = { .lex_state = 7 },
    [70] = { .lex_state = 7 },
    [71] = { .lex_state = 7 },
    [72] = { .lex_state = 8, .external_lex_state = 2 },
    [73] = { .lex_state = 8, .external_lex_state = 2 },
    [74] = { .lex_state = 8, .external_lex_state = 2 },
    [75] = { .lex_state = 8, .external_lex_state = 2 },
    [76] = { .lex_state = 8 },
    [77] = { .lex_state = 8, .external_lex_state = 2 },
    [78] = { .lex_state = 8, .external_lex_state = 2 },
    [79] = { .lex_state = 8, .external_lex_state = 2 },
    [80] = { .lex_state = 8, .external_lex_state = 2 },
    [81] = { .lex_state = 8, .external_lex_state = 2 },
    [82] = { .lex_state = 8, .external_lex_state = 2 },
    [83] = { .lex_state = 8, .external_lex_state = 2 },
    [84] = { .lex_state = 8, .external_lex_state = 2 },
    [85] = { .lex_state = 8 },
    [86] = { .lex_state = 6 },
    [87] = { .lex_state = 6 },
    [88] = { .lex_state = 6, .external_lex_state = 2 },
    [89] = { .lex_state = 6, .external_lex_state = 2 },
    [90] = { .lex_state = 6, .external_lex_state = 2 },
    [91] = { .lex_state = 6 },
    [92] = { .lex_state = 6 },
    [93] = { .lex_state = 6 },
    [94] = { .lex_state = 6 },
    [95] = { .lex_state = 6, .external_lex_state = 2 },
    [96] = { .lex_state = 6 },
    [97] = { .lex_state = 6, .external_lex_state = 2 },
    [98] = { .lex_state = 6, .external_lex_state = 2 },
    [99] = { .lex_state = 6 },
    [100] = { .lex_state = 6 },
    [101] = { .lex_state = 6 },
    [102] = { .lex_state = 6, .external_lex_state = 2 },
    [103] = { .lex_state = 6 },
    [104] = { .lex_state = 6 },
    [105] = { .lex_state = 6 },
    [106] = { .lex_state = 6 },
    [107] = { .lex_state = 6 },
    [108] = { .lex_state = 6 },
    [109] = { .lex_state = 6 },
    [110] = { .lex_state = 6 },
    [111] = { .lex_state = 6 },
    [112] = { .lex_state = 6 },
    [113] = { .lex_state = 6, .external_lex_state = 2 },
    [114] = { .lex_state = 6 },
    [115] = { .lex_state = 9, .external_lex_state = 2 },
    [116] = { .lex_state = 6 },
    [117] = { .lex_state = 6, .external_lex_state = 2 },
    [118] = { .lex_state = 6, .external_lex_state = 2 },
    [119] = { .lex_state = 6 },
    [120] = { .lex_state = 6, .external_lex_state = 2 },
    [121] = { .lex_state = 6 },
    [122] = { .lex_state = 6 },
    [123] = { .lex_state = 6 },
    [124] = { .lex_state = 6 },
    [125] = { .lex_state = 6 },
    [126] = { .lex_state = 6 },
    [127] = { .lex_state = 6, .external_lex_state = 2 },
    [128] = { .lex_state = 6 },
    [129] = { .lex_state = 6, .external_lex_state = 2 },
    [130] = { .lex_state = 6 },
    [131] = { .lex_state = 6, .external_lex_state = 2 },
    [132] = { .lex_state = 6, .external_lex_state = 2 },
    [133] = { .lex_state = 6, .external_lex_state = 2 },
    [134] = { .lex_state = 6, .external_lex_state = 2 },
    [135] = { .lex_state = 6, .external_lex_state = 2 },
    [136] = { .lex_state = 6, .external_lex_state = 2 },
    [137] = { .lex_state = 6 },
    [138] = { .lex_state = 6 },
    [139] = { .lex_state = 6 },
    [140] = { .lex_state = 6, .external_lex_state = 2 },
    [141] = { .lex_state = 6 },
    [142] = { .lex_state = 6, .external_lex_state = 2 },
    [143] = { .lex_state = 6, .external_lex_state = 2 },
    [144] = { .lex_state = 6, .external_lex_state = 2 },
    [145] = { .lex_state = 6, .external_lex_state = 2 },
    [146] = { .lex_state = 6 },
    [147] = { .lex_state = 6 },
    [148] = { .lex_state = 6, .external_lex_state = 2 },
    [149] = { .lex_state = 6, .external_lex_state = 2 },
    [150] = { .lex_state = 6, .external_lex_state = 2 },
    [151] = { .lex_state = 6 },
    [152] = { .lex_state = 6 },
    [153] = { .lex_state = 6, .external_lex_state = 2 },
    [154] = { .lex_state = 6, .external_lex_state = 2 },
    [155] = { .lex_state = 9, .external_lex_state = 2 },
    [156] = { .lex_state = 6 },
    [157] = { .lex_state = 10, .external_lex_state = 2 },
    [158] = { .lex_state = 10, .external_lex_state = 2 },
    [159] = { .lex_state = 10, .external_lex_state = 2 },
    [160] = { .lex_state = 10, .external_lex_state = 2 },
    [161] = { .lex_state = 10, .external_lex_state = 2 },
    [162] = { .lex_state = 10, .external_lex_state = 2 },
    [163] = { .lex_state = 10, .external_lex_state = 2 },
    [164] = { .lex_state = 10, .external_lex_state = 2 },
    [165] = { .lex_state = 10, .external_lex_state = 2 },
    [166] = { .lex_state = 10, .external_lex_state = 2 },
    [167] = { .lex_state = 10, .external_lex_state = 2 },
    [168] = { .lex_state = 10, .external_lex_state = 2 },
    [169] = { .lex_state = 10, .external_lex_state = 2 },
    [170] = { .lex_state = 10, .external_lex_state = 2 },
    [171] = { .lex_state = 10, .external_lex_state = 2 },
    [172] = { .lex_state = 10, .external_lex_state = 2 },
    [173] = { .lex_state = 10, .external_lex_state = 2 },
    [174] = { .lex_state = 10, .external_lex_state = 2 },
    [175] = { .lex_state = 10, .external_lex_state = 2 },
    [176] = { .lex_state = 10, .external_lex_state = 2 },
    [177] = { .lex_state = 10, .external_lex_state = 2 },
    [178] = { .lex_state = 10, .external_lex_state = 2 },
    [179] = { .lex_state = 10, .external_lex_state = 2 },
    [180] = { .lex_state = 10, .external_lex_state = 2 },
    [181] = { .lex_state = 10, .external_lex_state = 2 },
    [182] = { .lex_state = 10, .external_lex_state = 2 },
    [183] = { .lex_state = 10, .external_lex_state = 2 },
    [184] = { .lex_state = 10, .external_lex_state = 2 },
    [185] = { .lex_state = 10, .external_lex_state = 2 },
    [186] = { .lex_state = 10, .external_lex_state = 2 },
    [187] = { .lex_state = 10, .external_lex_state = 2 },
    [188] = { .lex_state = 10, .external_lex_state = 2 },
    [189] = { .lex_state = 10, .external_lex_state = 2 },
    [190] = { .lex_state = 10, .external_lex_state = 2 },
    [191] = { .lex_state = 10, .external_lex_state = 2 },
    [192] = { .lex_state = 10, .external_lex_state = 2 },
    [193] = { .lex_state = 10, .external_lex_state = 2 },
    [194] = { .lex_state = 10, .external_lex_state = 2 },
    [195] = { .lex_state = 10, .external_lex_state = 2 },
    [196] = { .lex_state = 7 },
    [197] = { .lex_state = 7 },
    [198] = { .lex_state = 0, .external_lex_state = 2 },
    [199] = { .lex_state = 0, .external_lex_state = 2 },
    [200] = { .lex_state = 267 },
    [201] = { .lex_state = 0, .external_lex_state = 2 },
    [202] = { .lex_state = 0, .external_lex_state = 2 },
    [203] = { .lex_state = 267 },
    [204] = { .lex_state = 0, .external_lex_state = 2 },
    [205] = { .lex_state = 0, .external_lex_state = 2 },
    [206] = { .lex_state = 0, .external_lex_state = 2 },
    [207] = { .lex_state = 0, .external_lex_state = 2 },
    [208] = { .lex_state = 0, .external_lex_state = 2 },
    [209] = { .lex_state = 11 },
    [210] = { .lex_state = 0, .external_lex_state = 2 },
    [211] = { .lex_state = 0, .external_lex_state = 2 },
    [212] = { .lex_state = 0, .external_lex_state = 2 },
    [213] = { .lex_state = 0 },
    [214] = { .lex_state = 0, .external_lex_state = 2 },
    [215] = { .lex_state = 0, .external_lex_state = 2 },
    [216] = { .lex_state = 0, .external_lex_state = 2 },
    [217] = { .lex_state = 0, .external_lex_state = 2 },
    [218] = { .lex_state = 0, .external_lex_state = 2 },
    [219] = { .lex_state = 0, .external_lex_state = 2 },
    [220] = { .lex_state = 0, .external_lex_state = 2 },
    [221] = { .lex_state = 0, .external_lex_state = 2 },
    [222] = { .lex_state = 0, .external_lex_state = 2 },
    [223] = { .lex_state = 0, .external_lex_state = 2 },
    [224] = { .lex_state = 0, .external_lex_state = 2 },
    [225] = { .lex_state = 0 },
    [226] = { .lex_state = 0, .external_lex_state = 2 },
    [227] = { .lex_state = 11, .external_lex_state = 2 },
    [228] = { .lex_state = 0 },
    [229] = { .lex_state = 0, .external_lex_state = 2 },
    [230] = { .lex_state = 11, .external_lex_state = 2 },
    [231] = { .lex_state = 11, .external_lex_state = 2 },
    [232] = { .lex_state = 0, .external_lex_state = 2 },
    [233] = { .lex_state = 267 },
    [234] = { .lex_state = 0 },
    [235] = { .lex_state = 0, .external_lex_state = 2 },
    [236] = { .lex_state = 0 },
    [237] = { .lex_state = 0 },
    [238] = { .lex_state = 11, .external_lex_state = 2 },
    [239] = { .lex_state = 0, .external_lex_state = 2 },
    [240] = { .lex_state = 0 },
    [241] = { .lex_state = 0, .external_lex_state = 2 },
    [242] = { .lex_state = 0 },
    [243] = { .lex_state = 0, .external_lex_state = 2 },
    [244] = { .lex_state = 0 },
    [245] = { .lex_state = 11, .external_lex_state = 2 },
    [246] = { .lex_state = 0 },
    [247] = { .lex_state = 0 },
    [248] = { .lex_state = 11, .external_lex_state = 2 },
    [249] = { .lex_state = 0 },
    [250] = { .lex_state = 0 },
    [251] = { .lex_state = 0 },
    [252] = { .lex_state = 267 },
    [253] = { .lex_state = 0, .external_lex_state = 2 },
    [254] = { .lex_state = 0 },
    [255] = { .lex_state = 0, .external_lex_state = 2 },
    [256] = { .lex_state = 0 },
    [257] = { .lex_state = 11, .external_lex_state = 2 },
    [258] = { .lex_state = 2 },
    [259] = { .lex_state = 3 },
    [260] = { .lex_state = 267 },
    [261] = { .lex_state = 2 },
    [262] = { .lex_state = 3 },
    [263] = { .lex_state = 267 },
    [264] = { .lex_state = 11, .external_lex_state = 2 },
    [265] = { .lex_state = 11 },
    [266] = { .lex_state = 4 },
    [267] = { .lex_state = 2 },
    [268] = { .lex_state = 3 },
    [269] = { .lex_state = 267 },
    [270] = { .lex_state = 0, .external_lex_state = 2 },
    [271] = { .lex_state = 267 },
    [272] = { .lex_state = 267 },
    [273] = { .lex_state = 3 },
    [274] = { .lex_state = 4 },
    [275] = { .lex_state = 2 },
    [276] = { .lex_state = 0, .external_lex_state = 2 },
    [277] = { .lex_state = 267 },
    [278] = { .lex_state = 0, .external_lex_state = 2 },
    [279] = { .lex_state = 267 },
    [280] = { .lex_state = 0, .external_lex_state = 2 },
    [281] = { .lex_state = 0, .external_lex_state = 2 },
    [282] = { .lex_state = 0, .external_lex_state = 2 },
    [283] = { .lex_state = 0 },
    [284] = { .lex_state = 3 },
    [285] = { .lex_state = 3 },
    [286] = { .lex_state = 2 },
    [287] = { .lex_state = 0, .external_lex_state = 2 },
    [288] = { .lex_state = 4 },
    [289] = { .lex_state = 2 },
    [290] = { .lex_state = 3 },
    [291] = { .lex_state = 0, .external_lex_state = 2 },
    [292] = { .lex_state = 11 },
    [293] = { .lex_state = 2 },
    [294] = { .lex_state = 267 },
    [295] = { .lex_state = 0, .external_lex_state = 2 },
    [296] = { .lex_state = 11 },
    [297] = { .lex_state = 0 },
    [298] = { .lex_state = 0 },
    [299] = { .lex_state = 0 },
    [300] = { .lex_state = 0 },
    [301] = { .lex_state = 8 },
    [302] = { .lex_state = 0 },
    [303] = { .lex_state = 0 },
    [304] = { .lex_state = 0 },
    [305] = { .lex_state = 0 },
    [306] = { .lex_state = 0 },
    [307] = { .lex_state = 0 },
    [308] = { .lex_state = 0 },
    [309] = { .lex_state = 0 },
    [310] = { .lex_state = 0 },
    [311] = { .lex_state = 0 },
    [312] = { .lex_state = 0 },
    [313] = { .lex_state = 0 },
    [314] = { .lex_state = 0 },
    [315] = { .lex_state = 0 },
    [316] = { .lex_state = 0 },
    [317] = { .lex_state = 0 },
    [318] = { .lex_state = 0, .external_lex_state = 3 },
    [319] = { .lex_state = 11, .external_lex_state = 2 },
    [320] = { .lex_state = 8 },
    [321] = { .lex_state = 0, .external_lex_state = 3 },
    [322] = { .lex_state = 0, .external_lex_state = 2 },
    [323] = { .lex_state = 0, .external_lex_state = 2 },
    [324] = { .lex_state = 0 },
    [325] = { .lex_state = 0 },
    [326] = { .lex_state = 0 },
    [327] = { .lex_state = 0 },
    [328] = { .lex_state = 11 },
    [329] = { .lex_state = 0 },
    [330] = { .lex_state = 11, .external_lex_state = 2 },
    [331] = { .lex_state = 0 },
    [332] = { .lex_state = 0 },
    [333] = { .lex_state = 0, .external_lex_state = 3 },
    [334] = { .lex_state = 4 },
    [335] = { .lex_state = 0, .external_lex_state = 2 },
    [336] = { .lex_state = 0 },
    [337] = { .lex_state = 8 },
    [338] = { .lex_state = 0 },
    [339] = { .lex_state = 0 },
    [340] = { .lex_state = 0 },
    [341] = { .lex_state = 0 },
    [342] = { .lex_state = 0 },
    [343] = { .lex_state = 2 },
    [344] = { .lex_state = 0 },
    [345] = { .lex_state = 0 },
    [346] = { .lex_state = 3 },
    [347] = { .lex_state = 0 },
    [348] = { .lex_state = 0, .external_lex_state = 2 },
    [349] = { .lex_state = 0 },
    [350] = { .lex_state = 6 },
    [351] = { .lex_state = 8 },
    [352] = { .lex_state = 11 },
    [353] = { .lex_state = 0, .external_lex_state = 2 },
    [354] = { .lex_state = 0, .external_lex_state = 2 },
    [355] = { .lex_state = 0, .external_lex_state = 2 },
    [356] = { .lex_state = 11 },
    [357] = { .lex_state = 0, .external_lex_state = 2 },
    [358] = { .lex_state = 0, .external_lex_state = 2 },
    [359] = { .lex_state = 0, .external_lex_state = 2 },
    [360] = { .lex_state = 0 },
    [361] = { .lex_state = 0, .external_lex_state = 2 },
    [362] = { .lex_state = 0, .external_lex_state = 2 },
    [363] = { .lex_state = 0, .external_lex_state = 2 },
    [364] = { .lex_state = 6 },
    [365] = { .lex_state = 0, .external_lex_state = 2 },
    [366] = { .lex_state = 0 },
    [367] = { .lex_state = 0, .external_lex_state = 2 },
    [368] = { .lex_state = 0, .external_lex_state = 3 },
    [369] = { .lex_state = 0, .external_lex_state = 2 },
    [370] = { .lex_state = 0, .external_lex_state = 2 },
    [371] = { .lex_state = 0 },
    [372] = { .lex_state = 0, .external_lex_state = 2 },
    [373] = { .lex_state = 11 },
    [374] = { .lex_state = 0, .external_lex_state = 2 },
    [375] = { .lex_state = 6 },
    [376] = { .lex_state = 0 },
    [377] = { .lex_state = 11 },
    [378] = { .lex_state = 0, .external_lex_state = 2 },
    [379] = { .lex_state = 0 },
    [380] = { .lex_state = 0 },
    [381] = { .lex_state = 6 },
    [382] = { .lex_state = 0 },
    [383] = { .lex_state = 0 },
    [384] = { .lex_state = 6 },
    [385] = { .lex_state = 0 },
    [386] = { .lex_state = 0 },
    [387] = { .lex_state = 6 },
    [388] = { .lex_state = 6 },
    [389] = { .lex_state = 0 },
    [390] = { .lex_state = 6 },
    [391] = { .lex_state = 11 },
    [392] = { .lex_state = 0 },
    [393] = { .lex_state = 0 },
    [394] = { .lex_state = 0 },
    [395] = { .lex_state = 11 },
    [396] = { .lex_state = 0 },
    [397] = { .lex_state = 11 },
    [398] = { .lex_state = 11 },
    [399] = { .lex_state = 0 },
    [400] = { .lex_state = 553 },
    [401] = { .lex_state = 11 },
    [402] = { .lex_state = 6 },
    [403] = { .lex_state = 11 },
    [404] = { .lex_state = 0 },
    [405] = { .lex_state = 0 },
    [406] = { .lex_state = 0 },
    [407] = { .lex_state = 0 },
    [408] = { .lex_state = 0 },
    [409] = { .lex_state = 0 },
    [410] = { (TSStateId)(-1) },
    [411] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_true] = ACTIONS(1),
        [anon_sym_false] = ACTIONS(1),
        [anon_sym_null] = ACTIONS(1),
        [anon_sym_none] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [sym_dec_literal] = ACTIONS(1),
        [anon_sym_e] = ACTIONS(1),
        [anon_sym_e_PLUS] = ACTIONS(1),
        [anon_sym_e_DASH] = ACTIONS(1),
        [anon_sym__] = ACTIONS(1),
        [sym_oct_literal] = ACTIONS(1),
        [sym_bin_literal] = ACTIONS(1),
        [sym_hex_literal] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_BSLASH_DQUOTE] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_BSLASH_SQUOTE] = ACTIONS(1),
        [anon_sym_is] = ACTIONS(1),
        [anon_sym_boolean] = ACTIONS(1),
        [anon_sym_defined] = ACTIONS(1),
        [anon_sym_divisibleby] = ACTIONS(1),
        [anon_sym_eq] = ACTIONS(1),
        [anon_sym_escaped] = ACTIONS(1),
        [anon_sym_even] = ACTIONS(1),
        [anon_sym_filter] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_ge] = ACTIONS(1),
        [anon_sym_gt] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_integer] = ACTIONS(1),
        [anon_sym_iterable] = ACTIONS(1),
        [anon_sym_le] = ACTIONS(1),
        [anon_sym_lower] = ACTIONS(1),
        [anon_sym_lt] = ACTIONS(1),
        [anon_sym_mapping] = ACTIONS(1),
        [anon_sym_ne] = ACTIONS(1),
        [anon_sym_number] = ACTIONS(1),
        [anon_sym_odd] = ACTIONS(1),
        [anon_sym_sameas] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_test] = ACTIONS(1),
        [anon_sym_undefined] = ACTIONS(1),
        [anon_sym_upper] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_STAR_STAR] = ACTIONS(1),
        [anon_sym_EQ_EQ] = ACTIONS(1),
        [anon_sym_BANG_EQ] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_GT_EQ] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_LT_EQ] = ACTIONS(1),
        [anon_sym_and] = ACTIONS(1),
        [anon_sym_or] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [anon_sym_not] = ACTIONS(1),
        [anon_sym_BANG] = ACTIONS(1),
        [anon_sym_endfor] = ACTIONS(1),
        [anon_sym_elif] = ACTIONS(1),
        [anon_sym_else] = ACTIONS(1),
        [anon_sym_endif] = ACTIONS(1),
        [anon_sym_endblock] = ACTIONS(1),
        [anon_sym_endwith] = ACTIONS(1),
        [anon_sym_endfilter] = ACTIONS(1),
        [anon_sym_endmacro] = ACTIONS(1),
        [anon_sym_endcall] = ACTIONS(1),
        [anon_sym_endset] = ACTIONS(1),
        [anon_sym_endtrans] = ACTIONS(1),
        [anon_sym_continue] = ACTIONS(1),
        [anon_sym_break] = ACTIONS(1),
        [anon_sym_debug] = ACTIONS(1),
        [anon_sym_endautoescape] = ACTIONS(1),
        [anon_sym_do] = ACTIONS(1),
        [anon_sym_autoescape] = ACTIONS(1),
        [anon_sym_trans] = ACTIONS(1),
        [anon_sym_pluralize] = ACTIONS(1),
        [anon_sym_if] = ACTIONS(1),
        [anon_sym_block] = ACTIONS(1),
        [anon_sym_macro] = ACTIONS(1),
        [anon_sym_extends] = ACTIONS(1),
        [anon_sym_call] = ACTIONS(1),
        [anon_sym_with] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_from] = ACTIONS(1),
        [anon_sym_as] = ACTIONS(1),
        [anon_sym_ignore] = ACTIONS(1),
        [anon_sym_missing] = ACTIONS(1),
        [anon_sym_without] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [anon_sym_set] = ACTIONS(1),
        [anon_sym_for] = ACTIONS(1),
        [anon_sym_recursive] = ACTIONS(1),
        [anon_sym_POUND_POUND] = ACTIONS(3),
        [aux_sym_comment_token2] = ACTIONS(5),
        [anon_sym_LBRACE_POUND] = ACTIONS(7),
        [anon_sym_POUND] = ACTIONS(1),
        [anon_sym_POUND_RBRACE] = ACTIONS(1),
        [anon_sym_seq] = ACTIONS(1),
        [sym__raw_char] = ACTIONS(1),
        [sym_raw_end] = ACTIONS(1),
        [sym__eof] = ACTIONS(1),
    },
    [1] = {
        [sym_source] = STATE(389),
        [sym_words] = STATE(269),
        [sym_comment] = STATE(1),
        [sym_line_statement] = STATE(269),
        [sym_raw_block] = STATE(269),
        [sym__NEWLINE] = STATE(269),
        [aux_sym_source_repeat1] = STATE(200),
        [aux_sym_words_repeat1] = STATE(252),
        [ts_builtin_sym_end] = ACTIONS(9),
        [aux_sym_words_token1] = ACTIONS(11),
        [aux_sym_words_token2] = ACTIONS(11),
        [anon_sym_POUND_POUND] = ACTIONS(3),
        [aux_sym_comment_token2] = ACTIONS(13),
        [anon_sym_LBRACE_POUND] = ACTIONS(7),
        [anon_sym_POUND] = ACTIONS(15),
    },
    [2] = {
        [sym_literal] = STATE(136),
        [sym_boolean_literal] = STATE(135),
        [sym_null_literal] = STATE(135),
        [sym_number_literal] = STATE(135),
        [sym_big_dec_literal] = STATE(140),
        [sym_float_literal] = STATE(135),
        [sym_list_literal] = STATE(135),
        [sym_tuple_literal] = STATE(135),
        [sym_dict_literal] = STATE(135),
        [sym_string_literal] = STATE(135),
        [sym_builtin_test] = STATE(149),
        [sym_unary_expression] = STATE(149),
        [sym_unary_operator] = STATE(69),
        [sym_primary_expression] = STATE(95),
        [sym_function_call] = STATE(136),
        [sym_inline_trans] = STATE(136),
        [sym_comment] = STATE(2),
        [anon_sym_true] = ACTIONS(17),
        [anon_sym_false] = ACTIONS(17),
        [anon_sym_null] = ACTIONS(19),
        [anon_sym_none] = ACTIONS(19),
        [anon_sym_DASH] = ACTIONS(21),
        [anon_sym_PLUS] = ACTIONS(21),
        [sym_dec_literal] = ACTIONS(23),
        [anon_sym__] = ACTIONS(25),
        [sym_oct_literal] = ACTIONS(27),
        [sym_bin_literal] = ACTIONS(27),
        [sym_hex_literal] = ACTIONS(27),
        [anon_sym_LBRACK] = ACTIONS(29),
        [anon_sym_LPAREN] = ACTIONS(31),
        [anon_sym_LBRACE] = ACTIONS(33),
        [anon_sym_DQUOTE] = ACTIONS(35),
        [anon_sym_SQUOTE] = ACTIONS(37),
        [anon_sym_boolean] = ACTIONS(39),
        [anon_sym_callable] = ACTIONS(39),
        [anon_sym_defined] = ACTIONS(39),
        [anon_sym_divisibleby] = ACTIONS(41),
        [anon_sym_eq] = ACTIONS(41),
        [anon_sym_escaped] = ACTIONS(39),
        [anon_sym_even] = ACTIONS(39),
        [anon_sym_filter] = ACTIONS(39),
        [anon_sym_float] = ACTIONS(39),
        [anon_sym_ge] = ACTIONS(41),
        [anon_sym_gt] = ACTIONS(41),
        [anon_sym_in] = ACTIONS(43),
        [anon_sym_integer] = ACTIONS(39),
        [anon_sym_iterable] = ACTIONS(39),
        [anon_sym_le] = ACTIONS(41),
        [anon_sym_lower] = ACTIONS(39),
        [anon_sym_lt] = ACTIONS(41),
        [anon_sym_mapping] = ACTIONS(39),
        [anon_sym_ne] = ACTIONS(41),
        [anon_sym_number] = ACTIONS(39),
        [anon_sym_odd] = ACTIONS(39),
        [anon_sym_sameas] = ACTIONS(41),
        [anon_sym_sequence] = ACTIONS(39),
        [anon_sym_string] = ACTIONS(39),
        [anon_sym_test] = ACTIONS(39),
        [anon_sym_undefined] = ACTIONS(39),
        [anon_sym_upper] = ACTIONS(39),
        [anon_sym_not] = ACTIONS(45),
        [anon_sym_BANG] = ACTIONS(45),
        [sym_identifier] = ACTIONS(47),
        [anon_sym_POUND_POUND] = ACTIONS(3),
        [aux_sym_comment_token2] = ACTIONS(5),
        [anon_sym_LBRACE_POUND] = ACTIONS(7),
    },
    [3] = {
        [sym_literal] = STATE(101),
        [sym_boolean_literal] = STATE(99),
        [sym_null_literal] = STATE(99),
        [sym_number_literal] = STATE(99),
        [sym_big_dec_literal] = STATE(106),
        [sym_float_literal] = STATE(99),
        [sym_list_literal] = STATE(99),
        [sym_tuple_literal] = STATE(99),
        [sym_dict_literal] = STATE(99),
        [sym_string_literal] = STATE(99),
        [sym_builtin_test] = STATE(123),
        [sym_unary_expression] = STATE(123),
        [sym_unary_operator] = STATE(67),
        [sym_primary_expression] = STATE(128),
        [sym_function_call] = STATE(101),
        [sym_inline_trans] = STATE(101),
        [sym_comment] = STATE(3),
        [anon_sym_true] = ACTIONS(49),
        [anon_sym_false] = ACTIONS(49),
        [anon_sym_null] = ACTIONS(51),
        [anon_sym_none] = ACTIONS(51),
        [anon_sym_DASH] = ACTIONS(53),
        [anon_sym_PLUS] = ACTIONS(53),
        [sym_dec_literal] = ACTIONS(55),
        [anon_sym__] = ACTIONS(57),
        [sym_oct_literal] = ACTIONS(59),
        [sym_bin_literal] = ACTIONS(59),
        [sym_hex_literal] = ACTIONS(59),
        [anon_sym_LBRACK] = ACTIONS(61),
        [anon_sym_LPAREN] = ACTIONS(63),
        [anon_sym_LBRACE] = ACTIONS(65),
        [anon_sym_DQUOTE] = ACTIONS(67),
        [anon_sym_SQUOTE] = ACTIONS(69),
        [anon_sym_boolean] = ACTIONS(71),
        [anon_sym_callable] = ACTIONS(71),
        [anon_sym_defined] = ACTIONS(71),
        [anon_sym_divisibleby] = ACTIONS(73),
        [anon_sym_eq] = ACTIONS(73),
        [anon_sym_escaped] = ACTIONS(71),
        [anon_sym_even] = ACTIONS(71),
        [anon_sym_filter] = ACTIONS(71),
        [anon_sym_float] = ACTIONS(71),
        [anon_sym_ge] = ACTIONS(73),
        [anon_sym_gt] = ACTIONS(73),
        [anon_sym_in] = ACTIONS(75),
        [anon_sym_integer] = ACTIONS(71),
        [anon_sym_iterable] = ACTIONS(71),
        [anon_sym_le] = ACTIONS(73),
        [anon_sym_lower] = ACTIONS(71),
        [anon_sym_lt] = ACTIONS(73),
        [anon_sym_mapping] = ACTIONS(71),
        [anon_sym_ne] = ACTIONS(73),
        [anon_sym_number] = ACTIONS(71),
        [anon_sym_odd] = ACTIONS(71),
        [anon_sym_sameas] = ACTIONS(73),
        [anon_sym_sequence] = ACTIONS(71),
        [anon_sym_string] = ACTIONS(71),
        [anon_sym_test] = ACTIONS(71),
        [anon_sym_undefined] = ACTIONS(71),
        [anon_sym_upper] = ACTIONS(71),
        [anon_sym_not] = ACTIONS(45),
        [anon_sym_BANG] = ACTIONS(45),
        [sym_identifier] = ACTIONS(77),
        [anon_sym_POUND_POUND] = ACTIONS(3),
        [aux_sym_comment_token2] = ACTIONS(5),
        [anon_sym_LBRACE_POUND] = ACTIONS(7),
    },
    [4] = {
        [sym_literal] = STATE(169),
        [sym_boolean_literal] = STATE(165),
        [sym_null_literal] = STATE(165),
        [sym_number_literal] = STATE(165),
        [sym_big_dec_literal] = STATE(172),
        [sym_float_literal] = STATE(165),
        [sym_list_literal] = STATE(165),
        [sym_tuple_literal] = STATE(165),
        [sym_dict_literal] = STATE(165),
        [sym_string_literal] = STATE(165),
        [sym_builtin_test] = STATE(173),
        [sym_unary_expression] = STATE(173),
        [sym_unary_operator] = STATE(66),
        [sym_primary_expression] = STATE(182),
        [sym_function_call] = STATE(169),
        [sym_inline_trans] = STATE(169),
        [sym_comment] = STATE(4),
        [anon_sym_true] = ACTIONS(79),
        [anon_sym_false] = ACTIONS(79),
        [anon_sym_null] = ACTIONS(81),
        [anon_sym_none] = ACTIONS(81),
        [anon_sym_DASH] = ACTIONS(83),
        [anon_sym_PLUS] = ACTIONS(83),
        [sym_dec_literal] = ACTIONS(85),
        [anon_sym__] = ACTIONS(87),
        [sym_oct_literal] = ACTIONS(89),
        [sym_bin_literal] = ACTIONS(89),
        [sym_hex_literal] = ACTIONS(89),
        [anon_sym_LBRACK] = ACTIONS(91),
        [anon_sym_LPAREN] = ACTIONS(93),
        [anon_sym_LBRACE] = ACTIONS(95),
        [anon_sym_DQUOTE] = ACTIONS(97),
        [anon_sym_SQUOTE] = ACTIONS(99),
        [anon_sym_boolean] = ACTIONS(101),
        [anon_sym_callable] = ACTIONS(101),
        [anon_sym_defined] = ACTIONS(101),
        [anon_sym_divisibleby] = ACTIONS(103),
        [anon_sym_eq] = ACTIONS(103),
        [anon_sym_escaped] = ACTIONS(101),
        [anon_sym_even] = ACTIONS(101),
        [anon_sym_filter] = ACTIONS(101),
        [anon_sym_float] = ACTIONS(101),
        [anon_sym_ge] = ACTIONS(103),
        [anon_sym_gt] = ACTIONS(103),
        [anon_sym_in] = ACTIONS(105),
        [anon_sym_integer] = ACTIONS(101),
        [anon_sym_iterable] = ACTIONS(101),
        [anon_sym_le] = ACTIONS(103),
        [anon_sym_lower] = ACTIONS(101),
        [anon_sym_lt] = ACTIONS(103),
        [anon_sym_mapping] = ACTIONS(101),
        [anon_sym_ne] = ACTIONS(103),
        [anon_sym_number] = ACTIONS(101),
        [anon_sym_odd] = ACTIONS(101),
        [anon_sym_sameas] = ACTIONS(103),
        [anon_sym_sequence] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(101),
        [anon_sym_test] = ACTIONS(101),
        [anon_sym_undefined] = ACTIONS(101),
        [anon_sym_upper] = ACTIONS(101),
        [anon_sym_not] = ACTIONS(45),
        [anon_sym_BANG] = ACTIONS(45),
        [sym_identifier] = ACTIONS(107),
        [anon_sym_POUND_POUND] = ACTIONS(3),
        [aux_sym_comment_token2] = ACTIONS(5),
        [anon_sym_LBRACE_POUND] = ACTIONS(7),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(109),
    1,
    anon_sym_filter,
    ACTIONS(113),
    1,
    anon_sym_elif,
    ACTIONS(115),
    1,
    anon_sym_do,
    ACTIONS(117),
    1,
    anon_sym_autoescape,
    ACTIONS(119),
    1,
    anon_sym_trans,
    ACTIONS(121),
    1,
    anon_sym_pluralize,
    ACTIONS(123),
    1,
    anon_sym_if,
    ACTIONS(125),
    1,
    anon_sym_block,
    ACTIONS(127),
    1,
    anon_sym_macro,
    ACTIONS(129),
    1,
    anon_sym_extends,
    ACTIONS(131),
    1,
    anon_sym_call,
    ACTIONS(133),
    1,
    anon_sym_with,
    ACTIONS(135),
    1,
    anon_sym_import,
    ACTIONS(137),
    1,
    anon_sym_from,
    ACTIONS(139),
    1,
    anon_sym_include,
    ACTIONS(141),
    1,
    anon_sym_set,
    ACTIONS(143),
    1,
    anon_sym_for,
    ACTIONS(145),
    1,
    anon_sym_seq,
    STATE(5),
    1,
    sym_comment,
    STATE(295),
    1,
    sym_statement,
    STATE(405),
    1,
    sym_import_from,
    ACTIONS(111),
    14,
    anon_sym_endfor,
    anon_sym_else,
    anon_sym_endif,
    anon_sym_endblock,
    anon_sym_endwith,
    anon_sym_endfilter,
    anon_sym_endmacro,
    anon_sym_endcall,
    anon_sym_endset,
    anon_sym_endtrans,
    anon_sym_continue,
    anon_sym_break,
    anon_sym_debug,
    anon_sym_endautoescape,
    STATE(355),
    15,
    sym_do_statement,
    sym_autoescape_statement,
    sym_trans_statement,
    sym_pluralize_statement,
    sym_block_statement,
    sym_filter_statement,
    sym_macro_statement,
    sym_extends_statement,
    sym_call_statement,
    sym_with_statement,
    sym_import_statement,
    sym_include_statement,
    sym_set_statement,
    sym_for_statement,
    sym_if_expression,
    [106] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(147),
    1,
    anon_sym_COMMA,
    ACTIONS(149),
    1,
    anon_sym_RPAREN,
    STATE(6),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(244),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [203] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(147),
    1,
    anon_sym_COMMA,
    ACTIONS(149),
    1,
    anon_sym_RPAREN,
    STATE(7),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(247),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [300] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(151),
    1,
    anon_sym_COMMA,
    ACTIONS(153),
    1,
    anon_sym_RBRACK,
    STATE(8),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(249),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [397] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(155),
    1,
    anon_sym_RPAREN,
    ACTIONS(157),
    1,
    sym_identifier,
    STATE(9),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(298),
    1,
    sym_expression,
    STATE(317),
    1,
    sym_arg,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [494] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(157),
    1,
    sym_identifier,
    ACTIONS(159),
    1,
    anon_sym_RPAREN,
    STATE(10),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(298),
    1,
    sym_expression,
    STATE(312),
    1,
    sym_arg,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [591] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(161),
    1,
    anon_sym_COMMA,
    ACTIONS(163),
    1,
    anon_sym_RPAREN,
    STATE(11),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(246),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [688] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(165),
    1,
    anon_sym_COMMA,
    ACTIONS(167),
    1,
    anon_sym_RBRACK,
    STATE(12),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(254),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [785] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(169),
    1,
    anon_sym_COMMA,
    ACTIONS(171),
    1,
    anon_sym_RBRACK,
    STATE(13),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(240),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [882] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(173),
    1,
    anon_sym_COMMA,
    ACTIONS(175),
    1,
    anon_sym_RPAREN,
    STATE(14),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(242),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [979] = 27,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(157),
    1,
    sym_identifier,
    ACTIONS(177),
    1,
    anon_sym_RPAREN,
    STATE(15),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(298),
    1,
    sym_expression,
    STATE(339),
    1,
    sym_arg,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1076] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(179),
    1,
    anon_sym_RBRACE,
    STATE(16),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(305),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1170] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(181),
    1,
    anon_sym_RPAREN,
    STATE(17),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1264] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(183),
    1,
    anon_sym_RBRACK,
    STATE(18),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1358] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(185),
    1,
    anon_sym_RPAREN,
    STATE(19),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1452] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(187),
    1,
    anon_sym_RBRACK,
    STATE(20),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1546] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(189),
    1,
    anon_sym_RPAREN,
    STATE(21),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1640] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(157),
    1,
    sym_identifier,
    STATE(22),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(298),
    1,
    sym_expression,
    STATE(360),
    1,
    sym_arg,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1734] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(191),
    1,
    anon_sym_RPAREN,
    STATE(23),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1828] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(193),
    1,
    anon_sym_RBRACK,
    STATE(24),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [1922] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(195),
    1,
    anon_sym_RPAREN,
    STATE(25),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2016] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(197),
    1,
    anon_sym_RBRACK,
    STATE(26),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2110] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(199),
    1,
    anon_sym_RBRACE,
    STATE(27),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(302),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2204] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(201),
    1,
    anon_sym_RBRACK,
    STATE(28),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2298] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(203),
    1,
    anon_sym_RPAREN,
    STATE(29),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2392] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(205),
    1,
    anon_sym_RBRACE,
    STATE(30),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(341),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2486] = 26,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    ACTIONS(207),
    1,
    anon_sym_RBRACK,
    STATE(31),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2580] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(85),
    1,
    sym_dec_literal,
    ACTIONS(87),
    1,
    anon_sym__,
    ACTIONS(91),
    1,
    anon_sym_LBRACK,
    ACTIONS(93),
    1,
    anon_sym_LPAREN,
    ACTIONS(95),
    1,
    anon_sym_LBRACE,
    ACTIONS(97),
    1,
    anon_sym_DQUOTE,
    ACTIONS(99),
    1,
    anon_sym_SQUOTE,
    ACTIONS(107),
    1,
    sym_identifier,
    STATE(32),
    1,
    sym_comment,
    STATE(66),
    1,
    sym_unary_operator,
    STATE(158),
    1,
    sym_binary_expression,
    STATE(172),
    1,
    sym_big_dec_literal,
    STATE(182),
    1,
    sym_primary_expression,
    STATE(194),
    1,
    sym_unary_expression,
    STATE(257),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(79),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(81),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(83),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(89),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(169),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(165),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2671] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(33),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(154),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2762] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(34),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(234),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2853] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(35),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(225),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [2944] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(36),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(282),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3035] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(37),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(256),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3126] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(38),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(311),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3217] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(39),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(316),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3308] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(40),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(121),
    1,
    sym_expression,
    STATE(128),
    1,
    sym_primary_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3399] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(41),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(250),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3490] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(42),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(90),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(132),
    1,
    sym_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3581] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(85),
    1,
    sym_dec_literal,
    ACTIONS(87),
    1,
    anon_sym__,
    ACTIONS(91),
    1,
    anon_sym_LBRACK,
    ACTIONS(93),
    1,
    anon_sym_LPAREN,
    ACTIONS(95),
    1,
    anon_sym_LBRACE,
    ACTIONS(97),
    1,
    anon_sym_DQUOTE,
    ACTIONS(99),
    1,
    anon_sym_SQUOTE,
    ACTIONS(107),
    1,
    sym_identifier,
    STATE(43),
    1,
    sym_comment,
    STATE(66),
    1,
    sym_unary_operator,
    STATE(157),
    1,
    sym_binary_expression,
    STATE(170),
    1,
    sym_expression,
    STATE(172),
    1,
    sym_big_dec_literal,
    STATE(182),
    1,
    sym_primary_expression,
    STATE(194),
    1,
    sym_unary_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(79),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(81),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(83),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(89),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(169),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(165),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3672] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(44),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(253),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3763] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(45),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(223),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3854] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(46),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(216),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [3945] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(47),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(276),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4036] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(48),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(217),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4127] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(85),
    1,
    sym_dec_literal,
    ACTIONS(87),
    1,
    anon_sym__,
    ACTIONS(91),
    1,
    anon_sym_LBRACK,
    ACTIONS(93),
    1,
    anon_sym_LPAREN,
    ACTIONS(95),
    1,
    anon_sym_LBRACE,
    ACTIONS(97),
    1,
    anon_sym_DQUOTE,
    ACTIONS(99),
    1,
    anon_sym_SQUOTE,
    ACTIONS(107),
    1,
    sym_identifier,
    STATE(49),
    1,
    sym_comment,
    STATE(66),
    1,
    sym_unary_operator,
    STATE(158),
    1,
    sym_binary_expression,
    STATE(172),
    1,
    sym_big_dec_literal,
    STATE(182),
    1,
    sym_primary_expression,
    STATE(194),
    1,
    sym_unary_expression,
    STATE(245),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(79),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(81),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(83),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(89),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(169),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(165),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4218] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(50),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(336),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4309] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(51),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(232),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4400] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(52),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(212),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4491] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(53),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(297),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4582] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(54),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(222),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4673] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(55),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(325),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4764] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(56),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(213),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4855] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(57),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(235),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [4946] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(58),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(331),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5037] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(59),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(281),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5128] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(60),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(283),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5219] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(61),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(87),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(138),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5310] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(62),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(304),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5401] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(85),
    1,
    sym_dec_literal,
    ACTIONS(87),
    1,
    anon_sym__,
    ACTIONS(91),
    1,
    anon_sym_LBRACK,
    ACTIONS(93),
    1,
    anon_sym_LPAREN,
    ACTIONS(95),
    1,
    anon_sym_LBRACE,
    ACTIONS(97),
    1,
    anon_sym_DQUOTE,
    ACTIONS(99),
    1,
    anon_sym_SQUOTE,
    ACTIONS(107),
    1,
    sym_identifier,
    STATE(63),
    1,
    sym_comment,
    STATE(66),
    1,
    sym_unary_operator,
    STATE(158),
    1,
    sym_binary_expression,
    STATE(172),
    1,
    sym_big_dec_literal,
    STATE(182),
    1,
    sym_primary_expression,
    STATE(194),
    1,
    sym_unary_expression,
    STATE(238),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(79),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(81),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(83),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(89),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(169),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(165),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5492] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(64),
    1,
    sym_comment,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(93),
    1,
    sym_binary_expression,
    STATE(96),
    1,
    sym_unary_expression,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(128),
    1,
    sym_primary_expression,
    STATE(344),
    1,
    sym_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5583] = 25,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(65),
    1,
    sym_comment,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(88),
    1,
    sym_binary_expression,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(129),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(280),
    1,
    sym_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5674] = 22,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(85),
    1,
    sym_dec_literal,
    ACTIONS(87),
    1,
    anon_sym__,
    ACTIONS(91),
    1,
    anon_sym_LBRACK,
    ACTIONS(93),
    1,
    anon_sym_LPAREN,
    ACTIONS(95),
    1,
    anon_sym_LBRACE,
    ACTIONS(97),
    1,
    anon_sym_DQUOTE,
    ACTIONS(99),
    1,
    anon_sym_SQUOTE,
    ACTIONS(107),
    1,
    sym_identifier,
    STATE(172),
    1,
    sym_big_dec_literal,
    STATE(182),
    1,
    sym_primary_expression,
    STATE(195),
    1,
    sym_unary_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(79),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(81),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(83),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(66),
    2,
    sym_unary_operator,
    sym_comment,
    ACTIONS(89),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(169),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(165),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5757] = 22,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(107),
    1,
    sym_unary_expression,
    STATE(128),
    1,
    sym_primary_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    STATE(67),
    2,
    sym_unary_operator,
    sym_comment,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5840] = 23,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(85),
    1,
    sym_dec_literal,
    ACTIONS(87),
    1,
    anon_sym__,
    ACTIONS(91),
    1,
    anon_sym_LBRACK,
    ACTIONS(93),
    1,
    anon_sym_LPAREN,
    ACTIONS(95),
    1,
    anon_sym_LBRACE,
    ACTIONS(97),
    1,
    anon_sym_DQUOTE,
    ACTIONS(99),
    1,
    anon_sym_SQUOTE,
    ACTIONS(107),
    1,
    sym_identifier,
    STATE(66),
    1,
    sym_unary_operator,
    STATE(68),
    1,
    sym_comment,
    STATE(172),
    1,
    sym_big_dec_literal,
    STATE(173),
    1,
    sym_unary_expression,
    STATE(182),
    1,
    sym_primary_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(79),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(81),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(83),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(89),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(169),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(165),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [5925] = 22,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(113),
    1,
    sym_unary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    STATE(69),
    2,
    sym_unary_operator,
    sym_comment,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [6008] = 23,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(23),
    1,
    sym_dec_literal,
    ACTIONS(25),
    1,
    anon_sym__,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(31),
    1,
    anon_sym_LPAREN,
    ACTIONS(33),
    1,
    anon_sym_LBRACE,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(47),
    1,
    sym_identifier,
    STATE(69),
    1,
    sym_unary_operator,
    STATE(70),
    1,
    sym_comment,
    STATE(95),
    1,
    sym_primary_expression,
    STATE(140),
    1,
    sym_big_dec_literal,
    STATE(149),
    1,
    sym_unary_expression,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(19),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(21),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(27),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(136),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(135),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [6093] = 23,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(55),
    1,
    sym_dec_literal,
    ACTIONS(57),
    1,
    anon_sym__,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    ACTIONS(63),
    1,
    anon_sym_LPAREN,
    ACTIONS(65),
    1,
    anon_sym_LBRACE,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    ACTIONS(77),
    1,
    sym_identifier,
    STATE(67),
    1,
    sym_unary_operator,
    STATE(71),
    1,
    sym_comment,
    STATE(106),
    1,
    sym_big_dec_literal,
    STATE(123),
    1,
    sym_unary_expression,
    STATE(128),
    1,
    sym_primary_expression,
    ACTIONS(45),
    2,
    anon_sym_not,
    anon_sym_BANG,
    ACTIONS(49),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(51),
    2,
    anon_sym_null,
    anon_sym_none,
    ACTIONS(53),
    2,
    anon_sym_DASH,
    anon_sym_PLUS,
    ACTIONS(59),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    STATE(101),
    3,
    sym_literal,
    sym_function_call,
    sym_inline_trans,
    STATE(99),
    8,
    sym_boolean_literal,
    sym_null_literal,
    sym_number_literal,
    sym_float_literal,
    sym_list_literal,
    sym_tuple_literal,
    sym_dict_literal,
    sym_string_literal,
    [6178] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(72),
    1,
    sym_comment,
    ACTIONS(211),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(209),
    29,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_as,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6223] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(73),
    1,
    sym_comment,
    ACTIONS(215),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(213),
    29,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_as,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6268] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(74),
    1,
    sym_comment,
    ACTIONS(219),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(217),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6312] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(75),
    1,
    sym_comment,
    ACTIONS(223),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(221),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6356] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(229),
    1,
    anon_sym_DOT,
    STATE(76),
    1,
    sym_comment,
    ACTIONS(227),
    3,
    anon_sym_e,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(225),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [6404] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(233),
    1,
    anon_sym_DOT,
    STATE(77),
    1,
    sym_comment,
    ACTIONS(235),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(231),
    3,
    anon_sym_e,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(225),
    24,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [6452] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(78),
    1,
    sym_comment,
    ACTIONS(239),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(237),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6496] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(79),
    1,
    sym_comment,
    ACTIONS(243),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(241),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6540] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(80),
    1,
    sym_comment,
    ACTIONS(247),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(245),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6584] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(81),
    1,
    sym_comment,
    ACTIONS(251),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(249),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6628] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(82),
    1,
    sym_comment,
    ACTIONS(255),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(253),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6672] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(83),
    1,
    sym_comment,
    ACTIONS(259),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(231),
    3,
    anon_sym_e,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(257),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [6718] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(84),
    1,
    sym_comment,
    ACTIONS(263),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(261),
    28,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    anon_sym_recursive,
    [6762] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(85),
    1,
    sym_comment,
    ACTIONS(227),
    3,
    anon_sym_e,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(257),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [6808] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(86),
    1,
    sym_comment,
    ACTIONS(209),
    27,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_import,
    [6850] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(71),
    1,
    sym_binary_operator,
    STATE(87),
    1,
    sym_comment,
    ACTIONS(265),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [6894] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(269),
    1,
    anon_sym_is,
    STATE(70),
    1,
    sym_binary_operator,
    STATE(88),
    1,
    sym_comment,
    ACTIONS(271),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(265),
    7,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    ACTIONS(267),
    17,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [6942] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(275),
    1,
    anon_sym_LPAREN,
    STATE(89),
    1,
    sym_comment,
    ACTIONS(277),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(273),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [6986] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(70),
    1,
    sym_binary_operator,
    STATE(90),
    1,
    sym_comment,
    ACTIONS(271),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(265),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [7030] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(279),
    1,
    anon_sym_LPAREN,
    STATE(91),
    1,
    sym_comment,
    ACTIONS(273),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7074] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(92),
    1,
    sym_comment,
    ACTIONS(213),
    27,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_import,
    [7116] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(281),
    1,
    anon_sym_is,
    STATE(71),
    1,
    sym_binary_operator,
    STATE(93),
    1,
    sym_comment,
    ACTIONS(265),
    8,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_EQ,
    ACTIONS(267),
    17,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7164] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(94),
    1,
    sym_comment,
    ACTIONS(237),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7205] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(95),
    1,
    sym_comment,
    ACTIONS(285),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(283),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [7246] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(96),
    1,
    sym_comment,
    ACTIONS(287),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7287] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(97),
    1,
    sym_comment,
    ACTIONS(291),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(289),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [7328] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(98),
    1,
    sym_comment,
    ACTIONS(259),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(257),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [7369] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(99),
    1,
    sym_comment,
    ACTIONS(293),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7410] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(100),
    1,
    sym_comment,
    ACTIONS(257),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7451] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(101),
    1,
    sym_comment,
    ACTIONS(273),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7492] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(102),
    1,
    sym_comment,
    ACTIONS(297),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(295),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [7533] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(103),
    1,
    sym_comment,
    ACTIONS(261),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7574] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(104),
    1,
    sym_comment,
    ACTIONS(253),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7615] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(105),
    1,
    sym_comment,
    ACTIONS(295),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7656] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(106),
    1,
    sym_comment,
    ACTIONS(225),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7697] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(107),
    1,
    sym_comment,
    ACTIONS(299),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7738] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(108),
    1,
    sym_comment,
    ACTIONS(301),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7779] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(109),
    1,
    sym_comment,
    ACTIONS(303),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7820] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(110),
    1,
    sym_comment,
    ACTIONS(305),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7861] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(111),
    1,
    sym_comment,
    ACTIONS(307),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7902] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(112),
    1,
    sym_comment,
    ACTIONS(217),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [7943] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(113),
    1,
    sym_comment,
    ACTIONS(309),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(299),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [7984] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(114),
    1,
    sym_comment,
    ACTIONS(221),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8025] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(115),
    1,
    sym_comment,
    ACTIONS(259),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(311),
    3,
    anon_sym_e,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(257),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [8068] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(116),
    1,
    sym_comment,
    ACTIONS(221),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8109] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(117),
    1,
    sym_comment,
    ACTIONS(315),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(313),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8150] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(118),
    1,
    sym_comment,
    ACTIONS(319),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(317),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8191] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(119),
    1,
    sym_comment,
    ACTIONS(289),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8232] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(120),
    1,
    sym_comment,
    ACTIONS(323),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(321),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8273] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(121),
    1,
    sym_comment,
    ACTIONS(325),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8314] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(122),
    1,
    sym_comment,
    ACTIONS(327),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8355] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(123),
    1,
    sym_comment,
    ACTIONS(329),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8396] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(124),
    1,
    sym_comment,
    ACTIONS(331),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8437] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(125),
    1,
    sym_comment,
    ACTIONS(333),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8478] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(126),
    1,
    sym_comment,
    ACTIONS(241),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8519] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(127),
    1,
    sym_comment,
    ACTIONS(223),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(221),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8560] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(128),
    1,
    sym_comment,
    ACTIONS(283),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8601] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(129),
    1,
    sym_comment,
    ACTIONS(335),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(287),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8642] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(130),
    1,
    sym_comment,
    ACTIONS(337),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8683] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(131),
    1,
    sym_comment,
    ACTIONS(341),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(339),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8724] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(132),
    1,
    sym_comment,
    ACTIONS(341),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(339),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8765] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(133),
    1,
    sym_comment,
    ACTIONS(345),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(343),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8806] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(134),
    1,
    sym_comment,
    ACTIONS(347),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(337),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8847] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(135),
    1,
    sym_comment,
    ACTIONS(349),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(293),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8888] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(136),
    1,
    sym_comment,
    ACTIONS(277),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(273),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [8929] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(137),
    1,
    sym_comment,
    ACTIONS(343),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [8970] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(138),
    1,
    sym_comment,
    ACTIONS(339),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9011] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(139),
    1,
    sym_comment,
    ACTIONS(339),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9052] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(140),
    1,
    sym_comment,
    ACTIONS(235),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(225),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9093] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(141),
    1,
    sym_comment,
    ACTIONS(249),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9134] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(142),
    1,
    sym_comment,
    ACTIONS(351),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(333),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9175] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(143),
    1,
    sym_comment,
    ACTIONS(353),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(331),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9216] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(144),
    1,
    sym_comment,
    ACTIONS(355),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(301),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9257] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(145),
    1,
    sym_comment,
    ACTIONS(357),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(307),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9298] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(146),
    1,
    sym_comment,
    ACTIONS(245),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9339] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(147),
    1,
    sym_comment,
    ACTIONS(321),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9380] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(148),
    1,
    sym_comment,
    ACTIONS(359),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(303),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9421] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(361),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(329),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9462] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(150),
    1,
    sym_comment,
    ACTIONS(363),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(305),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9503] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(151),
    1,
    sym_comment,
    ACTIONS(317),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9544] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(152),
    1,
    sym_comment,
    ACTIONS(313),
    26,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_RBRACE,
    anon_sym_is,
    anon_sym_EQ,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9585] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(153),
    1,
    sym_comment,
    ACTIONS(365),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(327),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9626] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(154),
    1,
    sym_comment,
    ACTIONS(367),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(325),
    25,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    anon_sym_else,
    anon_sym_if,
    anon_sym_recursive,
    [9667] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(369),
    1,
    anon_sym_DOT,
    STATE(155),
    1,
    sym_comment,
    ACTIONS(235),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(311),
    3,
    anon_sym_e,
    anon_sym_e_PLUS,
    anon_sym_e_DASH,
    ACTIONS(225),
    21,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [9712] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(279),
    1,
    anon_sym_LPAREN,
    ACTIONS(371),
    1,
    anon_sym_EQ,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(273),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9755] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(68),
    1,
    sym_binary_operator,
    STATE(157),
    1,
    sym_comment,
    ACTIONS(271),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(265),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [9796] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(373),
    1,
    anon_sym_is,
    STATE(68),
    1,
    sym_binary_operator,
    STATE(158),
    1,
    sym_comment,
    ACTIONS(271),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(265),
    4,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    sym_identifier,
    ACTIONS(267),
    17,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    [9841] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(375),
    1,
    anon_sym_LPAREN,
    STATE(159),
    1,
    sym_comment,
    ACTIONS(277),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(273),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [9882] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(160),
    1,
    sym_comment,
    ACTIONS(297),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(295),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [9920] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(161),
    1,
    sym_comment,
    ACTIONS(215),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(213),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [9958] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(162),
    1,
    sym_comment,
    ACTIONS(219),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(217),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [9996] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(163),
    1,
    sym_comment,
    ACTIONS(341),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(339),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10034] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(164),
    1,
    sym_comment,
    ACTIONS(239),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(237),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10072] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(165),
    1,
    sym_comment,
    ACTIONS(349),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(293),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10110] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(166),
    1,
    sym_comment,
    ACTIONS(243),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(241),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10148] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(167),
    1,
    sym_comment,
    ACTIONS(347),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(337),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10186] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(168),
    1,
    sym_comment,
    ACTIONS(351),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(333),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10224] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(169),
    1,
    sym_comment,
    ACTIONS(277),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(273),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10262] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(170),
    1,
    sym_comment,
    ACTIONS(341),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(339),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10300] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(171),
    1,
    sym_comment,
    ACTIONS(353),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(331),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10338] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(172),
    1,
    sym_comment,
    ACTIONS(235),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(225),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10376] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(173),
    1,
    sym_comment,
    ACTIONS(361),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(329),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10414] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(174),
    1,
    sym_comment,
    ACTIONS(367),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(325),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10452] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(175),
    1,
    sym_comment,
    ACTIONS(251),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(249),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10490] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(176),
    1,
    sym_comment,
    ACTIONS(355),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(301),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10528] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(177),
    1,
    sym_comment,
    ACTIONS(223),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(221),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10566] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(178),
    1,
    sym_comment,
    ACTIONS(357),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(307),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10604] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(179),
    1,
    sym_comment,
    ACTIONS(315),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(313),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10642] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(180),
    1,
    sym_comment,
    ACTIONS(223),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(221),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10680] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(181),
    1,
    sym_comment,
    ACTIONS(365),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(327),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10718] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(182),
    1,
    sym_comment,
    ACTIONS(285),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(283),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10756] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(183),
    1,
    sym_comment,
    ACTIONS(319),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(317),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10794] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(184),
    1,
    sym_comment,
    ACTIONS(363),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(305),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10832] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(185),
    1,
    sym_comment,
    ACTIONS(323),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(321),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10870] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(186),
    1,
    sym_comment,
    ACTIONS(345),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(343),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10908] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(187),
    1,
    sym_comment,
    ACTIONS(247),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(245),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10946] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(188),
    1,
    sym_comment,
    ACTIONS(211),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(209),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [10984] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(189),
    1,
    sym_comment,
    ACTIONS(359),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(303),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [11022] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(190),
    1,
    sym_comment,
    ACTIONS(259),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(257),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [11060] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(191),
    1,
    sym_comment,
    ACTIONS(263),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(261),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [11098] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(192),
    1,
    sym_comment,
    ACTIONS(291),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(289),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [11136] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(193),
    1,
    sym_comment,
    ACTIONS(255),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(253),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [11174] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(194),
    1,
    sym_comment,
    ACTIONS(335),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(287),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [11212] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(195),
    1,
    sym_comment,
    ACTIONS(309),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(299),
    22,
    anon_sym_DASH,
    anon_sym_PLUS,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    anon_sym_is,
    anon_sym_STAR,
    anon_sym_SLASH,
    anon_sym_SLASH_SLASH,
    anon_sym_PERCENT,
    anon_sym_STAR_STAR,
    anon_sym_EQ_EQ,
    anon_sym_BANG_EQ,
    anon_sym_GT,
    anon_sym_GT_EQ,
    anon_sym_LT,
    anon_sym_LT_EQ,
    anon_sym_and,
    anon_sym_or,
    anon_sym_PIPE,
    anon_sym_TILDE,
    sym_identifier,
    [11250] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(196),
    1,
    sym_comment,
    ACTIONS(377),
    19,
    anon_sym_true,
    anon_sym_false,
    anon_sym_null,
    anon_sym_none,
    anon_sym_DASH,
    anon_sym_PLUS,
    sym_dec_literal,
    anon_sym__,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    anon_sym_LBRACK,
    anon_sym_LPAREN,
    anon_sym_LBRACE,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    anon_sym_not,
    anon_sym_BANG,
    sym_identifier,
    [11284] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(197),
    1,
    sym_comment,
    ACTIONS(379),
    19,
    anon_sym_true,
    anon_sym_false,
    anon_sym_null,
    anon_sym_none,
    anon_sym_DASH,
    anon_sym_PLUS,
    sym_dec_literal,
    anon_sym__,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    anon_sym_LBRACK,
    anon_sym_LPAREN,
    anon_sym_LBRACE,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    anon_sym_not,
    anon_sym_BANG,
    sym_identifier,
    [11318] = 12,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(381),
    1,
    anon_sym_COMMA,
    ACTIONS(383),
    1,
    anon_sym_COLON,
    ACTIONS(387),
    1,
    anon_sym_as,
    STATE(198),
    1,
    sym_comment,
    STATE(199),
    1,
    aux_sym_in_expression_repeat1,
    STATE(220),
    1,
    sym_import_as,
    STATE(363),
    1,
    sym_attribute_context,
    STATE(378),
    1,
    sym_import_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(389),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11357] = 12,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(381),
    1,
    anon_sym_COMMA,
    ACTIONS(387),
    1,
    anon_sym_as,
    ACTIONS(391),
    1,
    anon_sym_COLON,
    STATE(199),
    1,
    sym_comment,
    STATE(210),
    1,
    aux_sym_in_expression_repeat1,
    STATE(215),
    1,
    sym_import_as,
    STATE(363),
    1,
    sym_attribute_context,
    STATE(369),
    1,
    sym_import_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(393),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11396] = 10,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(13),
    1,
    aux_sym_comment_token2,
    ACTIONS(15),
    1,
    anon_sym_POUND,
    ACTIONS(395),
    1,
    ts_builtin_sym_end,
    STATE(200),
    1,
    sym_comment,
    STATE(203),
    1,
    aux_sym_source_repeat1,
    STATE(252),
    1,
    aux_sym_words_repeat1,
    ACTIONS(11),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    STATE(269),
    4,
    sym_words,
    sym_line_statement,
    sym_raw_block,
    sym__NEWLINE,
    [11431] = 12,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(381),
    1,
    anon_sym_COMMA,
    ACTIONS(387),
    1,
    anon_sym_as,
    ACTIONS(397),
    1,
    anon_sym_COLON,
    STATE(201),
    1,
    sym_comment,
    STATE(202),
    1,
    aux_sym_in_expression_repeat1,
    STATE(224),
    1,
    sym_import_as,
    STATE(362),
    1,
    sym_import_attribute,
    STATE(363),
    1,
    sym_attribute_context,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(399),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11470] = 12,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(381),
    1,
    anon_sym_COMMA,
    ACTIONS(383),
    1,
    anon_sym_COLON,
    ACTIONS(387),
    1,
    anon_sym_as,
    STATE(202),
    1,
    sym_comment,
    STATE(210),
    1,
    aux_sym_in_expression_repeat1,
    STATE(220),
    1,
    sym_import_as,
    STATE(363),
    1,
    sym_attribute_context,
    STATE(378),
    1,
    sym_import_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(389),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11509] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(401),
    1,
    ts_builtin_sym_end,
    ACTIONS(406),
    1,
    aux_sym_comment_token2,
    ACTIONS(409),
    1,
    anon_sym_POUND,
    STATE(252),
    1,
    aux_sym_words_repeat1,
    ACTIONS(403),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    STATE(203),
    2,
    sym_comment,
    aux_sym_source_repeat1,
    STATE(269),
    4,
    sym_words,
    sym_line_statement,
    sym_raw_block,
    sym__NEWLINE,
    [11542] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(412),
    1,
    anon_sym_COLON,
    ACTIONS(417),
    1,
    anon_sym_ignore,
    STATE(241),
    1,
    sym_include_attribute,
    ACTIONS(414),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(420),
    2,
    sym__eof,
    aux_sym_comment_token2,
    STATE(204),
    2,
    sym_comment,
    aux_sym_include_statement_repeat1,
    STATE(239),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    [11574] = 10,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(422),
    1,
    anon_sym_COLON,
    ACTIONS(424),
    1,
    anon_sym_ignore,
    STATE(205),
    1,
    sym_comment,
    STATE(206),
    1,
    aux_sym_include_statement_repeat1,
    STATE(241),
    1,
    sym_include_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(426),
    2,
    sym__eof,
    aux_sym_comment_token2,
    STATE(239),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    [11608] = 10,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(424),
    1,
    anon_sym_ignore,
    ACTIONS(428),
    1,
    anon_sym_COLON,
    STATE(204),
    1,
    aux_sym_include_statement_repeat1,
    STATE(206),
    1,
    sym_comment,
    STATE(241),
    1,
    sym_include_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(430),
    2,
    sym__eof,
    aux_sym_comment_token2,
    STATE(239),
    2,
    sym_attribute_ignore,
    sym_attribute_context,
    [11642] = 10,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(387),
    1,
    anon_sym_as,
    ACTIONS(397),
    1,
    anon_sym_COLON,
    STATE(207),
    1,
    sym_comment,
    STATE(224),
    1,
    sym_import_as,
    STATE(362),
    1,
    sym_import_attribute,
    STATE(363),
    1,
    sym_attribute_context,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(399),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11675] = 10,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(383),
    1,
    anon_sym_COLON,
    ACTIONS(387),
    1,
    anon_sym_as,
    STATE(208),
    1,
    sym_comment,
    STATE(220),
    1,
    sym_import_as,
    STATE(363),
    1,
    sym_attribute_context,
    STATE(378),
    1,
    sym_import_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(389),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11708] = 10,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(432),
    1,
    anon_sym_LPAREN,
    ACTIONS(434),
    1,
    sym_identifier,
    STATE(209),
    1,
    sym_comment,
    STATE(205),
    3,
    sym_list_literal,
    sym_tuple_literal,
    sym_string_literal,
    [11741] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(436),
    1,
    anon_sym_COMMA,
    ACTIONS(441),
    2,
    sym__eof,
    aux_sym_comment_token2,
    STATE(210),
    2,
    sym_comment,
    aux_sym_in_expression_repeat1,
    ACTIONS(439),
    4,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_as,
    anon_sym_without,
    [11765] = 10,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(443),
    1,
    anon_sym_DOT,
    ACTIONS(445),
    1,
    anon_sym_COMMA,
    ACTIONS(447),
    1,
    anon_sym_COLON,
    ACTIONS(449),
    1,
    anon_sym_EQ,
    STATE(211),
    1,
    sym_comment,
    STATE(287),
    1,
    aux_sym_trans_statement_repeat1,
    STATE(347),
    1,
    aux_sym_assignment_expression_repeat1,
    ACTIONS(451),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11797] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    STATE(212),
    1,
    sym_comment,
    ACTIONS(459),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(457),
    3,
    anon_sym_COLON,
    anon_sym_if,
    anon_sym_recursive,
    [11822] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    STATE(213),
    1,
    sym_comment,
    ACTIONS(465),
    4,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_EQ,
    [11847] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(443),
    1,
    anon_sym_DOT,
    ACTIONS(449),
    1,
    anon_sym_EQ,
    STATE(214),
    1,
    sym_comment,
    STATE(347),
    1,
    aux_sym_assignment_expression_repeat1,
    ACTIONS(467),
    2,
    anon_sym_COMMA,
    anon_sym_COLON,
    ACTIONS(469),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11874] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(471),
    1,
    anon_sym_COLON,
    STATE(215),
    1,
    sym_comment,
    STATE(353),
    1,
    sym_import_attribute,
    STATE(363),
    1,
    sym_attribute_context,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(473),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11901] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    STATE(216),
    1,
    sym_comment,
    ACTIONS(477),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(475),
    3,
    anon_sym_COLON,
    anon_sym_if,
    anon_sym_recursive,
    [11926] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    ACTIONS(481),
    1,
    anon_sym_else,
    STATE(217),
    1,
    sym_comment,
    ACTIONS(479),
    2,
    anon_sym_COLON,
    anon_sym_recursive,
    ACTIONS(483),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [11953] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(218),
    1,
    sym_comment,
    ACTIONS(441),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(439),
    5,
    anon_sym_COMMA,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_as,
    anon_sym_without,
    [11974] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(381),
    1,
    anon_sym_COMMA,
    STATE(219),
    1,
    sym_comment,
    STATE(221),
    1,
    aux_sym_in_expression_repeat1,
    ACTIONS(487),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(485),
    3,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_without,
    [11999] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(391),
    1,
    anon_sym_COLON,
    STATE(220),
    1,
    sym_comment,
    STATE(363),
    1,
    sym_attribute_context,
    STATE(369),
    1,
    sym_import_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(393),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12026] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(381),
    1,
    anon_sym_COMMA,
    STATE(210),
    1,
    aux_sym_in_expression_repeat1,
    STATE(221),
    1,
    sym_comment,
    ACTIONS(491),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(489),
    3,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_without,
    [12051] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    ACTIONS(493),
    1,
    anon_sym_COLON,
    ACTIONS(495),
    1,
    anon_sym_if,
    STATE(222),
    1,
    sym_comment,
    STATE(367),
    1,
    sym_ternary_expression,
    ACTIONS(497),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12080] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    ACTIONS(495),
    1,
    anon_sym_if,
    ACTIONS(499),
    1,
    anon_sym_COLON,
    STATE(223),
    1,
    sym_comment,
    STATE(359),
    1,
    sym_ternary_expression,
    ACTIONS(501),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12109] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(383),
    1,
    anon_sym_COLON,
    STATE(224),
    1,
    sym_comment,
    STATE(363),
    1,
    sym_attribute_context,
    STATE(378),
    1,
    sym_import_attribute,
    ACTIONS(385),
    2,
    anon_sym_with,
    anon_sym_without,
    ACTIONS(389),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12136] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(503),
    1,
    anon_sym_COMMA,
    ACTIONS(505),
    1,
    anon_sym_RBRACE,
    STATE(225),
    1,
    sym_comment,
    STATE(308),
    1,
    aux_sym_dict_literal_repeat1,
    [12164] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(495),
    1,
    anon_sym_if,
    ACTIONS(507),
    1,
    anon_sym_COLON,
    ACTIONS(509),
    1,
    anon_sym_recursive,
    STATE(226),
    1,
    sym_comment,
    STATE(335),
    1,
    sym_ternary_expression,
    ACTIONS(511),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12190] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(513),
    1,
    anon_sym_COLON,
    ACTIONS(515),
    1,
    sym_identifier,
    STATE(227),
    1,
    sym_comment,
    STATE(248),
    1,
    aux_sym_with_statement_repeat1,
    STATE(319),
    1,
    sym_assignment_expression,
    ACTIONS(517),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12216] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(519),
    1,
    sym_dec_literal,
    STATE(100),
    1,
    sym_big_dec_literal,
    STATE(228),
    1,
    sym_comment,
    ACTIONS(521),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [12240] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(523),
    1,
    anon_sym_COLON,
    STATE(229),
    1,
    sym_comment,
    STATE(357),
    1,
    sym_boolean_literal,
    ACTIONS(17),
    2,
    anon_sym_true,
    anon_sym_false,
    ACTIONS(525),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12264] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(527),
    1,
    anon_sym_COLON,
    ACTIONS(529),
    1,
    sym_identifier,
    STATE(319),
    1,
    sym_assignment_expression,
    ACTIONS(532),
    2,
    sym__eof,
    aux_sym_comment_token2,
    STATE(230),
    2,
    sym_comment,
    aux_sym_with_statement_repeat1,
    [12288] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(231),
    1,
    sym_comment,
    ACTIONS(345),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(343),
    4,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    sym_identifier,
    [12308] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    STATE(232),
    1,
    sym_comment,
    ACTIONS(534),
    2,
    anon_sym_COMMA,
    anon_sym_COLON,
    ACTIONS(536),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12332] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(538),
    1,
    ts_builtin_sym_end,
    ACTIONS(540),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    ACTIONS(543),
    2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    STATE(233),
    2,
    sym_comment,
    aux_sym_words_repeat1,
    [12354] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(503),
    1,
    anon_sym_COMMA,
    ACTIONS(545),
    1,
    anon_sym_RBRACE,
    STATE(234),
    1,
    sym_comment,
    STATE(310),
    1,
    aux_sym_dict_literal_repeat1,
    [12382] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    STATE(235),
    1,
    sym_comment,
    ACTIONS(547),
    2,
    anon_sym_COLON,
    anon_sym_recursive,
    ACTIONS(549),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12406] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(551),
    1,
    sym_dec_literal,
    STATE(98),
    1,
    sym_big_dec_literal,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(553),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [12430] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(555),
    1,
    anon_sym_COMMA,
    STATE(237),
    2,
    sym_comment,
    aux_sym_list_literal_repeat1,
    ACTIONS(465),
    3,
    anon_sym_RBRACK,
    anon_sym_RPAREN,
    anon_sym_EQ,
    [12452] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(558),
    1,
    anon_sym_DOT,
    ACTIONS(560),
    1,
    anon_sym_LBRACK,
    STATE(238),
    1,
    sym_comment,
    ACTIONS(562),
    2,
    anon_sym_COLON,
    sym_identifier,
    ACTIONS(564),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12476] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(239),
    1,
    sym_comment,
    ACTIONS(568),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(566),
    4,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    [12496] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(570),
    1,
    anon_sym_COMMA,
    ACTIONS(572),
    1,
    anon_sym_RBRACK,
    STATE(240),
    1,
    sym_comment,
    STATE(342),
    1,
    aux_sym_list_literal_repeat1,
    [12524] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(241),
    1,
    sym_comment,
    ACTIONS(576),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(574),
    4,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    [12544] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(578),
    1,
    anon_sym_COMMA,
    ACTIONS(580),
    1,
    anon_sym_RPAREN,
    STATE(242),
    1,
    sym_comment,
    STATE(340),
    1,
    aux_sym_list_literal_repeat1,
    [12572] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(243),
    1,
    sym_comment,
    ACTIONS(584),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(582),
    4,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    [12592] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(586),
    1,
    anon_sym_COMMA,
    ACTIONS(588),
    1,
    anon_sym_RPAREN,
    STATE(244),
    1,
    sym_comment,
    STATE(327),
    1,
    aux_sym_list_literal_repeat1,
    [12620] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(558),
    1,
    anon_sym_DOT,
    ACTIONS(560),
    1,
    anon_sym_LBRACK,
    STATE(245),
    1,
    sym_comment,
    ACTIONS(534),
    2,
    anon_sym_COLON,
    sym_identifier,
    ACTIONS(536),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12644] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(590),
    1,
    anon_sym_COMMA,
    ACTIONS(592),
    1,
    anon_sym_RPAREN,
    STATE(246),
    1,
    sym_comment,
    STATE(313),
    1,
    aux_sym_list_literal_repeat1,
    [12672] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(586),
    1,
    anon_sym_COMMA,
    ACTIONS(594),
    1,
    anon_sym_RPAREN,
    STATE(247),
    1,
    sym_comment,
    STATE(327),
    1,
    aux_sym_list_literal_repeat1,
    [12700] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(515),
    1,
    sym_identifier,
    ACTIONS(596),
    1,
    anon_sym_COLON,
    STATE(230),
    1,
    aux_sym_with_statement_repeat1,
    STATE(248),
    1,
    sym_comment,
    STATE(319),
    1,
    sym_assignment_expression,
    ACTIONS(598),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12726] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(600),
    1,
    anon_sym_COMMA,
    ACTIONS(602),
    1,
    anon_sym_RBRACK,
    STATE(249),
    1,
    sym_comment,
    STATE(329),
    1,
    aux_sym_list_literal_repeat1,
    [12754] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(503),
    1,
    anon_sym_COMMA,
    ACTIONS(604),
    1,
    anon_sym_RBRACE,
    STATE(250),
    1,
    sym_comment,
    STATE(324),
    1,
    aux_sym_dict_literal_repeat1,
    [12782] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(606),
    1,
    sym_dec_literal,
    STATE(190),
    1,
    sym_big_dec_literal,
    STATE(251),
    1,
    sym_comment,
    ACTIONS(608),
    3,
    sym_oct_literal,
    sym_bin_literal,
    sym_hex_literal,
    [12806] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(610),
    1,
    ts_builtin_sym_end,
    STATE(233),
    1,
    aux_sym_words_repeat1,
    STATE(252),
    1,
    sym_comment,
    ACTIONS(11),
    2,
    aux_sym_words_token1,
    aux_sym_words_token2,
    ACTIONS(612),
    2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [12830] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    STATE(253),
    1,
    sym_comment,
    ACTIONS(562),
    2,
    anon_sym_COMMA,
    anon_sym_COLON,
    ACTIONS(564),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [12854] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(614),
    1,
    anon_sym_COMMA,
    ACTIONS(616),
    1,
    anon_sym_RBRACK,
    STATE(254),
    1,
    sym_comment,
    STATE(314),
    1,
    aux_sym_list_literal_repeat1,
    [12882] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(255),
    1,
    sym_comment,
    ACTIONS(620),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(618),
    4,
    anon_sym_COLON,
    anon_sym_with,
    anon_sym_ignore,
    anon_sym_without,
    [12902] = 9,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(622),
    1,
    anon_sym_COMMA,
    ACTIONS(624),
    1,
    anon_sym_EQ,
    STATE(256),
    1,
    sym_comment,
    STATE(338),
    1,
    aux_sym_list_literal_repeat1,
    [12930] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(257),
    1,
    sym_comment,
    ACTIONS(367),
    2,
    sym__eof,
    aux_sym_comment_token2,
    ACTIONS(325),
    4,
    anon_sym_DOT,
    anon_sym_LBRACK,
    anon_sym_COLON,
    sym_identifier,
    [12950] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(626),
    1,
    anon_sym_DQUOTE,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    STATE(258),
    1,
    sym_comment,
    STATE(289),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(628),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [12973] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(632),
    1,
    anon_sym_SQUOTE,
    STATE(259),
    1,
    sym_comment,
    STATE(290),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(634),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [12996] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(636),
    1,
    ts_builtin_sym_end,
    STATE(260),
    1,
    sym_comment,
    ACTIONS(638),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13015] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(640),
    1,
    anon_sym_DQUOTE,
    STATE(261),
    1,
    sym_comment,
    STATE(267),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(628),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [13038] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(640),
    1,
    anon_sym_SQUOTE,
    STATE(262),
    1,
    sym_comment,
    STATE(268),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(634),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [13061] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(642),
    1,
    ts_builtin_sym_end,
    STATE(263),
    1,
    sym_comment,
    ACTIONS(644),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13080] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(646),
    1,
    anon_sym_COLON,
    ACTIONS(648),
    1,
    sym_identifier,
    STATE(264),
    1,
    sym_comment,
    STATE(278),
    1,
    sym_assignment_expression,
    ACTIONS(650),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13103] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(652),
    1,
    sym_identifier,
    STATE(208),
    1,
    sym_string_literal,
    STATE(265),
    1,
    sym_comment,
    [13128] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(656),
    1,
    anon_sym_POUND_RBRACE,
    STATE(266),
    1,
    sym_comment,
    STATE(288),
    1,
    aux_sym_comment_repeat1,
    ACTIONS(654),
    2,
    aux_sym_comment_token3,
    anon_sym_POUND,
    [13151] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(658),
    1,
    anon_sym_DQUOTE,
    STATE(267),
    1,
    sym_comment,
    STATE(289),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(628),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [13174] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(658),
    1,
    anon_sym_SQUOTE,
    STATE(268),
    1,
    sym_comment,
    STATE(290),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(634),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [13197] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(660),
    1,
    ts_builtin_sym_end,
    STATE(269),
    1,
    sym_comment,
    ACTIONS(662),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13216] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(495),
    1,
    anon_sym_if,
    ACTIONS(664),
    1,
    anon_sym_COLON,
    STATE(270),
    1,
    sym_comment,
    STATE(354),
    1,
    sym_ternary_expression,
    ACTIONS(666),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13239] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(668),
    1,
    ts_builtin_sym_end,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(670),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13258] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(672),
    1,
    ts_builtin_sym_end,
    STATE(272),
    1,
    sym_comment,
    ACTIONS(674),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13277] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(626),
    1,
    anon_sym_SQUOTE,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    STATE(273),
    1,
    sym_comment,
    STATE(290),
    1,
    aux_sym_string_literal_repeat2,
    ACTIONS(634),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [13300] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(676),
    1,
    anon_sym_POUND_RBRACE,
    STATE(266),
    1,
    aux_sym_comment_repeat1,
    STATE(274),
    1,
    sym_comment,
    ACTIONS(654),
    2,
    aux_sym_comment_token3,
    anon_sym_POUND,
    [13323] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(632),
    1,
    anon_sym_DQUOTE,
    STATE(275),
    1,
    sym_comment,
    STATE(289),
    1,
    aux_sym_string_literal_repeat1,
    ACTIONS(628),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [13346] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    ACTIONS(678),
    1,
    anon_sym_COLON,
    STATE(276),
    1,
    sym_comment,
    ACTIONS(680),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13369] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(682),
    1,
    ts_builtin_sym_end,
    STATE(277),
    1,
    sym_comment,
    ACTIONS(684),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13388] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(445),
    1,
    anon_sym_COMMA,
    ACTIONS(447),
    1,
    anon_sym_COLON,
    STATE(278),
    1,
    sym_comment,
    STATE(287),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(451),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13411] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(686),
    1,
    ts_builtin_sym_end,
    STATE(279),
    1,
    sym_comment,
    ACTIONS(688),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13430] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    ACTIONS(690),
    1,
    anon_sym_COLON,
    STATE(280),
    1,
    sym_comment,
    ACTIONS(692),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13453] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    ACTIONS(694),
    1,
    anon_sym_COLON,
    STATE(281),
    1,
    sym_comment,
    ACTIONS(696),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13476] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(453),
    1,
    anon_sym_DOT,
    ACTIONS(455),
    1,
    anon_sym_LBRACK,
    ACTIONS(698),
    1,
    anon_sym_COLON,
    STATE(282),
    1,
    sym_comment,
    ACTIONS(700),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13499] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(702),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [13522] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(704),
    1,
    anon_sym_SQUOTE,
    STATE(259),
    1,
    aux_sym_string_literal_repeat2,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(634),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [13545] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(706),
    1,
    anon_sym_SQUOTE,
    STATE(273),
    1,
    aux_sym_string_literal_repeat2,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(634),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [13568] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(704),
    1,
    anon_sym_DQUOTE,
    STATE(275),
    1,
    aux_sym_string_literal_repeat1,
    STATE(286),
    1,
    sym_comment,
    ACTIONS(628),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [13591] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(445),
    1,
    anon_sym_COMMA,
    ACTIONS(708),
    1,
    anon_sym_COLON,
    STATE(287),
    1,
    sym_comment,
    STATE(291),
    1,
    aux_sym_trans_statement_repeat1,
    ACTIONS(710),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [13614] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(715),
    1,
    anon_sym_POUND_RBRACE,
    ACTIONS(712),
    2,
    aux_sym_comment_token3,
    anon_sym_POUND,
    STATE(288),
    2,
    sym_comment,
    aux_sym_comment_repeat1,
    [13635] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(717),
    1,
    anon_sym_DQUOTE,
    ACTIONS(719),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    STATE(289),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [13656] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(722),
    1,
    anon_sym_SQUOTE,
    ACTIONS(724),
    2,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    STATE(290),
    2,
    sym_comment,
    aux_sym_string_literal_repeat2,
    [13677] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(467),
    1,
    anon_sym_COLON,
    ACTIONS(727),
    1,
    anon_sym_COMMA,
    ACTIONS(469),
    2,
    sym__eof,
    aux_sym_comment_token2,
    STATE(291),
    2,
    sym_comment,
    aux_sym_trans_statement_repeat1,
    [13698] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(730),
    1,
    sym_identifier,
    STATE(270),
    1,
    sym_string_literal,
    STATE(292),
    1,
    sym_comment,
    [13723] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(706),
    1,
    anon_sym_DQUOTE,
    STATE(258),
    1,
    aux_sym_string_literal_repeat1,
    STATE(293),
    1,
    sym_comment,
    ACTIONS(628),
    2,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [13746] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(732),
    1,
    ts_builtin_sym_end,
    STATE(294),
    1,
    sym_comment,
    ACTIONS(734),
    4,
    aux_sym_words_token1,
    aux_sym_words_token2,
    aux_sym_comment_token2,
    anon_sym_POUND,
    [13765] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(736),
    1,
    anon_sym_COLON,
    ACTIONS(738),
    1,
    aux_sym_comment_token2,
    ACTIONS(740),
    1,
    sym__eof,
    STATE(260),
    1,
    sym__NEWLINE,
    STATE(279),
    1,
    sym__END,
    STATE(295),
    1,
    sym_comment,
    [13790] = 8,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(35),
    1,
    anon_sym_DQUOTE,
    ACTIONS(37),
    1,
    anon_sym_SQUOTE,
    ACTIONS(742),
    1,
    sym_identifier,
    STATE(207),
    1,
    sym_string_literal,
    STATE(296),
    1,
    sym_comment,
    [13815] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(744),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [13838] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(746),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [13861] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(748),
    1,
    anon_sym_DOT,
    ACTIONS(751),
    1,
    anon_sym_EQ,
    STATE(299),
    2,
    sym_comment,
    aux_sym_assignment_expression_repeat1,
    [13881] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(443),
    1,
    anon_sym_DOT,
    ACTIONS(753),
    1,
    anon_sym_EQ,
    STATE(300),
    1,
    sym_comment,
    STATE(345),
    1,
    aux_sym_assignment_expression_repeat1,
    [13903] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(439),
    1,
    anon_sym_in,
    ACTIONS(755),
    1,
    anon_sym_COMMA,
    STATE(301),
    2,
    sym_comment,
    aux_sym_in_expression_repeat1,
    [13923] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(758),
    1,
    anon_sym_COLON,
    STATE(302),
    1,
    sym_comment,
    [13945] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(760),
    1,
    anon_sym_COMMA,
    ACTIONS(763),
    1,
    anon_sym_RBRACE,
    STATE(303),
    2,
    sym_comment,
    aux_sym_dict_literal_repeat1,
    [13965] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(765),
    1,
    anon_sym_COLON,
    STATE(304),
    1,
    sym_comment,
    [13987] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(767),
    1,
    anon_sym_COLON,
    STATE(305),
    1,
    sym_comment,
    [14009] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(769),
    1,
    anon_sym_RBRACK,
    STATE(306),
    1,
    sym_comment,
    [14031] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(771),
    1,
    anon_sym_COMMA,
    ACTIONS(774),
    1,
    anon_sym_RPAREN,
    STATE(307),
    2,
    sym_comment,
    aux_sym_function_call_repeat1,
    [14051] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(503),
    1,
    anon_sym_COMMA,
    ACTIONS(776),
    1,
    anon_sym_RBRACE,
    STATE(303),
    1,
    aux_sym_dict_literal_repeat1,
    STATE(308),
    1,
    sym_comment,
    [14073] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(778),
    1,
    anon_sym_COMMA,
    ACTIONS(780),
    1,
    anon_sym_RPAREN,
    STATE(307),
    1,
    aux_sym_function_call_repeat1,
    STATE(309),
    1,
    sym_comment,
    [14095] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(503),
    1,
    anon_sym_COMMA,
    ACTIONS(782),
    1,
    anon_sym_RBRACE,
    STATE(303),
    1,
    aux_sym_dict_literal_repeat1,
    STATE(310),
    1,
    sym_comment,
    [14117] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(784),
    1,
    anon_sym_RBRACK,
    STATE(311),
    1,
    sym_comment,
    [14139] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(778),
    1,
    anon_sym_COMMA,
    ACTIONS(786),
    1,
    anon_sym_RPAREN,
    STATE(309),
    1,
    aux_sym_function_call_repeat1,
    STATE(312),
    1,
    sym_comment,
    [14161] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(203),
    1,
    anon_sym_RPAREN,
    ACTIONS(788),
    1,
    anon_sym_COMMA,
    STATE(237),
    1,
    aux_sym_list_literal_repeat1,
    STATE(313),
    1,
    sym_comment,
    [14183] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(201),
    1,
    anon_sym_RBRACK,
    ACTIONS(790),
    1,
    anon_sym_COMMA,
    STATE(237),
    1,
    aux_sym_list_literal_repeat1,
    STATE(314),
    1,
    sym_comment,
    [14205] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(778),
    1,
    anon_sym_COMMA,
    ACTIONS(792),
    1,
    anon_sym_RPAREN,
    STATE(307),
    1,
    aux_sym_function_call_repeat1,
    STATE(315),
    1,
    sym_comment,
    [14227] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(794),
    1,
    anon_sym_RPAREN,
    STATE(316),
    1,
    sym_comment,
    [14249] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(778),
    1,
    anon_sym_COMMA,
    ACTIONS(796),
    1,
    anon_sym_RPAREN,
    STATE(315),
    1,
    aux_sym_function_call_repeat1,
    STATE(317),
    1,
    sym_comment,
    [14271] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(798),
    1,
    sym__raw_char,
    ACTIONS(801),
    1,
    sym_raw_end,
    STATE(318),
    2,
    sym_comment,
    aux_sym_raw_block_repeat1,
    [14291] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(319),
    1,
    sym_comment,
    ACTIONS(803),
    2,
    anon_sym_COLON,
    sym_identifier,
    ACTIONS(805),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [14309] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(807),
    1,
    anon_sym_COMMA,
    ACTIONS(809),
    1,
    anon_sym_in,
    STATE(320),
    1,
    sym_comment,
    STATE(337),
    1,
    aux_sym_in_expression_repeat1,
    [14331] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(811),
    1,
    sym__raw_char,
    ACTIONS(813),
    1,
    sym_raw_end,
    STATE(321),
    1,
    sym_comment,
    STATE(333),
    1,
    aux_sym_raw_block_repeat1,
    [14353] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(322),
    1,
    sym_comment,
    ACTIONS(467),
    2,
    anon_sym_COMMA,
    anon_sym_COLON,
    ACTIONS(469),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [14371] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(738),
    1,
    aux_sym_comment_token2,
    ACTIONS(740),
    1,
    sym__eof,
    STATE(260),
    1,
    sym__NEWLINE,
    STATE(277),
    1,
    sym__END,
    STATE(323),
    1,
    sym_comment,
    [14393] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(503),
    1,
    anon_sym_COMMA,
    ACTIONS(815),
    1,
    anon_sym_RBRACE,
    STATE(303),
    1,
    aux_sym_dict_literal_repeat1,
    STATE(324),
    1,
    sym_comment,
    [14415] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(817),
    1,
    anon_sym_RBRACK,
    STATE(325),
    1,
    sym_comment,
    [14437] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(67),
    1,
    anon_sym_DQUOTE,
    ACTIONS(69),
    1,
    anon_sym_SQUOTE,
    STATE(326),
    1,
    sym_comment,
    STATE(383),
    1,
    sym_string_literal,
    [14459] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(195),
    1,
    anon_sym_RPAREN,
    ACTIONS(819),
    1,
    anon_sym_COMMA,
    STATE(237),
    1,
    aux_sym_list_literal_repeat1,
    STATE(327),
    1,
    sym_comment,
    [14481] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(821),
    1,
    anon_sym_LPAREN,
    ACTIONS(823),
    1,
    sym_identifier,
    STATE(328),
    1,
    sym_comment,
    STATE(372),
    1,
    sym_function_call,
    [14503] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(197),
    1,
    anon_sym_RBRACK,
    ACTIONS(825),
    1,
    anon_sym_COMMA,
    STATE(237),
    1,
    aux_sym_list_literal_repeat1,
    STATE(329),
    1,
    sym_comment,
    [14525] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(827),
    1,
    anon_sym_COLON,
    ACTIONS(829),
    1,
    sym_identifier,
    STATE(330),
    1,
    sym_comment,
    ACTIONS(831),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [14545] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(833),
    1,
    anon_sym_RPAREN,
    STATE(331),
    1,
    sym_comment,
    [14567] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(778),
    1,
    anon_sym_COMMA,
    ACTIONS(835),
    1,
    anon_sym_RPAREN,
    STATE(307),
    1,
    aux_sym_function_call_repeat1,
    STATE(332),
    1,
    sym_comment,
    [14589] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(811),
    1,
    sym__raw_char,
    ACTIONS(837),
    1,
    sym_raw_end,
    STATE(318),
    1,
    aux_sym_raw_block_repeat1,
    STATE(333),
    1,
    sym_comment,
    [14611] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    STATE(334),
    1,
    sym_comment,
    ACTIONS(839),
    3,
    aux_sym_comment_token3,
    anon_sym_POUND,
    anon_sym_POUND_RBRACE,
    [14629] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(841),
    1,
    anon_sym_COLON,
    ACTIONS(843),
    1,
    anon_sym_recursive,
    STATE(335),
    1,
    sym_comment,
    ACTIONS(845),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [14649] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(847),
    1,
    anon_sym_RBRACK,
    STATE(336),
    1,
    sym_comment,
    [14671] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(807),
    1,
    anon_sym_COMMA,
    ACTIONS(849),
    1,
    anon_sym_in,
    STATE(301),
    1,
    aux_sym_in_expression_repeat1,
    STATE(337),
    1,
    sym_comment,
    [14693] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(622),
    1,
    anon_sym_COMMA,
    ACTIONS(851),
    1,
    anon_sym_EQ,
    STATE(237),
    1,
    aux_sym_list_literal_repeat1,
    STATE(338),
    1,
    sym_comment,
    [14715] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(778),
    1,
    anon_sym_COMMA,
    ACTIONS(853),
    1,
    anon_sym_RPAREN,
    STATE(332),
    1,
    aux_sym_function_call_repeat1,
    STATE(339),
    1,
    sym_comment,
    [14737] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(185),
    1,
    anon_sym_RPAREN,
    ACTIONS(855),
    1,
    anon_sym_COMMA,
    STATE(237),
    1,
    aux_sym_list_literal_repeat1,
    STATE(340),
    1,
    sym_comment,
    [14759] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(857),
    1,
    anon_sym_COLON,
    STATE(341),
    1,
    sym_comment,
    [14781] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(183),
    1,
    anon_sym_RBRACK,
    ACTIONS(859),
    1,
    anon_sym_COMMA,
    STATE(237),
    1,
    aux_sym_list_literal_repeat1,
    STATE(342),
    1,
    sym_comment,
    [14803] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    STATE(343),
    1,
    sym_comment,
    ACTIONS(861),
    3,
    anon_sym_DQUOTE,
    aux_sym_string_literal_token1,
    anon_sym_BSLASH_DQUOTE,
    [14821] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(461),
    1,
    anon_sym_DOT,
    ACTIONS(463),
    1,
    anon_sym_LBRACK,
    ACTIONS(863),
    1,
    anon_sym_RPAREN,
    STATE(344),
    1,
    sym_comment,
    [14843] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(443),
    1,
    anon_sym_DOT,
    ACTIONS(865),
    1,
    anon_sym_EQ,
    STATE(299),
    1,
    aux_sym_assignment_expression_repeat1,
    STATE(345),
    1,
    sym_comment,
    [14865] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    STATE(346),
    1,
    sym_comment,
    ACTIONS(867),
    3,
    anon_sym_SQUOTE,
    aux_sym_string_literal_token2,
    anon_sym_BSLASH_SQUOTE,
    [14883] = 7,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(443),
    1,
    anon_sym_DOT,
    ACTIONS(869),
    1,
    anon_sym_EQ,
    STATE(299),
    1,
    aux_sym_assignment_expression_repeat1,
    STATE(347),
    1,
    sym_comment,
    [14905] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(871),
    1,
    anon_sym_COLON,
    STATE(348),
    1,
    sym_comment,
    ACTIONS(873),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [14922] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(91),
    1,
    anon_sym_LBRACK,
    STATE(163),
    1,
    sym_list_literal,
    STATE(349),
    1,
    sym_comment,
    [14941] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(875),
    1,
    sym_dec_literal,
    ACTIONS(877),
    1,
    anon_sym__,
    STATE(350),
    1,
    sym_comment,
    [14960] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(351),
    1,
    sym_comment,
    ACTIONS(439),
    2,
    anon_sym_COMMA,
    anon_sym_in,
    [14977] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(879),
    1,
    sym_identifier,
    STATE(322),
    1,
    sym_assignment_expression,
    STATE(352),
    1,
    sym_comment,
    [14996] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(881),
    1,
    anon_sym_COLON,
    STATE(353),
    1,
    sym_comment,
    ACTIONS(883),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15013] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(885),
    1,
    anon_sym_COLON,
    STATE(354),
    1,
    sym_comment,
    ACTIONS(887),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15030] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(889),
    1,
    anon_sym_COLON,
    STATE(355),
    1,
    sym_comment,
    ACTIONS(891),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15047] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(893),
    1,
    sym_identifier,
    STATE(226),
    1,
    sym_in_expression,
    STATE(356),
    1,
    sym_comment,
    [15066] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(895),
    1,
    anon_sym_COLON,
    STATE(357),
    1,
    sym_comment,
    ACTIONS(897),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15083] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(899),
    1,
    anon_sym_COLON,
    STATE(358),
    1,
    sym_comment,
    ACTIONS(901),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15100] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(903),
    1,
    anon_sym_COLON,
    STATE(359),
    1,
    sym_comment,
    ACTIONS(905),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15117] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(360),
    1,
    sym_comment,
    ACTIONS(774),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [15134] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(907),
    1,
    anon_sym_COLON,
    STATE(361),
    1,
    sym_comment,
    ACTIONS(909),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15151] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(383),
    1,
    anon_sym_COLON,
    STATE(362),
    1,
    sym_comment,
    ACTIONS(389),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15168] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(911),
    1,
    anon_sym_COLON,
    STATE(363),
    1,
    sym_comment,
    ACTIONS(913),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15185] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(915),
    1,
    sym_dec_literal,
    ACTIONS(917),
    1,
    anon_sym__,
    STATE(364),
    1,
    sym_comment,
    [15204] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(841),
    1,
    anon_sym_COLON,
    STATE(365),
    1,
    sym_comment,
    ACTIONS(845),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15221] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(61),
    1,
    anon_sym_LBRACK,
    STATE(139),
    1,
    sym_list_literal,
    STATE(366),
    1,
    sym_comment,
    [15240] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(499),
    1,
    anon_sym_COLON,
    STATE(367),
    1,
    sym_comment,
    ACTIONS(501),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15257] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(368),
    1,
    sym_comment,
    ACTIONS(919),
    2,
    sym__raw_char,
    sym_raw_end,
    [15274] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(471),
    1,
    anon_sym_COLON,
    STATE(369),
    1,
    sym_comment,
    ACTIONS(473),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15291] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(921),
    1,
    anon_sym_COLON,
    STATE(370),
    1,
    sym_comment,
    ACTIONS(923),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15308] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(29),
    1,
    anon_sym_LBRACK,
    STATE(131),
    1,
    sym_list_literal,
    STATE(371),
    1,
    sym_comment,
    [15327] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(925),
    1,
    anon_sym_COLON,
    STATE(372),
    1,
    sym_comment,
    ACTIONS(927),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15344] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(823),
    1,
    sym_identifier,
    STATE(348),
    1,
    sym_function_call,
    STATE(373),
    1,
    sym_comment,
    [15363] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(929),
    1,
    anon_sym_COLON,
    STATE(374),
    1,
    sym_comment,
    ACTIONS(931),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15380] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(933),
    1,
    sym_dec_literal,
    ACTIONS(935),
    1,
    anon_sym__,
    STATE(375),
    1,
    sym_comment,
    [15399] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    STATE(376),
    1,
    sym_comment,
    ACTIONS(751),
    2,
    anon_sym_DOT,
    anon_sym_EQ,
    [15416] = 6,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(823),
    1,
    sym_identifier,
    STATE(370),
    1,
    sym_function_call,
    STATE(377),
    1,
    sym_comment,
    [15435] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(391),
    1,
    anon_sym_COLON,
    STATE(378),
    1,
    sym_comment,
    ACTIONS(393),
    2,
    sym__eof,
    aux_sym_comment_token2,
    [15452] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(937),
    1,
    anon_sym_missing,
    STATE(379),
    1,
    sym_comment,
    [15468] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(616),
    1,
    anon_sym_RBRACK,
    STATE(380),
    1,
    sym_comment,
    [15484] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(939),
    1,
    sym_dec_literal,
    STATE(381),
    1,
    sym_comment,
    [15500] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(941),
    1,
    anon_sym_RPAREN,
    STATE(382),
    1,
    sym_comment,
    [15516] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(943),
    1,
    anon_sym_import,
    STATE(383),
    1,
    sym_comment,
    [15532] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(945),
    1,
    sym_dec_literal,
    STATE(384),
    1,
    sym_comment,
    [15548] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(947),
    1,
    anon_sym_RPAREN,
    STATE(385),
    1,
    sym_comment,
    [15564] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(602),
    1,
    anon_sym_RBRACK,
    STATE(386),
    1,
    sym_comment,
    [15580] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(949),
    1,
    sym_dec_literal,
    STATE(387),
    1,
    sym_comment,
    [15596] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(951),
    1,
    sym_dec_literal,
    STATE(388),
    1,
    sym_comment,
    [15612] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(953),
    1,
    ts_builtin_sym_end,
    STATE(389),
    1,
    sym_comment,
    [15628] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(955),
    1,
    sym_dec_literal,
    STATE(390),
    1,
    sym_comment,
    [15644] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(957),
    1,
    sym_identifier,
    STATE(391),
    1,
    sym_comment,
    [15660] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(588),
    1,
    anon_sym_RPAREN,
    STATE(392),
    1,
    sym_comment,
    [15676] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(959),
    1,
    anon_sym_LPAREN,
    STATE(393),
    1,
    sym_comment,
    [15692] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(572),
    1,
    anon_sym_RBRACK,
    STATE(394),
    1,
    sym_comment,
    [15708] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(961),
    1,
    sym_identifier,
    STATE(395),
    1,
    sym_comment,
    [15724] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(275),
    1,
    anon_sym_LPAREN,
    STATE(396),
    1,
    sym_comment,
    [15740] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(963),
    1,
    sym_identifier,
    STATE(397),
    1,
    sym_comment,
    [15756] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(965),
    1,
    sym_identifier,
    STATE(398),
    1,
    sym_comment,
    [15772] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(967),
    1,
    anon_sym_context,
    STATE(399),
    1,
    sym_comment,
    [15788] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(630),
    1,
    aux_sym_comment_token2,
    ACTIONS(969),
    1,
    aux_sym_comment_token1,
    STATE(400),
    1,
    sym_comment,
    [15804] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(971),
    1,
    sym_identifier,
    STATE(401),
    1,
    sym_comment,
    [15820] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(973),
    1,
    sym_dec_literal,
    STATE(402),
    1,
    sym_comment,
    [15836] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(975),
    1,
    sym_identifier,
    STATE(403),
    1,
    sym_comment,
    [15852] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(977),
    1,
    anon_sym_LPAREN,
    STATE(404),
    1,
    sym_comment,
    [15868] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(979),
    1,
    anon_sym_import,
    STATE(405),
    1,
    sym_comment,
    [15884] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(981),
    1,
    anon_sym_LPAREN,
    STATE(406),
    1,
    sym_comment,
    [15900] = 5,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(5),
    1,
    aux_sym_comment_token2,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(983),
    1,
    anon_sym_RPAREN,
    STATE(407),
    1,
    sym_comment,
    [15916] = 4,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(985),
    1,
    aux_sym_comment_token2,
    STATE(408),
    1,
    sym_comment,
    [15929] = 4,
    ACTIONS(3),
    1,
    anon_sym_POUND_POUND,
    ACTIONS(7),
    1,
    anon_sym_LBRACE_POUND,
    ACTIONS(987),
    1,
    aux_sym_comment_token2,
    STATE(409),
    1,
    sym_comment,
    [15942] = 1,
    ACTIONS(989),
    1,
    ts_builtin_sym_end,
    [15946] = 1,
    ACTIONS(991),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(5)] = 0,
    [SMALL_STATE(6)] = 106,
    [SMALL_STATE(7)] = 203,
    [SMALL_STATE(8)] = 300,
    [SMALL_STATE(9)] = 397,
    [SMALL_STATE(10)] = 494,
    [SMALL_STATE(11)] = 591,
    [SMALL_STATE(12)] = 688,
    [SMALL_STATE(13)] = 785,
    [SMALL_STATE(14)] = 882,
    [SMALL_STATE(15)] = 979,
    [SMALL_STATE(16)] = 1076,
    [SMALL_STATE(17)] = 1170,
    [SMALL_STATE(18)] = 1264,
    [SMALL_STATE(19)] = 1358,
    [SMALL_STATE(20)] = 1452,
    [SMALL_STATE(21)] = 1546,
    [SMALL_STATE(22)] = 1640,
    [SMALL_STATE(23)] = 1734,
    [SMALL_STATE(24)] = 1828,
    [SMALL_STATE(25)] = 1922,
    [SMALL_STATE(26)] = 2016,
    [SMALL_STATE(27)] = 2110,
    [SMALL_STATE(28)] = 2204,
    [SMALL_STATE(29)] = 2298,
    [SMALL_STATE(30)] = 2392,
    [SMALL_STATE(31)] = 2486,
    [SMALL_STATE(32)] = 2580,
    [SMALL_STATE(33)] = 2671,
    [SMALL_STATE(34)] = 2762,
    [SMALL_STATE(35)] = 2853,
    [SMALL_STATE(36)] = 2944,
    [SMALL_STATE(37)] = 3035,
    [SMALL_STATE(38)] = 3126,
    [SMALL_STATE(39)] = 3217,
    [SMALL_STATE(40)] = 3308,
    [SMALL_STATE(41)] = 3399,
    [SMALL_STATE(42)] = 3490,
    [SMALL_STATE(43)] = 3581,
    [SMALL_STATE(44)] = 3672,
    [SMALL_STATE(45)] = 3763,
    [SMALL_STATE(46)] = 3854,
    [SMALL_STATE(47)] = 3945,
    [SMALL_STATE(48)] = 4036,
    [SMALL_STATE(49)] = 4127,
    [SMALL_STATE(50)] = 4218,
    [SMALL_STATE(51)] = 4309,
    [SMALL_STATE(52)] = 4400,
    [SMALL_STATE(53)] = 4491,
    [SMALL_STATE(54)] = 4582,
    [SMALL_STATE(55)] = 4673,
    [SMALL_STATE(56)] = 4764,
    [SMALL_STATE(57)] = 4855,
    [SMALL_STATE(58)] = 4946,
    [SMALL_STATE(59)] = 5037,
    [SMALL_STATE(60)] = 5128,
    [SMALL_STATE(61)] = 5219,
    [SMALL_STATE(62)] = 5310,
    [SMALL_STATE(63)] = 5401,
    [SMALL_STATE(64)] = 5492,
    [SMALL_STATE(65)] = 5583,
    [SMALL_STATE(66)] = 5674,
    [SMALL_STATE(67)] = 5757,
    [SMALL_STATE(68)] = 5840,
    [SMALL_STATE(69)] = 5925,
    [SMALL_STATE(70)] = 6008,
    [SMALL_STATE(71)] = 6093,
    [SMALL_STATE(72)] = 6178,
    [SMALL_STATE(73)] = 6223,
    [SMALL_STATE(74)] = 6268,
    [SMALL_STATE(75)] = 6312,
    [SMALL_STATE(76)] = 6356,
    [SMALL_STATE(77)] = 6404,
    [SMALL_STATE(78)] = 6452,
    [SMALL_STATE(79)] = 6496,
    [SMALL_STATE(80)] = 6540,
    [SMALL_STATE(81)] = 6584,
    [SMALL_STATE(82)] = 6628,
    [SMALL_STATE(83)] = 6672,
    [SMALL_STATE(84)] = 6718,
    [SMALL_STATE(85)] = 6762,
    [SMALL_STATE(86)] = 6808,
    [SMALL_STATE(87)] = 6850,
    [SMALL_STATE(88)] = 6894,
    [SMALL_STATE(89)] = 6942,
    [SMALL_STATE(90)] = 6986,
    [SMALL_STATE(91)] = 7030,
    [SMALL_STATE(92)] = 7074,
    [SMALL_STATE(93)] = 7116,
    [SMALL_STATE(94)] = 7164,
    [SMALL_STATE(95)] = 7205,
    [SMALL_STATE(96)] = 7246,
    [SMALL_STATE(97)] = 7287,
    [SMALL_STATE(98)] = 7328,
    [SMALL_STATE(99)] = 7369,
    [SMALL_STATE(100)] = 7410,
    [SMALL_STATE(101)] = 7451,
    [SMALL_STATE(102)] = 7492,
    [SMALL_STATE(103)] = 7533,
    [SMALL_STATE(104)] = 7574,
    [SMALL_STATE(105)] = 7615,
    [SMALL_STATE(106)] = 7656,
    [SMALL_STATE(107)] = 7697,
    [SMALL_STATE(108)] = 7738,
    [SMALL_STATE(109)] = 7779,
    [SMALL_STATE(110)] = 7820,
    [SMALL_STATE(111)] = 7861,
    [SMALL_STATE(112)] = 7902,
    [SMALL_STATE(113)] = 7943,
    [SMALL_STATE(114)] = 7984,
    [SMALL_STATE(115)] = 8025,
    [SMALL_STATE(116)] = 8068,
    [SMALL_STATE(117)] = 8109,
    [SMALL_STATE(118)] = 8150,
    [SMALL_STATE(119)] = 8191,
    [SMALL_STATE(120)] = 8232,
    [SMALL_STATE(121)] = 8273,
    [SMALL_STATE(122)] = 8314,
    [SMALL_STATE(123)] = 8355,
    [SMALL_STATE(124)] = 8396,
    [SMALL_STATE(125)] = 8437,
    [SMALL_STATE(126)] = 8478,
    [SMALL_STATE(127)] = 8519,
    [SMALL_STATE(128)] = 8560,
    [SMALL_STATE(129)] = 8601,
    [SMALL_STATE(130)] = 8642,
    [SMALL_STATE(131)] = 8683,
    [SMALL_STATE(132)] = 8724,
    [SMALL_STATE(133)] = 8765,
    [SMALL_STATE(134)] = 8806,
    [SMALL_STATE(135)] = 8847,
    [SMALL_STATE(136)] = 8888,
    [SMALL_STATE(137)] = 8929,
    [SMALL_STATE(138)] = 8970,
    [SMALL_STATE(139)] = 9011,
    [SMALL_STATE(140)] = 9052,
    [SMALL_STATE(141)] = 9093,
    [SMALL_STATE(142)] = 9134,
    [SMALL_STATE(143)] = 9175,
    [SMALL_STATE(144)] = 9216,
    [SMALL_STATE(145)] = 9257,
    [SMALL_STATE(146)] = 9298,
    [SMALL_STATE(147)] = 9339,
    [SMALL_STATE(148)] = 9380,
    [SMALL_STATE(149)] = 9421,
    [SMALL_STATE(150)] = 9462,
    [SMALL_STATE(151)] = 9503,
    [SMALL_STATE(152)] = 9544,
    [SMALL_STATE(153)] = 9585,
    [SMALL_STATE(154)] = 9626,
    [SMALL_STATE(155)] = 9667,
    [SMALL_STATE(156)] = 9712,
    [SMALL_STATE(157)] = 9755,
    [SMALL_STATE(158)] = 9796,
    [SMALL_STATE(159)] = 9841,
    [SMALL_STATE(160)] = 9882,
    [SMALL_STATE(161)] = 9920,
    [SMALL_STATE(162)] = 9958,
    [SMALL_STATE(163)] = 9996,
    [SMALL_STATE(164)] = 10034,
    [SMALL_STATE(165)] = 10072,
    [SMALL_STATE(166)] = 10110,
    [SMALL_STATE(167)] = 10148,
    [SMALL_STATE(168)] = 10186,
    [SMALL_STATE(169)] = 10224,
    [SMALL_STATE(170)] = 10262,
    [SMALL_STATE(171)] = 10300,
    [SMALL_STATE(172)] = 10338,
    [SMALL_STATE(173)] = 10376,
    [SMALL_STATE(174)] = 10414,
    [SMALL_STATE(175)] = 10452,
    [SMALL_STATE(176)] = 10490,
    [SMALL_STATE(177)] = 10528,
    [SMALL_STATE(178)] = 10566,
    [SMALL_STATE(179)] = 10604,
    [SMALL_STATE(180)] = 10642,
    [SMALL_STATE(181)] = 10680,
    [SMALL_STATE(182)] = 10718,
    [SMALL_STATE(183)] = 10756,
    [SMALL_STATE(184)] = 10794,
    [SMALL_STATE(185)] = 10832,
    [SMALL_STATE(186)] = 10870,
    [SMALL_STATE(187)] = 10908,
    [SMALL_STATE(188)] = 10946,
    [SMALL_STATE(189)] = 10984,
    [SMALL_STATE(190)] = 11022,
    [SMALL_STATE(191)] = 11060,
    [SMALL_STATE(192)] = 11098,
    [SMALL_STATE(193)] = 11136,
    [SMALL_STATE(194)] = 11174,
    [SMALL_STATE(195)] = 11212,
    [SMALL_STATE(196)] = 11250,
    [SMALL_STATE(197)] = 11284,
    [SMALL_STATE(198)] = 11318,
    [SMALL_STATE(199)] = 11357,
    [SMALL_STATE(200)] = 11396,
    [SMALL_STATE(201)] = 11431,
    [SMALL_STATE(202)] = 11470,
    [SMALL_STATE(203)] = 11509,
    [SMALL_STATE(204)] = 11542,
    [SMALL_STATE(205)] = 11574,
    [SMALL_STATE(206)] = 11608,
    [SMALL_STATE(207)] = 11642,
    [SMALL_STATE(208)] = 11675,
    [SMALL_STATE(209)] = 11708,
    [SMALL_STATE(210)] = 11741,
    [SMALL_STATE(211)] = 11765,
    [SMALL_STATE(212)] = 11797,
    [SMALL_STATE(213)] = 11822,
    [SMALL_STATE(214)] = 11847,
    [SMALL_STATE(215)] = 11874,
    [SMALL_STATE(216)] = 11901,
    [SMALL_STATE(217)] = 11926,
    [SMALL_STATE(218)] = 11953,
    [SMALL_STATE(219)] = 11974,
    [SMALL_STATE(220)] = 11999,
    [SMALL_STATE(221)] = 12026,
    [SMALL_STATE(222)] = 12051,
    [SMALL_STATE(223)] = 12080,
    [SMALL_STATE(224)] = 12109,
    [SMALL_STATE(225)] = 12136,
    [SMALL_STATE(226)] = 12164,
    [SMALL_STATE(227)] = 12190,
    [SMALL_STATE(228)] = 12216,
    [SMALL_STATE(229)] = 12240,
    [SMALL_STATE(230)] = 12264,
    [SMALL_STATE(231)] = 12288,
    [SMALL_STATE(232)] = 12308,
    [SMALL_STATE(233)] = 12332,
    [SMALL_STATE(234)] = 12354,
    [SMALL_STATE(235)] = 12382,
    [SMALL_STATE(236)] = 12406,
    [SMALL_STATE(237)] = 12430,
    [SMALL_STATE(238)] = 12452,
    [SMALL_STATE(239)] = 12476,
    [SMALL_STATE(240)] = 12496,
    [SMALL_STATE(241)] = 12524,
    [SMALL_STATE(242)] = 12544,
    [SMALL_STATE(243)] = 12572,
    [SMALL_STATE(244)] = 12592,
    [SMALL_STATE(245)] = 12620,
    [SMALL_STATE(246)] = 12644,
    [SMALL_STATE(247)] = 12672,
    [SMALL_STATE(248)] = 12700,
    [SMALL_STATE(249)] = 12726,
    [SMALL_STATE(250)] = 12754,
    [SMALL_STATE(251)] = 12782,
    [SMALL_STATE(252)] = 12806,
    [SMALL_STATE(253)] = 12830,
    [SMALL_STATE(254)] = 12854,
    [SMALL_STATE(255)] = 12882,
    [SMALL_STATE(256)] = 12902,
    [SMALL_STATE(257)] = 12930,
    [SMALL_STATE(258)] = 12950,
    [SMALL_STATE(259)] = 12973,
    [SMALL_STATE(260)] = 12996,
    [SMALL_STATE(261)] = 13015,
    [SMALL_STATE(262)] = 13038,
    [SMALL_STATE(263)] = 13061,
    [SMALL_STATE(264)] = 13080,
    [SMALL_STATE(265)] = 13103,
    [SMALL_STATE(266)] = 13128,
    [SMALL_STATE(267)] = 13151,
    [SMALL_STATE(268)] = 13174,
    [SMALL_STATE(269)] = 13197,
    [SMALL_STATE(270)] = 13216,
    [SMALL_STATE(271)] = 13239,
    [SMALL_STATE(272)] = 13258,
    [SMALL_STATE(273)] = 13277,
    [SMALL_STATE(274)] = 13300,
    [SMALL_STATE(275)] = 13323,
    [SMALL_STATE(276)] = 13346,
    [SMALL_STATE(277)] = 13369,
    [SMALL_STATE(278)] = 13388,
    [SMALL_STATE(279)] = 13411,
    [SMALL_STATE(280)] = 13430,
    [SMALL_STATE(281)] = 13453,
    [SMALL_STATE(282)] = 13476,
    [SMALL_STATE(283)] = 13499,
    [SMALL_STATE(284)] = 13522,
    [SMALL_STATE(285)] = 13545,
    [SMALL_STATE(286)] = 13568,
    [SMALL_STATE(287)] = 13591,
    [SMALL_STATE(288)] = 13614,
    [SMALL_STATE(289)] = 13635,
    [SMALL_STATE(290)] = 13656,
    [SMALL_STATE(291)] = 13677,
    [SMALL_STATE(292)] = 13698,
    [SMALL_STATE(293)] = 13723,
    [SMALL_STATE(294)] = 13746,
    [SMALL_STATE(295)] = 13765,
    [SMALL_STATE(296)] = 13790,
    [SMALL_STATE(297)] = 13815,
    [SMALL_STATE(298)] = 13838,
    [SMALL_STATE(299)] = 13861,
    [SMALL_STATE(300)] = 13881,
    [SMALL_STATE(301)] = 13903,
    [SMALL_STATE(302)] = 13923,
    [SMALL_STATE(303)] = 13945,
    [SMALL_STATE(304)] = 13965,
    [SMALL_STATE(305)] = 13987,
    [SMALL_STATE(306)] = 14009,
    [SMALL_STATE(307)] = 14031,
    [SMALL_STATE(308)] = 14051,
    [SMALL_STATE(309)] = 14073,
    [SMALL_STATE(310)] = 14095,
    [SMALL_STATE(311)] = 14117,
    [SMALL_STATE(312)] = 14139,
    [SMALL_STATE(313)] = 14161,
    [SMALL_STATE(314)] = 14183,
    [SMALL_STATE(315)] = 14205,
    [SMALL_STATE(316)] = 14227,
    [SMALL_STATE(317)] = 14249,
    [SMALL_STATE(318)] = 14271,
    [SMALL_STATE(319)] = 14291,
    [SMALL_STATE(320)] = 14309,
    [SMALL_STATE(321)] = 14331,
    [SMALL_STATE(322)] = 14353,
    [SMALL_STATE(323)] = 14371,
    [SMALL_STATE(324)] = 14393,
    [SMALL_STATE(325)] = 14415,
    [SMALL_STATE(326)] = 14437,
    [SMALL_STATE(327)] = 14459,
    [SMALL_STATE(328)] = 14481,
    [SMALL_STATE(329)] = 14503,
    [SMALL_STATE(330)] = 14525,
    [SMALL_STATE(331)] = 14545,
    [SMALL_STATE(332)] = 14567,
    [SMALL_STATE(333)] = 14589,
    [SMALL_STATE(334)] = 14611,
    [SMALL_STATE(335)] = 14629,
    [SMALL_STATE(336)] = 14649,
    [SMALL_STATE(337)] = 14671,
    [SMALL_STATE(338)] = 14693,
    [SMALL_STATE(339)] = 14715,
    [SMALL_STATE(340)] = 14737,
    [SMALL_STATE(341)] = 14759,
    [SMALL_STATE(342)] = 14781,
    [SMALL_STATE(343)] = 14803,
    [SMALL_STATE(344)] = 14821,
    [SMALL_STATE(345)] = 14843,
    [SMALL_STATE(346)] = 14865,
    [SMALL_STATE(347)] = 14883,
    [SMALL_STATE(348)] = 14905,
    [SMALL_STATE(349)] = 14922,
    [SMALL_STATE(350)] = 14941,
    [SMALL_STATE(351)] = 14960,
    [SMALL_STATE(352)] = 14977,
    [SMALL_STATE(353)] = 14996,
    [SMALL_STATE(354)] = 15013,
    [SMALL_STATE(355)] = 15030,
    [SMALL_STATE(356)] = 15047,
    [SMALL_STATE(357)] = 15066,
    [SMALL_STATE(358)] = 15083,
    [SMALL_STATE(359)] = 15100,
    [SMALL_STATE(360)] = 15117,
    [SMALL_STATE(361)] = 15134,
    [SMALL_STATE(362)] = 15151,
    [SMALL_STATE(363)] = 15168,
    [SMALL_STATE(364)] = 15185,
    [SMALL_STATE(365)] = 15204,
    [SMALL_STATE(366)] = 15221,
    [SMALL_STATE(367)] = 15240,
    [SMALL_STATE(368)] = 15257,
    [SMALL_STATE(369)] = 15274,
    [SMALL_STATE(370)] = 15291,
    [SMALL_STATE(371)] = 15308,
    [SMALL_STATE(372)] = 15327,
    [SMALL_STATE(373)] = 15344,
    [SMALL_STATE(374)] = 15363,
    [SMALL_STATE(375)] = 15380,
    [SMALL_STATE(376)] = 15399,
    [SMALL_STATE(377)] = 15416,
    [SMALL_STATE(378)] = 15435,
    [SMALL_STATE(379)] = 15452,
    [SMALL_STATE(380)] = 15468,
    [SMALL_STATE(381)] = 15484,
    [SMALL_STATE(382)] = 15500,
    [SMALL_STATE(383)] = 15516,
    [SMALL_STATE(384)] = 15532,
    [SMALL_STATE(385)] = 15548,
    [SMALL_STATE(386)] = 15564,
    [SMALL_STATE(387)] = 15580,
    [SMALL_STATE(388)] = 15596,
    [SMALL_STATE(389)] = 15612,
    [SMALL_STATE(390)] = 15628,
    [SMALL_STATE(391)] = 15644,
    [SMALL_STATE(392)] = 15660,
    [SMALL_STATE(393)] = 15676,
    [SMALL_STATE(394)] = 15692,
    [SMALL_STATE(395)] = 15708,
    [SMALL_STATE(396)] = 15724,
    [SMALL_STATE(397)] = 15740,
    [SMALL_STATE(398)] = 15756,
    [SMALL_STATE(399)] = 15772,
    [SMALL_STATE(400)] = 15788,
    [SMALL_STATE(401)] = 15804,
    [SMALL_STATE(402)] = 15820,
    [SMALL_STATE(403)] = 15836,
    [SMALL_STATE(404)] = 15852,
    [SMALL_STATE(405)] = 15868,
    [SMALL_STATE(406)] = 15884,
    [SMALL_STATE(407)] = 15900,
    [SMALL_STATE(408)] = 15916,
    [SMALL_STATE(409)] = 15929,
    [SMALL_STATE(410)] = 15942,
    [SMALL_STATE(411)] = 15946,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(400),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT_EXTRA(),
    [7] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(274),
    [9] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_source, 0, 0, 0),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(272),
    [13] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(271),
    [15] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(5),
    [17] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(145),
    [19] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(144),
    [21] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(236),
    [23] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(77),
    [25] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(404),
    [27] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(140),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(8),
    [31] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(7),
    [33] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(30),
    [35] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(286),
    [37] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(284),
    [39] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(153),
    [41] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(42),
    [43] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(371),
    [45] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(197),
    [47] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(89),
    [49] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(111),
    [51] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(108),
    [53] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(228),
    [55] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(76),
    [57] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(406),
    [59] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(106),
    [61] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(13),
    [63] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(14),
    [65] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(16),
    [67] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(293),
    [69] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(285),
    [71] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(122),
    [73] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(61),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(366),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(91),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(178),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(176),
    [83] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(251),
    [85] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(155),
    [87] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(393),
    [89] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(172),
    [91] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(12),
    [93] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(11),
    [95] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(27),
    [97] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(261),
    [99] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(262),
    [101] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(181),
    [103] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(43),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(349),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(159),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(36),
    [111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(355),
    [113] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(59),
    [115] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(65),
    [117] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(229),
    [119] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(264),
    [121] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(330),
    [123] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(47),
    [125] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(395),
    [127] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(373),
    [129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(292),
    [131] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(328),
    [133] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(227),
    [135] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(296),
    [137] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(326),
    [139] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(209),
    [141] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(37),
    [143] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(356),
    [145] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(408),
    [147] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(392),
    [149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(82),
    [151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(386),
    [153] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(84),
    [155] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(97),
    [157] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(156),
    [159] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(192),
    [161] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(382),
    [163] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(193),
    [165] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(380),
    [167] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(191),
    [169] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(394),
    [171] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(103),
    [173] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(385),
    [175] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(104),
    [177] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(119),
    [179] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(105),
    [181] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(187),
    [183] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(126),
    [185] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(94),
    [187] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(141),
    [189] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(146),
    [191] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(80),
    [193] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(81),
    [195] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(78),
    [197] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(79),
    [199] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(160),
    [201] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(166),
    [203] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(164),
    [205] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(102),
    [207] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(175),
    [209] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [211] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [213] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [215] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [217] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 3, 0, 0),
    [219] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 3, 0, 0),
    [221] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 3, 0, 0),
    [223] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 3, 0, 0),
    [225] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_number_literal, 1, 0, 0),
    [227] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(350),
    [229] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(388),
    [231] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(375),
    [233] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(384),
    [235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_number_literal, 1, 0, 0),
    [237] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 4, 0, 0),
    [239] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 4, 0, 0),
    [241] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 4, 0, 0),
    [243] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 4, 0, 0),
    [245] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 5, 0, 0),
    [247] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 5, 0, 0),
    [249] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 5, 0, 0),
    [251] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 5, 0, 0),
    [253] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tuple_literal, 2, 0, 0),
    [255] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tuple_literal, 2, 0, 0),
    [257] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_number_literal, 2, 0, 0),
    [259] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_number_literal, 2, 0, 0),
    [261] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_list_literal, 2, 0, 0),
    [263] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_list_literal, 2, 0, 0),
    [265] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 1, 0, 0),
    [267] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(196),
    [269] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(2),
    [271] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 1, 0, 0),
    [273] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expression, 1, 0, 0),
    [275] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(9),
    [277] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expression, 1, 0, 0),
    [279] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(15),
    [281] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(3),
    [283] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expression, 1, 0, 0),
    [285] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expression, 1, 0, 0),
    [287] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_expression, 1, 0, 0),
    [289] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 3, 0, 0),
    [291] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 3, 0, 0),
    [293] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [295] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 2, 0, 0),
    [297] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 2, 0, 0),
    [299] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expression, 2, 0, 0),
    [301] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_null_literal, 1, 0, 0),
    [303] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_big_dec_literal, 3, 0, 0),
    [305] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_float_literal, 3, 0, 0),
    [307] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [309] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expression, 2, 0, 0),
    [311] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(364),
    [313] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 6, 0, 0),
    [315] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 6, 0, 0),
    [317] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 5, 0, 0),
    [319] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 5, 0, 0),
    [321] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dict_literal, 5, 0, 0),
    [323] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dict_literal, 5, 0, 0),
    [325] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 3, 0, 0),
    [327] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_builtin_test, 1, 0, 0),
    [329] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_expression, 3, 0, 0),
    [331] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_big_dec_literal, 4, 0, 0),
    [333] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_inline_trans, 4, 0, 0),
    [335] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_expression, 1, 0, 0),
    [337] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_function_call, 4, 0, 0),
    [339] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_builtin_test, 2, 0, 0),
    [341] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_builtin_test, 2, 0, 0),
    [343] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_expression, 4, 0, 0),
    [345] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 4, 0, 0),
    [347] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_function_call, 4, 0, 0),
    [349] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [351] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_inline_trans, 4, 0, 0),
    [353] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_big_dec_literal, 4, 0, 0),
    [355] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_null_literal, 1, 0, 0),
    [357] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [359] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_big_dec_literal, 3, 0, 0),
    [361] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_binary_expression, 3, 0, 0),
    [363] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_float_literal, 3, 0, 0),
    [365] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_builtin_test, 1, 0, 0),
    [367] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_expression, 3, 0, 0),
    [369] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(381),
    [371] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(53),
    [373] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(4),
    [375] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(10),
    [377] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_binary_operator, 1, 0, 0),
    [379] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [381] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(401),
    [383] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_statement, 3, 0, 0),
    [385] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(399),
    [387] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(398),
    [389] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 3, 0, 0),
    [391] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_statement, 4, 0, 0),
    [393] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 4, 0, 0),
    [395] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_source, 1, 0, 0),
    [397] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_statement, 2, 0, 0),
    [399] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 2, 0, 0),
    [401] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    [403] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(272),
    [406] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(271),
    [409] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 2, 0, 0),
    SHIFT_REPEAT(5),
    [412] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    [414] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(399),
    [417] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(379),
    [420] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 2, 0, 0),
    [422] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_include_statement, 2, 0, 0),
    [424] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(379),
    [426] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_statement, 2, 0, 0),
    [428] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_include_statement, 3, 0, 0),
    [430] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_statement, 3, 0, 0),
    [432] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(6),
    [434] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(205),
    [436] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    SHIFT_REPEAT(401),
    [439] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    [441] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    [443] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(397),
    [445] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(352),
    [447] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_trans_statement, 2, 0, 0),
    [449] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(51),
    [451] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 2, 0, 0),
    [453] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(33),
    [455] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(55),
    [457] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_in_expression, 3, 0, 1),
    [459] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_expression, 3, 0, 1),
    [461] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(40),
    [463] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(50),
    [465] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
    [467] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_trans_statement_repeat1, 2, 0, 0),
    [469] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_trans_statement_repeat1, 2, 0, 0),
    [471] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_statement, 5, 0, 0),
    [473] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 5, 0, 0),
    [475] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_in_expression, 4, 0, 3),
    [477] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_expression, 4, 0, 3),
    [479] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_ternary_expression, 2, 0, 0),
    [481] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(57),
    [483] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_ternary_expression, 2, 0, 0),
    [485] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_as, 2, 0, 0),
    [487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_as, 2, 0, 0),
    [489] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_as, 3, 0, 0),
    [491] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_as, 3, 0, 0),
    [493] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_set_statement, 4, 0, 0),
    [495] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(48),
    [497] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 4, 0, 0),
    [499] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_set_statement, 5, 0, 0),
    [501] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 5, 0, 0),
    [503] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(62),
    [505] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(185),
    [507] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_for_statement, 2, 0, 0),
    [509] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(365),
    [511] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 2, 0, 0),
    [513] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_with_statement, 1, 0, 0),
    [515] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(300),
    [517] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_with_statement, 1, 0, 0),
    [519] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(85),
    [521] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(100),
    [523] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_autoescape_statement, 1, 0, 0),
    [525] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoescape_statement, 1, 0, 0),
    [527] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_with_statement_repeat1, 2, 0, 0),
    [529] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_with_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(300),
    [532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_with_statement_repeat1, 2, 0, 0),
    [534] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_assignment_expression, 3, 0, 0),
    [536] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_assignment_expression, 3, 0, 0),
    [538] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    [540] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    SHIFT_REPEAT(272),
    [543] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 2, 0, 0),
    [545] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [547] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_ternary_expression, 4, 0, 0),
    [549] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_ternary_expression, 4, 0, 0),
    [551] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(83),
    [553] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(98),
    [555] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_list_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(56),
    [558] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(32),
    [560] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(38),
    [562] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_assignment_expression, 4, 0, 0),
    [564] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_assignment_expression, 4, 0, 0),
    [566] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_include_attribute, 1, 0, 0),
    [568] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_include_attribute, 1, 0, 0),
    [570] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(18),
    [572] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(112),
    [574] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_include_statement_repeat1, 1, 0, 0),
    [576] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_include_statement_repeat1, 1, 0, 0),
    [578] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(19),
    [580] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(116),
    [582] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_attribute_context, 2, 0, 0),
    [584] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attribute_context, 2, 0, 0),
    [586] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(25),
    [588] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(75),
    [590] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(29),
    [592] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(180),
    [594] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(127),
    [596] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_with_statement, 2, 0, 0),
    [598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_with_statement, 2, 0, 0),
    [600] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(26),
    [602] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(74),
    [604] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(147),
    [606] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(115),
    [608] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(190),
    [610] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_words, 1, 0, 0),
    [612] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_words, 1, 0, 0),
    [614] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(28),
    [616] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(162),
    [618] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_attribute_ignore, 2, 0, 0),
    [620] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attribute_ignore, 2, 0, 0),
    [622] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(56),
    [624] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(54),
    [626] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(86),
    [628] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(343),
    [630] = { .entry = { .count = 1, .reusable = false } },
    SHIFT_EXTRA(),
    [632] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(72),
    [634] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(346),
    [636] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym__END, 1, 0, 0),
    [638] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym__END, 1, 0, 0),
    [640] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(161),
    [642] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raw_block, 5, 0, 2),
    [644] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_raw_block, 5, 0, 2),
    [646] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_trans_statement, 1, 0, 0),
    [648] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(211),
    [650] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 1, 0, 0),
    [652] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(198),
    [654] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(334),
    [656] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(410),
    [658] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(188),
    [660] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_source_repeat1, 1, 0, 0),
    [662] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_source_repeat1, 1, 0, 0),
    [664] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extends_statement, 2, 0, 0),
    [666] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extends_statement, 2, 0, 0),
    [668] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym__NEWLINE, 1, 0, 0),
    [670] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym__NEWLINE, 1, 0, 0),
    [672] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_words_repeat1, 1, 0, 0),
    [674] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_words_repeat1, 1, 0, 0),
    [676] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(411),
    [678] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_if_expression, 2, 0, 0),
    [680] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_if_expression, 2, 0, 0),
    [682] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_line_statement, 4, 0, 0),
    [684] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_line_statement, 4, 0, 0),
    [686] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_line_statement, 3, 0, 0),
    [688] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_line_statement, 3, 0, 0),
    [690] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_do_statement, 2, 0, 0),
    [692] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_do_statement, 2, 0, 0),
    [694] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_statement, 2, 0, 0),
    [696] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_statement, 2, 0, 0),
    [698] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_filter_statement, 2, 0, 0),
    [700] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_filter_statement, 2, 0, 0),
    [702] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_dict_literal_repeat1, 4, 0, 0),
    [704] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(73),
    [706] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(92),
    [708] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_trans_statement, 3, 0, 0),
    [710] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_trans_statement, 3, 0, 0),
    [712] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    SHIFT_REPEAT(334),
    [715] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_comment_repeat1, 2, 0, 0),
    [717] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [719] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(343),
    [722] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0),
    [724] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0),
    SHIFT_REPEAT(346),
    [727] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_trans_statement_repeat1, 2, 0, 0),
    SHIFT_REPEAT(352),
    [730] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(270),
    [732] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raw_block, 4, 0, 0),
    [734] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_raw_block, 4, 0, 0),
    [736] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(323),
    [738] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(271),
    [740] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(260),
    [742] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(201),
    [744] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_arg, 3, 0, 0),
    [746] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_arg, 1, 0, 0),
    [748] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_assignment_expression_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [751] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_assignment_expression_repeat1, 2, 0, 0),
    [753] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(49),
    [755] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_in_expression_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [758] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(35),
    [760] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_dict_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [763] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_dict_literal_repeat1, 2, 0, 0),
    [765] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(60),
    [767] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(41),
    [769] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(186),
    [771] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
    SHIFT_REPEAT(22),
    [774] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
    [776] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(179),
    [778] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(22),
    [780] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(183),
    [782] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(117),
    [784] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(231),
    [786] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(167),
    [788] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(17),
    [790] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(31),
    [792] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(118),
    [794] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(168),
    [796] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(134),
    [798] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 2, 0, 0),
    SHIFT_REPEAT(368),
    [801] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 2, 0, 0),
    [803] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_with_statement_repeat1, 1, 0, 0),
    [805] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_with_statement_repeat1, 1, 0, 0),
    [807] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(403),
    [809] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(52),
    [811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(368),
    [813] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(294),
    [815] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(152),
    [817] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(133),
    [819] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(23),
    [821] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(391),
    [823] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(396),
    [825] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(24),
    [827] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_pluralize_statement, 1, 0, 0),
    [829] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(358),
    [831] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_pluralize_statement, 1, 0, 0),
    [833] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(142),
    [835] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(151),
    [837] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(263),
    [839] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_comment_repeat1, 1, 0, 0),
    [841] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_for_statement, 3, 0, 0),
    [843] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(374),
    [845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 3, 0, 0),
    [847] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(137),
    [849] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(46),
    [851] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(45),
    [853] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(130),
    [855] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(21),
    [857] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(34),
    [859] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(20),
    [861] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [863] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(125),
    [865] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(63),
    [867] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat2, 1, 0, 0),
    [869] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(44),
    [871] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_macro_statement, 2, 0, 0),
    [873] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_macro_statement, 2, 0, 0),
    [875] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(109),
    [877] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(402),
    [879] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(214),
    [881] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_statement, 6, 0, 0),
    [883] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_statement, 6, 0, 0),
    [885] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extends_statement, 3, 0, 0),
    [887] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extends_statement, 3, 0, 0),
    [889] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_statement, 1, 0, 0),
    [891] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_statement, 1, 0, 0),
    [893] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(320),
    [895] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_autoescape_statement, 2, 0, 0),
    [897] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoescape_statement, 2, 0, 0),
    [899] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_pluralize_statement, 2, 0, 0),
    [901] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_pluralize_statement, 2, 0, 0),
    [903] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_set_statement, 6, 0, 0),
    [905] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_statement, 6, 0, 0),
    [907] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_block_statement, 2, 0, 0),
    [909] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_block_statement, 2, 0, 0),
    [911] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_attribute, 1, 0, 0),
    [913] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_attribute, 1, 0, 0),
    [915] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(189),
    [917] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(387),
    [919] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raw_block_repeat1, 1, 0, 0),
    [921] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_call_statement, 5, 0, 0),
    [923] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_call_statement, 5, 0, 0),
    [925] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_call_statement, 2, 0, 0),
    [927] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_call_statement, 2, 0, 0),
    [929] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_for_statement, 4, 0, 0),
    [931] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_for_statement, 4, 0, 0),
    [933] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(148),
    [935] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(390),
    [937] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(255),
    [939] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(184),
    [941] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(177),
    [943] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_import_from, 2, 0, 0),
    [945] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(150),
    [947] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(114),
    [949] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(171),
    [951] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(110),
    [953] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [955] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(143),
    [957] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(407),
    [959] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(39),
    [961] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(361),
    [963] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(376),
    [965] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(219),
    [967] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(243),
    [969] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(409),
    [971] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(218),
    [973] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(124),
    [975] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(351),
    [977] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(58),
    [979] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(265),
    [981] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(64),
    [983] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(377),
    [985] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(321),
    [987] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(410),
    [989] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
    [991] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
    ts_external_token__raw_char = 0,
    ts_external_token_raw_end = 1,
    ts_external_token__eof = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
    [ts_external_token__raw_char] = sym__raw_char,
    [ts_external_token_raw_end] = sym_raw_end,
    [ts_external_token__eof] = sym__eof,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
    [1] = {
        [ts_external_token__raw_char] = true,
        [ts_external_token_raw_end] = true,
        [ts_external_token__eof] = true,
    },
    [2] = {
        [ts_external_token__eof] = true,
    },
    [3] = {
        [ts_external_token__raw_char] = true,
        [ts_external_token_raw_end] = true,
    },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_jinja_inline_external_scanner_create(void);
void tree_sitter_jinja_inline_external_scanner_destroy(void *);
bool tree_sitter_jinja_inline_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_jinja_inline_external_scanner_serialize(void *, char *);
void tree_sitter_jinja_inline_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_jinja_inline(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .external_scanner = {
            &ts_external_scanner_states[0][0],
            ts_external_scanner_symbol_map,
            tree_sitter_jinja_inline_external_scanner_create,
            tree_sitter_jinja_inline_external_scanner_destroy,
            tree_sitter_jinja_inline_external_scanner_scan,
            tree_sitter_jinja_inline_external_scanner_serialize,
            tree_sitter_jinja_inline_external_scanner_deserialize,
        },
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
